2016-04-24  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.6 for changeset ae50bac2ef88
	[b1939581dab4] [tip]

	* NEWS:
	Released as v5.6.
	[ae50bac2ef88] [5.6]

	* rbproduct.py:
	The SSL library and MSVC runtime are now installed in the PyQt5
	directory.
	[6b7672768236]

2016-04-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qt_conf.cpp:
	Fixed the setting of PATH on Windows.
	[8a95f97ca7aa]

	* METADATA.in, installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi,
	installers/pyqt5-check.py, installers/pyqt5-config.bat,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/LICENSE.internal:
	Updated the installers fro Qt v5.6.0. Fixed the dates on copyright
	messages. Updated the meta-data to say that Linux wheels will be
	available on PyPI.
	[f9cf4e3290c7]

2016-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qt_conf.cpp:
	When --qtconf-prefix is specified then PATH is alos set on Windows.
	[d147afaee2c6]

2016-04-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, rbproduct.py:
	Removed some (now redundant) qmake handlign on Windows.
	[02f8ab12f5ad]

2016-04-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, rbproduct.py:
	More handling of spaces in directory names. Account for different
	Makefile structures on Windows.
	[94a4e61390a3]

	* rbproduct.py:
	Fixed a testing regression in the product plugin.
	[8e05253f91d8]

	* sphinx/installation.rst:
	Removed a Sphinx warning.
	[dd499921d5fb]

	* rbproduct.py:
	Implemented the minimal install in the product plugin.
	[8e25715c1d82]

	* rbproduct.py:
	Exploit verbose mode in the product plugin.
	[8099e3b3bca3]

	* rbproduct.py:
	Fixed permissions on the product plugin.
	[19c006f2d22c]

2016-04-16  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	The QScintilla API file is now included in the wheels.
	[a8aa89c52747]

	* METADATA.in:
	Fixed a typo in the meta-data.
	[8f14fe6ee051]

	* Makefile, build.py, rbproduct.py:
	Removed the --omit-license-tag option from build.py as it is no
	longer needed.
	[d24af7ea1d4c]

2016-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtWidgets/qmaccocoaviewcontainer.sip:
	QMenu.setAsDockMenu() is not available on iOS.
	[8dba3377ce19]

2016-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The --dbus option to configure.py overrides (rather than
	supplements) any directories returned by pkg-config.
	[e39f0eeff58b]

	* Makefile, lib/configure.py:
	Fixed the handling of dbus-python header files.
	[608f71af6d2f]

	* qpy/QtCore/qpycore_qt_conf.cpp:
	Adjusted qt.conf on Windows so that QtWebEngineProcess can be found.
	[a4d8055d6b1a]

	* Makefile, build.py, rbproduct.py:
	Ensure regular snapshots have the license tag but those used in
	wheels don't.
	[ca8272fb55ff]

2016-04-12  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Fixes for the additional Windows DLLs.
	[8402c18b9cfe]

	* rbproduct.py:
	Windows wheels will now install OpenSSL DLLs and the MSVC C++
	runtime DLL.
	[d8f47655a777]

2016-04-09  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Updated the description in the meta-data.
	[94bd36376d2a]

2016-04-08  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Update the METADATA to try and require sip.
	[6a2e30c56378]

	* METADATA.in, build.py:
	Use v1.1 for the METADATA format. Don't tag the GPL source packages
	with '_gpl' because of the knock-on effect with PyPi.
	[04357f447388]

	* sphinx/qml.rst:
	Fixed a sphinx warning.
	[00b1ee427a44]

	* METADATA.in, rbproduct.py:
	Added the METADATA.in file.
	[0d593d43bf70]

2016-04-06  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Added the test for SQL drivers to the product plugin.
	[9d2b4177b3cf]

	* rbproduct.py:
	Fixed the tests defined in the product plugin.
	[21a0cdb51e30]

2016-04-05  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Added more tests to the product plugin.
	[9f8f7adbdcf0]

	* rbproduct.py:
	Properly defined the PyQt5 modules in the product plugin.
	[63dc33b74805]

	* rbproduct.py:
	Added the rbtools product plugin.
	[da8471176b5c]

2016-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_qt_conf.cpp,
	sphinx/installation.rst:
	Removed --qtconf-libraries.
	[b750e716119b]

	* lib/configure.py, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_post_init.cpp.in, qpy/QtCore/qpycore_qt_conf.cpp,
	sphinx/installation.rst:
	Renamed --qt-prefix-path to --qtconf-prefix. Added --qtconf-
	libraries.
	[e63e022443bc]

2016-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	More spaces-in-path fixes.
	[bebf960c9e18]

	* lib/configure.py:
	Fixed the invocation of sip if it has spaces in its path.
	[a491032a2f01]

2016-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_post_init.cpp.in, qpy/QtCore/qpycore_qt_conf.cpp:
	The Qt prefix path is now calculated at run-time to make it re-
	locatable.
	[0c8718600680]

2016-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the embedded qt.conf.
	[def17c899da2]

2016-03-31  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_post_init.cpp.in,
	sphinx/installation.rst:
	Added the --qt-prefix-path option to configure.py.
	[7e55c68410fe]

	* PyQt5.msp:
	Fixed an annotation typo.
	[bd8301c85566]

2016-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing qt_set_sequence_auto_mnemonic() to QtGui.
	[1cc2ecff7245]

2016-03-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing MouseLock to QWebEnginePage.Feature.
	[49675f503e40]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Backed out an incorrect fix (not mentioned in the previous(?)
	commit).
	[3a53b336acd1]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_qobject_getattr.cpp:
	Respect method names starting with '__' found in the meta-object as
	private as they are most likely to be Python methods decorated with
	pyqtSlot.
	[6cb67313a7f3]

2016-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/PlansForWheels.txt:
	Added the plan for handling commercial and GPL wheels.
	[dfc074229564]

2016-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py, sphinx/installation.rst:
	Added the --rpath option to configure.py.
	[2787cd711d1c]

2016-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* QAxContainer/qaxbase.sip:
	Removed deprecated /DocValue/ annotations.
	[1f2319650dff]

	* build.py:
	Apply the new naming standards to generated source packages.
	[e1f0d30ea050]

2016-03-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Connecting to a decorated method will now fail without a compatible
	signature.
	[d58baf1a1473]

	* examples/quick/models/abstractitemmodel/abstractitemmodel.py:
	Fixed a bug in the abstyractitemmodel.py example.
	[654315b1dcf6]

2016-03-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing WA_DontShowOnScreen.
	[571b2ed0ce32]

2016-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qsysinfo.sip:
	Updated for Qt v5.6.0. Added the missing QSysInfo static functions.
	[740db730593a]

2016-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/driver.py, pyuic/uic/pyuic.py:
	Fixed a couple of pyuic syntax errors.
	[70e9fff5c84d]

2016-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Restored the QFlags copy ctor to ensure assignment helpers are
	generated.
	[2c5cceeba03a]

2016-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	Fixed a deadlock problem in the implementation of QML proxies.
	[293152ad5ca1]

2016-03-09  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/designer/plugins/widgets/helloglwidget.py:
	Fixed the heeloglwidget.py example so that it doesn't use PyOpenGL.
	[2d7a76584798]

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_enums_flags.cpp, qpy/QtCore/qpycore_types.cpp,
	sphinx/metaobjects.rst:
	Fixed the defining of enums and flags so that they appear as
	expected in Qt Designer.
	[0f17783785e4]

2016-03-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Don't include an explicit scope when implementing Q_ENUMS and
	Q_FLAGS.
	[256cb1cf3c5d]

	* examples/designer/plugins/python/multipagewidgetplugin.py,
	examples/designer/plugins/widgets/multipagewidget.py:
	Fixes to the plugins.py example.
	[151f0d8f13e8]

	* pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/misc.py,
	pyuic/uic/__init__.py, pyuic/uic/driver.py, pyuic/uic/pyuic.py,
	sphinx/designer.rst:
	Added the --import-from command line argument to pyuic5.
	[d05ca4f9dda7]

2016-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the QVersionNumber class.
	[c660515bc830]

	* PyQt5.msp:
	Updated QtOpenGL for Qt v5.6rc.
	[ea5c02548075]

	* lib/configure.py, sphinx/platforms.rst:
	The Qt v5.5 rpath problems seem to have been fixed in v5.6.
	[5205794e6b9a]

	* PyQt5.msp, lib/SubclassCode/QtQuick.versions:
	Updated the QObject convertor code for QtQuick and QtWebEngineCore.
	[82eea261797e]

2016-03-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Implemented the QtWebEngineCore module.
	[023eb0e60c08]

	* PyQt5.msp:
	Completed the QtWidgets updates for Qt v5.6rc.
	[045ee6a65f5f]

2016-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Started updating the QtWidgets module for Qt v5.6rc.
	[742e6cc983e8]

	* sphinx/api_metadata.cfg:
	Updated the API metadata for new classes added so far.
	[531a749af28d]

	* PyQt5.msp:
	Updated the QtQml, QtQuick, QtQuickWidgets, QtSensors, QtSerialPort,
	QtSql, QtSvg and QtTest modules for Qt v5.6rc.
	[b3632c46462b]

2016-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the QtNfc, QtPositioning, QtPrintSupport, QtXml and
	QtXmlPatterns modules for Qt v5.6rc.
	[ae1f88b0c079]

	* PyQt5.msp, qpy/QtMultimedia/qpymultimedia_qlist.sip:
	Updated the QtHelp, QtLocation, QtMultimedia, QtMultimediaWidgets
	and QtNetwork modules for Qt 5.6rc.
	[b957d29ef95c]

	* PyQt5.msp:
	Completed the QtGui support for Qt v5.6rc.
	[e30d789c0141]

	* PyQt5.msp:
	More QtGui updates for Qt v5.6rc.
	[e232b46d197a]

2016-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Partially implemented the Qt v5.6rc support for the QtGui module.
	[eb7a53fdfb5b]

2016-03-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the QtDBus and QtDesigner modules for Qt v5.6.0rc.
	[242ffa94e504]

	* PyQt5.msp:
	Updated the QtCore module for Qt v5.6.0rc.
	[75369fe650fe]

2016-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the Enginio and QtBluetooth modules for Qt v5.6rc.
	[b86fccf0f71e]

	* lib/configure.py:
	Don't embed the -f flag in PYQT_CONFIGURATION.
	[c1a15cadbc73]

	* PyQt5.msp:
	All implementations of swap() now have the /Constrained/ annotation.
	[fb287ed7e9da]

	* Makefile, PyQt5.msp:
	Removed a redundant QBrush ctor.
	[5f34d42010aa]

2016-02-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the previous change.
	[b86e13d182d7]

	* Makefile, PyQt5.msp:
	Removed the redundant QVariant copy ctor.
	[0cb802120239]

2016-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* Merged the 5.5-maint branch into the trunk.
	[f923036edfe1]

	* PyQt5.msp:
	Fixed the type hint for QDesktopServices.setUrlHandler().
	[0fa72a09eb1e] <5.5-maint>

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qset.sip, qpy/QtCore/qpycore_qvector.sip,
	qpy/QtCore/qstringlist.sip, qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Use Iterable rather than Iterator in type hints.
	[ab690c76000c] <5.5-maint>

2016-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed some superfluous ctors.
	[f0c110db9340] <5.5-maint>

	* PyQt5.msp:
	Make sure the datetime module is available in stub files.
	[aad90c9b7268] <5.5-maint>

	* PyQt5.msp:
	Updated type hints for classes with %ConvertToTypeCode.
	[0f619b3c60e2] <5.5-maint>

2016-02-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtQml/qmlregistertype.sip:
	Updated the project version number. More type hint improvements.
	[8be0a10b466f] <5.5-maint>

2016-02-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	More changes to the type hints.
	[5a3f980959af] <5.5-maint>

2016-02-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed some handwritten type hine code.
	[2677d628d385] <5.5-maint>

2016-02-18  Phil Thompson  <phil@riverbankcomputing.com>

	* test/tests/classes/test_QFlags.py:
	Added the QFlags unit tests.
	[796954fadf1e] <5.5-maint>

	* lib/configure.py:
	SIP warnings are now treated as fatal.
	[ef2c015cb086] <5.5-maint>

	* Makefile, PyQt5.msp:
	Updated the QFlags support from PyQt4.
	[5bd2318ecef3] <5.5-maint>

	* PyQt5.msp:
	Completed the conversion to /TypeHint/.
	[7d4c7c1162e0] <5.5-maint>

	* PyQt5.msp:
	Updated the type hints for the OpenGL modules.
	[a3d88993c395] <5.5-maint>

2016-02-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qmap.sip,
	qpy/QtCore/qpycore_qmetaobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qpair.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qstring.cpp, qpy/QtCore/qpycore_qvector.sip,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qstringlist.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtGui/qpygui_qvector.sip, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.cpp,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Removed all uses of SIP_SSIZE_T.
	[f1c9ab62de9e] <5.5-maint>

2016-02-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtBluetooth/qpybluetooth_quint128.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qpair.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtCore/qstringlist.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Removed all occurrences of SIP_SSIZE_T_FORMAT.
	[6c323983f866] <5.5-maint>

	* Makefile, PyQt5.msp:
	Make use of the new type hint class annotaions for QVariant.
	[9e1f9b26502f] <5.5-maint>

	* PyQt5.msp:
	Fix the type hints for signals and slots.
	[a7286c0088ff] <5.5-maint>

	* PyQt5.msp:
	Migrated the simple uses of /DocValue/ to /TypeHint/.
	[17fe5ba76141] <5.5-maint>

	* Makefile, PyQt5.msp:
	Removed /TypeHintValue/ when they will now be picked up from the
	mapped type.
	[e9ca1dfbd2f9] <5.5-maint>

	* sphinx/gotchas.rst:
	Extended the section of QString gotchas to include null vs. empty
	strings.
	[4f9c20591646] <5.5-maint>

2016-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_qhash.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qmap.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtCore/qstringlist.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtNetwork/qpynetwork_qmap.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Added /TypeHintValue/ to all mapped types that might have a default
	value.
	[2f5d9532caf3] <5.5-maint>

	* qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtBluetooth/qpybluetooth_quint128.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_qhash.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qmap.sip, qpy/QtCore/qpycore_qpair.sip,
	qpy/QtCore/qpycore_qset.sip, qpy/QtCore/qpycore_qvector.sip,
	qpy/QtCore/qstringlist.sip, qpy/QtDBus/qpydbusreply.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip:
	Updated the type hints for all handwritten code.
	[1fc9973d53a9] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtslot.cpp:
	Updated the comment in the previous change.
	[7bfc1d8650d4] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtslot.cpp:
	Fixed a bug disconnecting wrapped C++ methods.
	[a930ddb1c6a7] <5.5-maint>

2016-02-13  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/gotchas.rst, sphinx/pyqt4_differences.rst:
	Added a section to the gotchas chapter about patterns to avoid
	crashes on exit.
	[da3142f18207] <5.5-maint>

2016-02-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_qobject_helpers.cpp:
	Improved the support for Qt properties. Allow a QVariantMap to be
	converted to a dict if that was what was expected.
	[57ba51c12753] <5.5-maint>

2016-02-11  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/network/lightmaps.py:
	Fixed the lightmaps.py example.
	[9897e881d280] <5.5-maint>

	* PyQt5.msp:
	Added comments explaining why deleting top level widgets is a bad
	idea.
	[eced50bba03e] <5.5-maint>

2016-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp:
	Fixed a crash when a proxy for a non-method callable might be
	invoked while the proxy is being garbage collected.
	[fc21a0a97001] <5.5-maint>

	* qpy/QtDBus/qpydbuspendingreply.sip, qpy/QtDBus/qpydbusreply.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtNetwork/qpynetwork_qmap.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtQml/qpyqmllistproperty.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Removed some of the handwritten uses of DocType.
	[23c5a8da2265] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp:
	Updated the repr() of bound and unbound signals as per PyQt4.
	[807eb26f59ef] <5.5-maint>

	* lib/configure.py, sphinx/installation.rst:
	Added the --no-stubs and --stubdir options to configure.py.
	[7b60214e8c60] <5.5-maint>

	* lib/LicenseFAQ.txt:
	Updated the license FAQ to make sure the version numbers of the
	commercial and GPL versions match.
	[273545f90a4a] <5.5-maint>

2016-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/pyqt4_differences.rst:
	Tone down the warnings about not using a main() function.
	[d304857728a3] <5.5-maint>

2016-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtWidgets/qpywidgets_api.h,
	qpy/QtWidgets/qpywidgets_chimera_helpers.cpp,
	qpy/QtWidgets/qpywidgets_chimera_helpers.h,
	qpy/QtWidgets/qpywidgets_post_init.cpp:
	Fixed the special handling of QGraphicsItem so that it doesn't
	interfere with parsing pyqtSignal argument types.
	[71cd6c6e7045] <5.5-maint>

2016-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the project file to v8.
	[3df32493cb78] <5.5-maint>

2016-01-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Renamed QUrlFormattingOption.None to None_.
	[d4c8f03f6403] <5.5-maint>

2016-01-25  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Removed some redundant Borland support.
	[0f60e49c22df] <5.5-maint>

	* lib/configure.py, sphinx/installation.rst:
	The --qmake option has been added to configure.py when running on
	Windows on the assumption that the historical problem of invoking
	qmake with a path has been resolved.
	[d2653451e966] <5.5-maint>

2016-01-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.h:
	Removed some redundant data structures.
	[b071187c2187] <5.5-maint>

	* qpy/QtCore/qpycore_types.h:
	Fixes for the latest sip v5.
	[fb770c78e3dd] <5.5-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed a regression in the registering of QtQuick items.
	[0d9e60c88804] <5.5-maint>

2016-01-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtDBus/qpydbus_post_init.cpp,
	qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqml_register_type.cpp,
	qpy/QtQuick/qpyquick_post_init.cpp:
	Call Q_ASSERT() for values returned by sipImportSymbol().
	[6ecc7eb4b7b8] <5.5-maint>

2016-01-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed an unused reference to the public API.
	[e09839f29cbd] <5.5-maint>

2016-01-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Make sure QQmlProperty.connectNotifySignal() behaves the same as the
	PyQt4 equivalent.
	[074e64f58b7f] <5.5-maint>

	* qpy/QtCore/qpycore_public_api.cpp:
	Fixed a compilation error.
	[41cfb44def2b] <5.5-maint>

	* qpy/QtCore/qpycore_public_api.cpp:
	Improved the error reporting in pyqt5_get_pyqtslot_parts().
	[5336dad73d73] <5.5-maint>

2016-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Use "slot" as an argument type consistently.
	[3e72e500339c] <5.5-maint>

	* PyQt5.msp, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h, sphinx/extension_api.rst:
	Re-implemented QWizardPage.registerField(). Fixed
	QWizard.setDefaultProperty(). The transmitter argument to
	pyqt5_get_signal_signature() is now optional.
	[b701cde0001b] <5.5-maint>

2016-01-11  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp:
	Fixes for sip5.
	[74c8e3a5a137] <5.5-maint>

2016-01-06  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/signals_slots.rst:
	Documented the PyQt_PyObject signal argument type.
	[b7d0ec91f94b] <5.5-maint>

2016-01-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the conversion of TouchCancel touch events.
	[a611260e4cb5] <5.5-maint>

2015-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Switched the internal build system to Python v3.5.
	[60e96c2f91b5] <5.5-maint>

2015-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added support for venv to the internal build system.
	[1f541a9bc326] <5.5-maint>

2015-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the internal QQuickCloseEvent as an opaque class. Added the
	QQuickWindow::closing() signal.
	[61e0fc70e389] <5.5-maint>

2015-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the margins of layout widgets.
	[5b5f0fb1b3f6] <5.5-maint>

2015-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/platforms.rst:
	Fixed a typo in the docs.
	[7f0cbf6087dd] <5.5-maint>

2015-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Handle PATH components that are enclosed in quotes.
	[bfa081d2253d] <5.5-maint>

	* PyQt5.msp:
	Fixed QStyleOptionButton.None.
	[993102189469] <5.5-maint>

2015-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.5.1 for changeset ee08241be21f
	[0659e00fc2ab] <5.5-maint>

	* NEWS, installers/PyQt5-Qt5-gpl.nsi:
	Released as v5.5.1.
	[ee08241be21f] [5.5.1] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtproperty.cpp:
	Fixed the handling of getter docstrings by pyqtProperty.
	[75fe5856da75] <5.5-maint>

	* lib/configure.py:
	Make sure configure.py enables debug flags early enough.
	[71a413789681] <5.5-maint>

2015-10-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi,
	qpy/QtCore/qsysinfo.sip:
	Remainig updates for Qt v5.5.1.
	[13f9ece29d02] <5.5-maint>

2015-10-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The workaround for the Qt v5.5 rpath problem on OS X will now handle
	Qt builds where any of QtPrintSupport, QtDBus or QtWidgets have been
	disabled.
	[aec0addf0acb] <5.5-maint>

	* PyQt5.msp:
	Updated from the initial scan of Qt v5.5.1.
	[942ae18cf71c] <5.5-maint>

2015-10-16  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/network/http/http.py:
	Another minor fix to http.py.
	[0be6496d6bfe] <5.5-maint>

	* examples/network/http/http.py:
	Fixed a bug in the http.py example.
	[e4609df54374] <5.5-maint>

2015-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed ownership issues with QQuickFramebufferObject.Renderer.
	[32c52859b93a] <5.5-maint>

	* installers/BuildGPL.txt, installers/pyqt5-config.bat,
	lib/configure.py, sphinx/installation.rst:
	Added the --disable option to configure.py.
	[992d1d3c2439] <5.5-maint>

2015-09-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Don't assume unicode objects being converted to QStrings are ready.
	[dd00723a6712] <5.5-maint>

2015-09-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Hopefully fixed the ownership of the object returned by
	QQuickFramebufferObject.createRenderer().
	[28175521934f] <5.5-maint>

	* PyQt5.msp, qpy/QtQuick/qpyquick_register_type.cpp,
	qpy/QtQuick/qpyquickframebufferobject.cpp,
	qpy/QtQuick/qpyquickframebufferobject.h:
	Handle a QQuickFramebufferObject in the same was as
	QQuickPaintedItem.
	[af9ef4c21748] <5.5-maint>

	* pyuic/uic/properties.py:
	Fixed pyuic's handling of non-ASCII font family names.
	[cf72929c8d36] <5.5-maint>

2015-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed all handwritten code that uses C++11 lambdas.
	[5c39838726ef] <5.5-maint>

	* Makefile, PyQt5.msp:
	Improved some handwritten code.
	[7bf4b1f25365] <5.5-maint>

2015-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Updated the root URL for the Qt docs.
	[c52056ca5ef2] <5.5-maint>

2015-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi, installers
	/psql-config.bat:
	Updates to installers for Python v3.5.
	[df9e3329a638] <5.5-maint>

	* lib/configure.py:
	Use win32-msvc2015 for Python v3.5.
	[8ab07055894e] <5.5-maint>

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi:
	Installer updates for Python v3.5.
	[bf1db67f03e7] <5.5-maint>

	* PyQt5.msp:
	Remainder of QMacCocoaViewContainer fix.
	[06cf88343082] <5.5-maint>

2015-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/SubclassCode/QtWidgets.versions,
	qpy/QtWidgets/qmaccocoaviewcontainer.sip:
	QMacCocoaViewContainer is now feature dependent so that it can be
	disabled for iOS.
	[ee9b7b0e0576] <5.5-maint>

2015-09-02  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/animation/animatedtiles/animatedtiles.py,
	examples/animation/appchooser/appchooser.py,
	examples/animation/easing/easing.py,
	examples/animation/moveblocks.py,
	examples/animation/states/states.py,
	examples/animation/stickman/stickman.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/padnavigator/padnavigator.py:
	Fixed implicit conversions from strings to QByteArray in the
	examples.
	[03781fa3b27e] <5.5-maint>

	* PyQt5.msp:
	Implemented __matmul__ and __imatmul__ for QMatrix4x4 and
	QTransform.
	[f13ef1501dfb] <5.5-maint>

2015-09-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	The internal build system now defaults to Python v3.5.
	[514fd7675915] <5.5-maint>

2015-08-28  Phil Thompson  <phil@riverbankcomputing.com>

	* README-PyQml.txt:
	Added the README-PyQml.txt to document the state of the branch.
	[626b6d11f93c] <PyQml>

2015-08-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQml/QtQml/__init__.py, PyQml/QtQml/v2_2/__init__.py,
	PyQml/QtQml/v2_2/qtobject.py, PyQml/QtQuick/__init__.py,
	PyQml/QtQuick/v2_5/__init__.py, PyQml/QtQuick/v2_5/item.py,
	PyQml/QtQuick/v2_5/rectangle.py, PyQml/__init__.py,
	PyQml/component.py, PyQml/properties.py,
	examples/PyQml/properties.py:
	Added minimal QtQml and QtQuick QML modules.
	[8ab6fb1dbb3f] <PyQml>

	* examples/qml/referenceexamples/attached.py,
	examples/qml/referenceexamples/binding.py,
	examples/qml/referenceexamples/coercion.py,
	examples/qml/referenceexamples/default.py,
	examples/qml/referenceexamples/grouped.py,
	examples/qml/referenceexamples/methods.py,
	examples/qml/referenceexamples/properties.py,
	examples/qml/referenceexamples/signal.py,
	examples/qml/referenceexamples/valuesource.py,
	qpy/QtCore/qpycore_namespace.h, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp, qpy/QtQml/qpyqmllistproperty.sip,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp,
	qpy/QtQml/qpyqmllistpropertywrapper.h, sphinx/qml.rst:
	QQmlListProperty now acts as a proxy for any underlying Python list.
	[0118d626268a] <PyQml>

2015-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Applied a better fix than 56be1a87fd2c that doesn't break proxy
	resolution.
	[d4abeb2c9492] <PyQml>

	* PyQml/__init__.py, PyQml/component.py, PyQml/meta_component.py,
	PyQml/properties.py, examples/PyQml/properties.py:
	All property types can now have initial values. PyQmlComponent.qml()
	is now a class method.
	[63fc6972574d] <PyQml>

2015-08-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Backed out 56be1a87fd2c because it breaks the proxy resolution.
	[eeff9acbcf1c] <PyQml>

	* PyQml/__init__.py, PyQml/component.py, PyQml/register_components.py,
	examples/PyQml/properties.py:
	Added support for __uri__ and __version__.
	[a242c6cb3da4] <PyQml>

	* Makefile, PyQml/__init__.py, PyQml/component.py,
	PyQml/meta_component.py, PyQml/properties.py, PyQml/qml_types.py:
	Completed the initial implementation of properties and the meta-
	class.
	[4f5dfbdfa7e3] <PyQml>

	* PyQml/__init__.py, PyQml/component.py, PyQml/qml_types.py,
	PyQml/register_components.py, examples/PyQml/properties.py:
	Added stubs for the initial API.
	[6b3aafdf0cfd] <PyQml>

2015-08-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQml/__init__.py, build.py, examples/PyQml/properties.py,
	lib/configure.py:
	Added the stub of the PyQml module.
	[a8d40cffa7ba] <PyQml>

2015-08-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_getattr.cpp:
	Fixed a legacy comment.
	[fc27a24424ee] <5.5-maint>

2015-08-27  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/qml/referenceexamples/attached.py,
	examples/qml/referenceexamples/binding.py,
	examples/qml/referenceexamples/coercion.py,
	examples/qml/referenceexamples/default.py,
	examples/qml/referenceexamples/grouped.py,
	examples/qml/referenceexamples/methods.py,
	examples/qml/referenceexamples/properties.py,
	examples/qml/referenceexamples/signal.py,
	examples/qml/referenceexamples/valuesource.py,
	qpy/QtCore/qpycore_namespace.h, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp, qpy/QtQml/qpyqmllistproperty.sip,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp,
	qpy/QtQml/qpyqmllistpropertywrapper.h, sphinx/qml.rst:
	QQmlListProperty now acts as a proxy for any underlying Python list.
	[ffd5437ab83f] <5.5-maint>

2015-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Applied a better fix than 56be1a87fd2c that doesn't break proxy
	resolution.
	[e0fc4cba9b47] <5.5-maint>

2015-08-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Backed out 56be1a87fd2c because it breaks the proxy resolution.
	[209dc1cc0ecc] <5.5-maint>

2015-08-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed the conversion of enums for Qt v5.5.
	[698e32887e28] <5.5-maint>

2015-08-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a remaining OpenGL feature.
	[02a5c02ddbcb] <5.5-maint>

2015-08-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h:
	Fixed a missing exception when failing to parse types.
	[fb938891400e] <5.5-maint>

2015-08-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions:
	Fixes for building against a Qt without OpenGL support.
	[2bd297e85e66] <5.5-maint>

2015-08-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a leak in the handling of QQuickItem.updatePaintNode().
	[8bfac6a28129] <5.5-maint>

	* lib/configure.py:
	Properly fix the different licensee values for the LGPL version of
	Qt.
	[45a7890b0823] <5.5-maint>

	* PyQt5.msp:
	Ensure that QtWebEngineWidgets is imported before a QCoreApplication
	instance is created.
	[a4041c1d6446] <5.5-maint>

2015-07-23  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/qtdemo/demoitemanimation.py:
	Fixed an implicit coding bug in qtdemo.
	[7ff58420e62e] <5.5-maint>

2015-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtCore.versions, lib/configure.py:
	Changes needed because iOS doesn't have QProcess etc.
	[4e482908fc36] <5.5-maint>

	* lib/configure.py:
	Interpret a licensee of "Builder Qt" as being the LGPL version.
	[1327c48468e4] <5.5-maint>

	* Merge the forgotten tagging of the v5.5 release.
	[fec61fb57dc8] <5.5-maint>

	* .hgtags:
	Added tag 5.5 for changeset a4bf2ec86f1e
	[9d7d3e5d6370]

	* Makefile:
	Updated the default target version.
	[4e9e6b798220] <5.5-maint>

	* PyQt5.msp:
	Fixes for compiling against Qt builds without SSL support.
	[a5cfb55177fc] <5.5-maint>

2015-07-17  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, installers/pyqt5-check.py:
	Released as v5.5.
	[a4bf2ec86f1e] [5.5]

	* lib/configure.py:
	Tidied up the format of chenerated .pro files.
	[3481361d7081]

	* installers/pyqt5-check.py:
	pyqt5-check.py now checks the import of each module.
	[204bcf3320a3]

2015-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi,
	installers/pyqt5-check.py:
	Updated the Windows installer for Qt v5.5.0.
	[7291c392fd1f]

	* PyQt5.msp:
	Fixed a build problem when compiling each class separately.
	[6968432991a7]

	* sphinx/deprecations.rst, sphinx/index.rst, sphinx/platforms.rst:
	Added the section covering platform specific issues to the docs.
	[872c73dc46ec]

	* PyQt5.msp, designer/pluginloader.cpp, designer/pluginloader.h,
	qpy/QtDesigner/qpydesignercustomwidgetcollectionplugin.h,
	qpy/QtDesigner/qpydesignercustomwidgetplugin.h:
	Eliminated the warning messages when compiling QtDesigner against Qt
	v5.5.0.
	[ef816a6023fa]

	* PyQt5.msp:
	Ignore the Qt3D namespace.
	[f76909162b0d]

2015-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qhash.sip, qpy/QtCore/qpycore_qmap.sip:
	Made small improvements to the exception text for some mapped type
	conversions.
	[6636b3382c7c]

	* NEWS, PyQt5.msp, sphinx/api_metadata.cfg:
	Implemented QProxyStyle.
	[4a8da89efee1]

	* PyQt5.msp:
	Added the initial scan of QProxyStyle.
	[10918a24693d]

2015-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Documented the QtNfc module.
	[098fa0059151]

	* PyQt5.msp, lib/configure.py:
	Completed the implementation of the QtNfc module.
	[980a642056c2]

	* PyQt5.msp:
	Completed the initial scan of the QtNfc module.
	[f84dc533613e]

	* PyQt5.msp:
	Really scan Qt v5.5.0.
	[e942243e71f2]

	* lib/configure.py:
	Update QMAKE_RPATHDIR rather than set it.
	[6e7ef843d1a8]

2015-07-07  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Added QtLocation to the documentation. Updated the NEWS file.
	[6fd628724de4]

	* PyQt5.msp:
	Updated for Qt v5.5.0.
	[825d80753312]

	* lib/configure.py:
	Fixed the remaining problems caused by the use of rpath in Qt v5.5.0
	on OS X.
	[5245460dd4e0]

2015-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Completed the implementation of QtLocation.
	[5ef6f88ed7cc]

	* pyuic/uic/uiparser.py:
	Fixed the adding of a widget to a box layout when an alignment is
	specified.
	[c7462b03a569]

	* PyQt5.msp:
	Added the initial support for QtLocation.
	[74dba26ade24]

	* lib/configure.py:
	Updated configure.py for the QtLocation module.
	[2adcdd927f7b]

	* sphinx/api_metadata.cfg:
	Updated the API configuration for the recently added new classes.
	[46d2397e4bac]

	* PyQt5.msp:
	Completed the initial scan of QtLocation.
	[01c5d7b2f5c1]

2015-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtWebEngineWidgets.versions,
	lib/configure.py:
	Updated QtWebEngineWidgets for Qt v5.5.0-rc.
	[9d90aaba2346]

	* PyQt5.msp:
	Updated QtGui for Qt v5.5.0-rc.
	[29e5da47d4eb]

	* PyQt5.msp:
	Added QT v5.5.0-rc support to QtOpenGL, QtPositioning,
	QtPrintSupport, QtQml, QtQuick, QtQuickWidgets, QtSensors,
	QtSerialPort and QtTest.
	[16c53510a247]

2015-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the Qt v5.5 support for QtNetwork.
	[7df1482cd7cd]

	* PyQt5.msp, lib/SubclassCode/QtMultimedia.versions:
	Completed the Qt v5.5 support for QtMultimedia.
	[9bc46f0d7c99]

	* PyQt5.msp:
	Initial scan of the remaining existing modules.
	[c267700a94e9]

2015-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a missing reference in the QtGui module.
	[639da5a3046f]

	* lib/configure.py:
	Set QMAKE_RPATHDIR for Qt v5.5 and later on OS X.
	[4cb6a26802dd]

	* PyQt5.msp, lib/configure.py:
	Completed the updates for QtGui for Qt v5.5.0-rc.
	[40bfae01fe1a]

2015-06-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the QtDBus and QtDesigner modules for Qt v5.5.0-rc.
	[9169626a8e94]

	* PyQt5.msp:
	Initial scan of QtDBus, QtDesigner and QtGui for Qt v5.5.0-rc.
	[bd6a2e668fd7]

	* PyQt5.msp:
	Completed the initial Qt v5.5 support for QtBluetooth and QtCore.
	[19bff136b8f4]

	* PyQt5.msp:
	Parsed the Qt v5.5.0-rc changes for Enginio, QtBluetooth and QtCore.
	[051e57a17d18]

2015-06-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Simplified the fix for the memory leak in attributeNames().
	[d5b00e76067f]

2015-06-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QSGMaterialShader.attributeNames() no longer leaks memory.
	[be201b77bdb6]

	* QtMacExtras/QtMacExtrasmod.sip, QtMacExtras/qmactoolbar.sip,
	QtMacExtras/qmactoolbaritem.sip:
	Added QMacToolBar and QMacToolBarItem.
	[07cd3c5604f2]

	* PyQt5.msp:
	Added /ReleaseGIL/ to the QCoreApplication, QGuiApplication and
	QApplication dtors to allow for the internal mutex in OpenGL
	rendering.
	[64f2c9dbf061]

2015-06-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The ownership of the QSGNode returned by
	QQuickItem.updatePaintNode() is now handled correctly.
	[97ce4458a5c1]

	* PyQt5.msp:
	Added /ReleaseGIL/ for all QQuickWindow methods that seem to lock
	the internal mutex.
	[61740b8dd171]

	* PyQt5.msp:
	Fix the QSGMaterialShader super-type as it can be owned.
	[67adc9416118]

	* PyQt5.msp:
	The QQuickView dtor now releases the GIL in order to avoid a
	deadlock.
	[70f4a305607e]

2015-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing Qt.NoOpaqueDetection and Qt.NoFormatConversion
	values.
	[f800f67c3286]

2015-06-12  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/deprecations.rst, sphinx/incompatibilities.rst,
	sphinx/index.rst:
	Documented the incompatible changes.
	[f6bfd44ba749]

	* PyQt5.msp, build.py, qpy/QtCore/qpycore_public_api.cpp:
	Removed the (deprecated) ability to convert a Latin-1 string to a
	QByteArray(). Unhandled Python exceptions now call qFatal().
	[de30e9dedad8]

	* examples/graphicsview/dragdroprobot/dragdroprobot.qrc,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc.py,
	examples/opengl/samplebuffers.py,
	examples/opengl/textures/textures.qrc,
	examples/opengl/textures/textures_rc.py, examples/qtdemo/qtdemo.qrc,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	sphinx/static/default.css:
	Merged the v5.4 maintenance branch with the trunk.
	[b512611dd0ea]

2015-06-11  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.4.2 for changeset 5a34feb6b31d
	[6f80aa2771d3] <5.4-maint>

	* NEWS:
	Released as v5.4.2.
	[5a34feb6b31d] [5.4.2] <5.4-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Fixed a missing image plugin in the Windows installer.
	[29760ab3d5f9] <5.4-maint>

	* Makefile:
	Clean up any extra Mac crap.
	[dcbc92d15a8b] <5.4-maint>

2015-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Compiler/qobjectcreator.py:
	Make sure all generedt imports are sorted and therefore repeatable.
	[9ad1a251d97b] <5.4-maint>

2015-06-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Completed the support for Qt v5.4.2.
	[02c99f5affde] <5.4-maint>

	* PyQt5.msp:
	Scanned Qt v5.4.2.
	[7fbd795f8c5e] <5.4-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the Windows installer for Qt v5.4.2.
	[74c080b5bdb2] <5.4-maint>

	* PyQt5.msp:
	Added missing /Factory/ annotations from the create() and
	beginCreate() methods of QQmlComponent.
	[56be1a87fd2c] <5.4-maint>

2015-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the handling of the value returned by Python re-
	implementations of QSGMaterialShader.attributeNames().
	[cb620297cbc8] <5.4-maint>

2015-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, sphinx/installation.rst:
	Added the --no-python-dbus option to configure.py.
	[df17d3eace7a] <5.4-maint>

2015-05-18  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed another deprecation warning in pyuic.
	[6333c15a9a6b] <5.4-maint>

	* pyuic/uic/driver.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/load_plugin.py, pyuic/uic/port_v3/load_plugin.py:
	Fixed all the deprecation warnings from pyuic.
	[e8f96fbc8cf0] <5.4-maint>

2015-05-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Fixed the path to SIP on OS/X.
	[39ecf0bc71e1] <5.4-maint>

2015-05-06  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/icon_cache.py,
	pyuic/uic/objcreator.py:
	Fixed the handling of themed icons by uic.loadUi().
	[506c268c8f43] <5.4-maint>

2015-04-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Handle properties that are objects that are defined in QML.
	[aebd6aab85d4] <5.4-maint>

2015-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of default margins.
	[6a7e3e6175c8] <5.4-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the default spacing.
	[12193d5afbe1] <5.4-maint>

2015-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/main.cpp:
	pylupdate now saves locations as relative to the .ts file.
	[1757d2e318f6] <5.4-maint>

2015-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added QWIDGETSIZE_MAX to QtWidgets.
	[b136fd7c485e] <5.4-maint>

2015-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/static/classic.css, sphinx/static/default.css:
	Fixed the stylesheet.
	[d35996e57f02] <5.4-maint>

2015-03-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The GIL is now released for all QImage ctors and methods that might
	block.
	[3fd70eec66b9] <5.4-maint>

	* PyQt5.msp:
	Removed the internal QGraphicsSceneEvent.setWidget().
	[622e5b5ebcfc] <5.4-maint>

2015-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Added the OpenGL v2.1 backend to the Windows installer.
	[ca1e4c121c78] <5.4-maint>

	* sphinx/conf.py:
	Updated for sphinx v1.3.
	[1c1cd1eac7ce] <5.4-maint>

	* qpy/QtCore/qsysinfo.sip:
	Added Yosemite and iOS v8.0 to QSysInfo.
	[01d4d1af5961] <5.4-maint>

	* pyuic/uic/uiparser.py:
	pyuic now handles empty zorder elements.
	[a0dcd07b7e72] <5.4-maint>

	* lib/configure.py:
	Added nostrup to the generated .pro file.
	[d6445df281a6] <5.4-maint>

2015-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	pyuic will now ignore spacer items when setting the z-order.
	[28704a096a3a] <5.4-maint>

2015-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Installer fix for Qt v5.4.1.
	[0b21a7fa6750] <5.4-maint>

	* .hgtags:
	Added tag 5.4.1 for changeset 0a5d7730c142
	[e9b5f2d5bd48] <5.4-maint>

	* NEWS:
	Released as v5.4.1.
	[0a5d7730c142] [5.4.1] <5.4-maint>

2015-02-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the changes for Qt v5.4.1.
	[368c0d736e49] <5.4-maint>

	* PyQt5.msp:
	Scanned Qt v5.4.1.
	[2045a358e1e4] <5.4-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer for Qt v5.4.1.
	[22974f5a4007] <5.4-maint>

	* NEWS:
	Updated the NEWS file.
	[fd53bf1f9638] <5.4-maint>

2015-02-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LicenseFAQ.txt:
	Slight clarification in the license FAQ.
	[a4e16da29a86] <5.4-maint>

	* examples/opengl/grabber.py:
	grabber.py now uses QtOpenGLWidget and no longer uses PyOpenGL.
	[cf42f047f5af] <5.4-maint>

	* examples/opengl/samplebuffers.py, examples/qtdemo/examples.xml,
	examples/qtdemo/mainwindow.py, examples/qtdemo/menumanager.py,
	examples/qtdemo/qtdemo.py, examples/qtdemo/qtdemo.qrc,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	qtdemo.py no longer uses pyrcc. Removed the samplebuffers.py
	example.
	[9dd44e33dbf2] <5.4-maint>

2015-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/opengl/overpainting.py:
	overpainting.py no longer uses PyOpenGL.
	[0095ac30f3f1] <5.4-maint>

	* examples/opengl/hellogl.py:
	hellogl.py no longer uses PyOpenGL.
	[2466595ffaa8] <5.4-maint>

	* examples/opengl/textures/textures.py:
	textures.py no longer uses PyOpenGL.
	[cea54a81d734] <5.4-maint>

	* examples/opengl/textures/textures.py,
	examples/opengl/textures/textures.qrc,
	examples/opengl/textures/textures_rc.py:
	The textures.py example now uses QOpenGLWidget and does not use
	pyrcc.
	[0038f626c540] <5.4-maint>

	* examples/opengl/overpainting.py:
	overpainting.py now uses QOpenGLWidget.
	[adb738a8823d] <5.4-maint>

	* PyQt5.msp:
	Added the _QOpenGLFunctions_2_1 module.
	[831d9420cdb9] <5.4-maint>

	* PyQt5.msp:
	Initial scan of the _QOpenGLFunctions_2_1 module.
	[87965430e499] <5.4-maint>

	* examples/opengl/2dpainting.py:
	Updated 2dpainting.py to match Qt v5.4.
	[2444297431e1] <5.4-maint>

	* examples/opengl/2dpainting.py, examples/opengl/hellogl.py:
	2dpainting.py and hellogl.py now use QOpenGLWidget.
	[7570b3ee5137] <5.4-maint>

2015-02-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Default to sip4.
	[56103de21ca0] <5.4-maint>

	* Makefile, lib/configure.py:
	Installing into a virtual env should now work.
	[d18494d4f984] <5.4-maint>

2015-02-12  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.qrc,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc.py:
	Fixed the dragdroprobot.py example.
	[29d42f347e05] <5.4-maint>

	* examples/widgets/calendarwidget.py:
	Fixed the calendarwidget.py example so it doesn't use obsolete
	methods.
	[5bfdad59eee6] <5.4-maint>

2015-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py:
	Improved the implementation of the executable search.
	[c8a254ad3b53] <5.4-maint>

	* Makefile:
	Switch the internal build system to sip5.
	[8553ce1a8cff] <5.4-maint>

	* lib/configure.py:
	Use sip5 in preference to sip4.
	[e104f5f49120] <5.4-maint>

2015-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QEvent.None is now QEvent.None_.
	[21c5779b9a9a] <5.4-maint>

	* PyQt5.msp:
	Added some missing QEvent.Type values.
	[09db852ff2ee] <5.4-maint>

2015-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed all the pseudo-ctors that take a QVariant argument.
	[1507018b0814] <5.4-maint>

2015-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Enabled the simplest calls in OpenGL 4.0-core.
	[bcb234196361] <5.4-maint>

2015-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated OpenGL 4.1Core from 2.0.
	[2197f1d1f00b] <5.4-maint>

	* PyQt5.msp:
	Get the name right for the _QOpenGLFunctions_4_1_Core module.
	[8ce7c02e45da] <5.4-maint>

	* PyQt5.msp:
	Added the stub of the _QOpenGLFunctions_4_1_core module.
	[cc4b33b46918] <5.4-maint>

2015-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py will now ignore old moc generated C++ files.
	[b9f4e00ddb92] <5.4-maint>

2015-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, sphinx/installation.rst:
	Added the --license-dir command line option to configure.py.
	[bc8255a4dd33] <5.4-maint>

2015-01-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py will now handle a blank licensee.
	[0db0131e1ac0] <5.4-maint>

	* lib/configure.py:
	Fixed the handling of the --qml-plugindir option to configure.py.
	[c4f830debfc8] <5.4-maint>

	* qpy/QtCore/qpycore_public_api.cpp:
	Converting argv now uses the current locale codec rather than
	Latin-1.
	[73c52f636ad1] <5.4-maint>

	* pyuic/uic/uiparser.py:
	pyuic now supports the z-order of widgets.
	[f9b37fb09d6e] <5.4-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Improved the fix for handling frame shadows of lines.
	[9904222abd9b] <5.4-maint>

2015-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the frame shadow of lines.
	[0b20cc5fda6f] <5.4-maint>

	* pyrcc/rcc.cpp, pyuic/uic/__init__.py:
	Removed the timestamp from the header generated by pyrcc.
	[a56bb17ad8ce] <5.4-maint>

	* pyuic/uic/__init__.py:
	Removed the timestamp from the header generated by pyuic.
	[83ff904a1929] <5.4-maint>

2015-01-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed a regression converting a QString with a surrogate pair as the
	last character.
	[55f521ae431b] <5.4-maint>

2015-01-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed the previous fix.
	[0d0762e7b5ef] <5.4-maint>

2015-01-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Ensure any exception is cleared after introspecting QObject class
	attributes.
	[afaaea82b022] <5.4-maint>

2015-01-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The QtWebChannel and QtWebSockets modules don't need a GUI.
	[154b7ed4e071] <5.4-maint>

	* PyQt5.msp:
	The loadUrl() methods of QQmlComponent now release the GIL.
	[c7a9f34318ad] <5.4-maint>

2015-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/LICENSE.internal, sphinx/conf.py:
	Updated the copyright notices.
	[83f2a9f8495b] <5.4-maint>

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions, lib/configure.py,
	qpy/QtWidgets/qmaccocoaviewcontainer.sip, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Added the QMacCocoaViewContainer class.
	[4e2f742ce34d] <5.4-maint>

2014-12-25  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.4 for changeset 51e7270c0aad
	[5bf7aad36927]

	* NEWS:
	Released as v5.4.
	[51e7270c0aad] [5.4]

2014-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi, installers/qt5-config.bat:
	Enable ICU support for the WIndows build of Qt. Updated the
	installer now that the default OpenGL support is desktop.
	[bcbeae513872]

2014-12-23  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/pyqt5-check.py, installers/qt5-config.bat:
	Updated the check script to handle the additional image formats in
	Qt v5.4.0. Updated the Qt5 configure script to enable dynamic OpenGL
	selection.
	[8d58795da4b1]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer for Qt v5.4.0.
	[0d2998cc5275]

2014-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qmlscene/pluginloader.cpp:
	Fixed a bug in the qmlscene plugin when building against Python v2.
	[73b7aaf3c7cc]

	* sphinx/introduction.rst:
	Updated the docs regarding the commercial license.
	[c8a533acf511]

	* lib/LICENSE.commercial.short:
	Fixed the short commercial license to match the full one.
	[1a7134faa09a]

	* lib/LicenseFAQ.txt:
	Tweaks to the license FAQ.
	[75f024dc27b1]

2014-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updated the commercial license to v4.0.
	[6f91254b3779]

	* lib/LicenseFAQ.txt:
	Added the license FAQ.
	[970d31cd4a5e]

2014-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/SubclassCode/mksccode.py:
	The sub-class convertor code generator now handles hidden C++
	namespaces.
	[f951bd1e9437]

2014-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the QString to Unicode conversion to not assume that a QString
	has a trailing null QChar.
	[7c319bbde1bf]

2014-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed a bug in the relaying of signals defined in Python to QML.
	[850ad2e2dd38]

2014-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Removed a forgotton debug statement.
	[10c73f88bfd5]

	* PyQt5.msp:
	Updated for Qt v5.4.0.
	[dde3d6b31be9]

	* PyQt5.msp:
	Scanned Qt v5.4.0.
	[77ec0fc59d92]

2014-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	Fixed problems with creating item models in Python and accessing
	from QML.
	[646b6aafd24f]

2014-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/pyqt4_differences.rst:
	Further doc updates regarding QtXml.
	[fd14d57dd224]

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi:
	Completed the QtXml module.
	[29dcc0a9556a]

	* sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Updated the docs for the QtXml module.
	[3170490e2c54]

	* lib/configure.py:
	Updated configure.py for QtXml.
	[907b21fd87f3]

	* PyQt5.msp:
	Added the initial scan of the QtXml module.
	[b0ad7a93f4f3]

2014-12-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Final fixes for QWebEnginePage. Added the QtWebChannel and
	QtWebEngineWidgets classes to the docs.
	[dddb0c57ea0a]

	* PyQt5.msp:
	Scanned QWebEngineCertificateError now that we know it is part of
	the API.
	[1afa4ca635d0]

2014-11-30  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi, sphinx/introduction.rst:
	Updated the docs and installer in relation to QtWebEngineWidgets and
	Windows.
	[c84926e7bb99]

	* PyQt5.msp:
	Completed the implementation of QWebEnginePage.
	[f23dc18cbc3d]

	* PyQt5.msp, lib/configure.py:
	Completed the implementation of QWebEngineView.
	[8a7d384eaf6d]

	* PyQt5.msp, qpy/QtCore/qpycore_qhash.sip:
	Completed the QtWebChannel module.
	[f184466d65d2]

2014-11-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Implemented the majority of the QtWebChannel and QtWebEngineWidgets
	modules.
	[c7a7ad2384ab]

	* PyQt5.msp:
	Scanned the QtWebChannel and QtWebEngineWidgets modules.
	[3a6e2f146f7b]

	* sphinx/introduction.rst:
	Updated the docs for QtWebChannel and QtWebEngineWidgets.
	[01d762d375dd]

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/widget-
	plugins/qtquickwidgets.py:
	Added support for QQuickWidget and QOpenGLWidget to pyuic5.
	[78b75d36ff67]

	* installers/PyQt5-Qt5-gpl.nsi, lib/configure.py:
	Updated configure.py and the installer for QtWebChannel and
	QtWebEngineWidgets.
	[1f0847cc6406]

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions,
	sphinx/api_metadata.cfg:
	Updated QtWidgets for Qt v5.4.0-rc.
	[c42a45936b60]

	* PyQt5.msp:
	Updated QtSql, QtWebKit and QtWebSockets for Qy v5.4.0-rc.
	[0db3c6fc10e9]

	* PyQt5.msp, lib/SubclassCode/QtSensors.versions,
	sphinx/api_metadata.cfg:
	Updated QtSensors for Qt v5.4.0-rc.
	[89bd5ee95fc7]

	* PyQt5.msp, lib/SubclassCode/QtQuick.versions,
	sphinx/api_metadata.cfg:
	Updated QtQml, QtQuick and QtQuickWidgets for Qt v5.4.0-rc.
	[a3465156fcca]

	* PyQt5.msp, qpy/QtPrintSupport/qpyprintsupport_qlist.sip:
	Updated QtNetwork and QtPrintSupport for Qt v5.4.0-rc.
	[e2ddf6704ca0]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Completed QtMultimedia (mostly by ignoring the difficult bits
	because they are very unlikely to ever be needed).
	[aaf808e972a1]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Fixed the transfer annotations on one of the QCompleter ctors.
	Updated the easy parts of QtMultimedia for Qt v5.5.0-rc.
	[a5a2787aac3c]

2014-11-28  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_metadata.cfg:
	Updated the docs meta-data for the new classes added so far.
	[4b9612f9fd6e]

	* PyQt5.msp, lib/SubclassCode/QtGui.versions:
	Updated QtGui and QtHelp for Qt v5.4.0-rc.
	[0040ab36e770]

	* PyQt5.msp:
	Updated QtCore for Qt v5.4.0-rc.
	[41f942bc3e5b]

	* PyQt5.msp, lib/SubclassCode/QtBluetooth.versions:
	Updated the Enginio and QtBluetooth modules for Qt v5.4.0-rc.
	[2cbf21f8c128]

	* QtX11Extras/qx11info_x11.sip:
	Updated QtX11Extras for Qt v5.4.0-rc.
	[6d979ec944e4]

	* QtWinExtras/qwinthumbnailtoolbar.sip:
	Updated QtWinExtras for Qt v5.4.0-rc.
	[5cc43b61d591]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the Qt version number in the installer.
	[cd16e111cb7c]

	* PyQt5.msp:
	Initial scan of Qt v5.4.0-rc for existing modules.
	[7fa71f7ee0df]

2014-11-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the return values of the addWidget() and insertWidget()
	methods of QStackedLayout.
	[d3f5d1f98b7d]

2014-11-25  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/gotchas.rst:
	Updated the description of conversions to QByteArray from latin-1
	strings.
	[4e4b64fa2936]

2014-11-20  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/qml.rst:
	Updated the docs to describe how to run the qmlscene plugin example.
	[360981336f2f]

2014-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qmlregistertype.sip:
	Added the missing non-template overloads of qmlRegisterType() and
	qmlRegisterSingletonType().
	[15b37c22d541]

	* build.py:
	A source package now contains a full ChangeLog.
	[51a45084f486]

2014-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QObject.findChild() and QObject.findChildren() now handle QML proxy
	objects.
	[837edec02d98]

	* lib/configure.py:
	Fixed a regression in configure.py related to the DBus Python
	module.
	[c45eba355f57]

2014-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Reduced the delay in the input hook on Windows.
	[6e9a8b1ba494]

2014-10-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Always check for the Python dbus module.
	[661bf1f5c6e0]

	* lib/configure.py:
	Run qmake once, recursively.
	[3729fd92a74b]

	* lib/configure.py:
	Renamed the .pro files for pyrcc5 and pylupdate5.
	[2c328ebcc4a3]

	* designer/designer.pro-in, designer/python.pro-in, lib/configure.py,
	qmlscene/python.pro-in, qmlscene/qmlscene.pro-in:
	Renamed the .pro files for the designer and qmlscene plugins.
	[c6ba2b645332]

2014-10-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Handle OS/X with --enable-shared as well as --enable-framework.
	[f2a6301eac36]

2014-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/deprecations.rst:
	Updated the docs regarding unhandled Python exceptions.
	[027db5a97624]

	* PyQt5.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtpyobject.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_qmessagelogger.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_virtual_error_handler.sip,
	qpy/QtQml/qpyqml_api.h, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlsingletonobject.cpp, qpy/QtQuick/qpyquick_api.h,
	qpy/QtQuick/qpyquick_post_init.cpp, qpy/QtQuick/qpyquickitem.cpp,
	qpy/QtQuick/qpyquickpainteditem.cpp, sphinx/extension_api.rst:
	Added pyqt5_err_print() to the public API (as a replacement for
	PyErr_Print() that implements the new policy for unhandled
	exceptions).
	[05a22fdd6ce2]

	* PyQt5.msp, qpy/QtCore/qpycore_virtual_error_handler.sip:
	Implemented the new behaviour for unhandled Python exceptions in
	virtual reimplementations.
	[bd744ebca21d]

2014-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, build.py, sphinx/deprecations.rst,
	sphinx/incompatibilities.rst, sphinx/index.rst:
	The automatic conversion of a Latin-1 encoded string to QByteArray
	is now deprecated.
	[ce37c9511e58]

2014-10-02  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/mainwindows/application/application.qrc,
	examples/mainwindows/application/application_rc.py,
	qpy/QtCore/qpycore_qstringlist.sip:
	Merged the 5.3-maint branch into the trunk.
	[db7746b0db88]

2014-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, installers/BuildGPL.txt, lib/configure.py:
	Fixed QNetworkAccessManager.createRequest() so that it aborts rather
	than crashes when None is returned of there is an unhandled
	exception.
	[028a89e8d6a2] <5.3-maint>

2014-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the Qt version number in the installer.
	[5cef3154ebc0] <5.3-maint>

2014-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the version of ICU included in the installers.
	[b50fd07dcd1a] <5.3-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	The qt.conf files now use relative pathnames.
	[345f75972cd2] <5.3-maint>

	* PyQt5.msp:
	Updated the project file for Qt v5.3.2.
	[1b51adc53538] <5.3-maint>

	* lib/configure.py:
	Fixed building against Qt v5.3.2.
	[3d76ad16a090] <5.3-maint>

2014-09-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a configure.py regression when introspecting for a static
	Python library.
	[35dae695e5fe] <5.3-maint>

2014-09-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Allow an invalid QVariant to be converted to None if a
	QMetaType::Void is expected because QML seems to expect it.
	[9b8a2870307b] <5.3-maint>

2014-09-12  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.3.2 for changeset b0872e23eef2
	[09479720708a] <5.3-maint>

	* NEWS:
	Released as v5.3.2.
	[b0872e23eef2] [5.3.2] <5.3-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Add the Enginio DLL to the installer.
	[9913df0c09a7] <5.3-maint>

2014-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Improved a configure.py error message.
	[55d2db4d2016] <5.3-maint>

2014-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/pluginloader.cpp, designer/python.pro-in, lib/configure.py:
	Reverted the behaviour of the designer plugin so that it explicitly
	loads the Python interpreter library.
	[520c69cecd7f] <5.3-maint>

2014-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/incompatibilities.rst:
	Documented the different handling of signals with default arguments
	as a potential incompatibility in PyQt v5.3.
	[21c492233b4f] <5.3-maint>

2014-09-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[3e67087edaa6] <5.3-maint>

2014-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic bug handling the alignment of box layouts.
	[8ceffd80eb09] <5.3-maint>

2014-09-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgignore, PyQt5.msp, installers/BuildGPL.txt, lib/configure.py:
	Fixed the handling of Python exceptions in QWebPage.extension().
	[6b688d2514d2] <5.3-maint>

2014-08-25  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, lib/configure.py:
	Avoid a qmake warning by embedding the SIP flags earlier. Fix the
	license check when using a configuration file.
	[2764886c6cc6] <5.3-maint>

2014-08-14  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/signals_slots.rst:
	Tightened up the docs regarding pyqtSignal().
	[920e22cba0c2] <5.3-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer to include qmake and mkspecs which are needed
	by lrelease when it is given a .pro file.
	[946843b4db4e] <5.3-maint>

2014-08-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the (no longer preliminary) QWidget.windowHandle().
	[eec511d5634f] <5.3-maint>

2014-07-31  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_qjsonvalue.cpp,
	qpy/QtQml/qpyqml_qjsvalue.cpp:
	Fixed a couple of Python v2 build regressions.
	[dcc21846e00f] <5.3-maint>

	* Makefile, PyQt5.msp:
	Fixed QAbstractPrintDialog.PrintDialogOption.None for Python v3.
	[6cfab73403c8] <5.3-maint>

2014-07-28  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp, sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Completed the implementation of the Enginio module.
	[4a9d7e1d5662] <5.3-maint>

2014-07-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py:
	Implemented the rest of the Enginio module except for EnginioModel.
	[6f28c7ec4a3a] <5.3-maint>

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg:
	Added the Enginio module to the build system. Implemented the
	Enginio.Enginio namespace.
	[bf79ca211de1] <5.3-maint>

	* PyQt5.msp:
	Initial scan of the Enginio module.
	[b90c5231f98b] <5.3-maint>

	* build.py, sphinx/api_details/qjsonarray.rst,
	sphinx/api_details/qjsonobject.rst,
	sphinx/api_details/qjsonvalue.rst:
	Added support for including additional API specific documentation.
	[7c4bc36ed40a] <5.3-maint>

	* PyQt5.msp, qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_qjsonvalue.cpp,
	qpy/QtCore/qpycore_qstringlist.sip, qpy/QtCore/qstringlist.sip,
	qpy/QtQml/qpyqml_qjsvalue.cpp, sphinx/api_metadata.cfg:
	Implemented the QJsonDocument, QJsonParseError and QJsonValue
	classes. Implemented QJsonArray and QJsonObject as mapped types.
	Remove redundant QJSValue ctors.
	[abc3d82e4430] <5.3-maint>

	* PyQt5.msp:
	Initial scan of the JSON classes.
	[e454d7715289] <5.3-maint>

2014-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Updated the internal docs for installing MSVC2010.
	[dae53e32f8d7] <5.3-maint>

2014-07-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing setUnifiedTitleAndToolBarOnMac() and
	unifiedTitleAndToolBarOnMac() to QMainWindow.
	[1cfe8cdfc5a8] <5.3-maint>

	* qpy/QtCore/qpycore_enums_flags.cpp:
	Fixed a benign exception while parsing Q_ENUMS and Q_FLAGS.
	[b8e6f34be940] <5.3-maint>

2014-07-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed ownership changes when calling
	QQmlEngine.setObjectOwnership().
	[77bc10e785e2] <5.3-maint>

	* sphinx/pyqt4_differences.rst:
	Clarified the advice about setdestroyonexit().
	[126152cc8091] <5.3-maint>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed an attempt to decrement a reference count with the GIL in the
	QML proxy.
	[722a2bd8deb3] <5.3-maint>

	* PyQt5.msp:
	Added a missing /TransferThis/ to the QItemSelectionModel single arg
	ctor.
	[c0c1d57cd8a8] <5.3-maint>

	* build.py, examples/mainwindows/application/application.py,
	examples/mainwindows/application/application.qrc,
	examples/mainwindows/application/application_rc.py:
	Updated the application.py example so that it doesn't use pyrcc and
	will work as a deployed application without changes.
	[b4b75e5b26f5] <5.3-maint>

2014-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	Fixed the pylupdate parsing of translate().
	[7687a1e7a9e3] <5.3-maint>

	* PyQt5.msp:
	Make sure widgets always have an owner even if the layout isn't in a
	widget.
	[51060169e5be] <5.3-maint>

	* PyQt5.msp:
	Ensure that the ownership of widgets in a layout are always correct.
	[09687398dc66] <5.3-maint>

2014-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/python.pro-in, lib/configure.py, qmlscene/python.pro-in:
	Work around QTBUG-39300.
	[0b94a0c4f4d2] <5.3-maint>

2014-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QWebSocket when SSL support is disabled.
	[bae1d0bfb5a4] <5.3-maint>

2014-07-04  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.3.1 for changeset 04f59a3d5419
	[afc3fc029eef] <5.3-maint>

	* NEWS:
	Released as v5.3.1.
	[04f59a3d5419] [5.3.1] <5.3-maint>

2014-07-03  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/deploy_commercial.rst, sphinx/installation.rst:
	Updated the docs to refer to pyqtdeploy rather than VendorID.
	[144f912ad1eb] <5.3-maint>

2014-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Updates to the installer docs.
	[796d5e8ebe63] <5.3-maint>

2014-06-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi:
	Updated for Qt v5.3.1.
	[43eca77eb086] <5.3-maint>

	* PyQt5.msp:
	Scanned Qt v5.3.1.
	[ed0fcce6113e] <5.3-maint>

	* PyQt5.msp:
	Added a missing /ReleaseGIL/ to
	QNetworkAccessManager.createRequest().
	[a09288c24355] <5.3-maint>

2014-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpyopengl_value_array.cpp:
	Fixed for building against Python v2.6.2 and earlier.
	[b10aab47cc69] <5.3-maint>

2014-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic regression in the handling of implicit QTableWidget
	dimensions.
	[65acf1dcaa30] <5.3-maint>

2014-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py, sphinx/installation.rst:
	Removed the --consolidate argument to configure.py as it never
	worked and pyqtdeploy is the way forward.
	[8110e649a041] <5.3-maint>

2014-06-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Only pass -spec to qmake if it is really necessary.
	[770fc634f362] <5.3-maint>

2014-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixes for Python v2.6.
	[0e31a2da0fa2] <5.3-maint>

2014-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the handling of the default qmake spec. Fixed the linker
	version scripts generated for Linux.
	[6ec15bc5d1bd] <5.3-maint>

2014-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp, pylupdate/main.cpp:
	Added the -tr-function and -translate-function command line options
	to pylupdate5.
	[6cb476d4cc9a] <5.3-maint>

2014-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qvariant_value.cpp:
	Ported the QSettings.value() fixes from PyQt4.
	[4466a72038cc] <5.3-maint>

2014-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, installers/PyQt5-Qt5-gpl.nsi:
	Fixed the link to the Qt documentation in the installers. Updated
	the cross-compile target version.
	[3d4d0f24d41b]

2014-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.3 for changeset 1c94cbc7c33f
	[50cfe16807be]

	* NEWS:
	Released as v5.3.
	[1c94cbc7c33f] [5.3]

	* PyQt5.msp:
	Backed out the changes related to the parenting of dialogs. It
	introduces potential incompatibilities for no real gain.
	[187d130762ae]

2014-05-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed (rather than ignored) the missing QDnsLookup ctor so that we
	will consider it again with Qt v5.3.1.
	[db2986a5beb0]

2014-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated for Qt v5.3.0. Ignore the missing QDnsLookup ctor.
	[bce757fd6b87]

2014-05-19  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added the Android build target.
	[f6e83c05f2a1]

2014-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Make sure that the -B flag isn't included in PYQT_CONFIGURATION.
	[e43b3f33502e]

	* Makefile:
	Install the .sip files into sysroot when cross-compiling.
	[5d636dfea5d7]

	* lib/configure.py, sphinx/installation.rst:
	Renamed qt_disabled_features to pyqt_disabled_features.
	[64489c7ec72b]

	* lib/configure.py:
	Make use of SIP v4.16's handling of timelines to avoid having to
	work out the exact version tag to use.
	[be0afd3dfe65]

2014-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added some missing PyQt_Printer features. Added the PyQt_NoBootstrap
	feature for iOS.
	[22e30a316ffc]

	* Makefile:
	Fix the installation of __init__.py and uic for the iOS simulator
	build.
	[6707f8fb7fcd]

	* Makefile:
	Fixed the installation of the Qt module for the iOS simulator build.
	[d4cbad9ba118]

	* PyQt5.msp:
	Fixed another desktop OpenGL dependency.
	[a96eb576b700]

	* Makefile:
	Refactored the top level Makefile and added support for iOS builds.
	[0c7fb2aa9b47]

2014-05-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Don't generate the QScintilla .api file if it isn't going to be
	installed.
	[3fdd63dd47f1]

	* lib/configure.py, sphinx/installation.rst:
	Adjustments to the license handling because there is no way to
	discover the licensee when cross-compiling.
	[559814273fde]

	* qpy/QtGui/opengl_types.sip, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp, qpy/QtGui/qpyopengl_value_array.cpp:
	Fixes for building for an OpenGL ES system.
	[b90c3d5ccd5d]

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Completed the implementation of the QWebSockets module.
	[b1dfa886d9a7]

	* PyQt5.msp:
	Disabled the new (but missing) QDnsLookup ctor.
	[fb490165ca64]

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Completed the QtQuickWidgets module.
	[a251131319a4]

	* PyQt5.msp:
	Added the scanned stubs of the QtQuickWidgets and QtWebSockets
	modules.
	[dc836db4f607]

2014-05-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg:
	Updated all existing non-platform-specific modules for Qt
	v5.3.0-rc1.
	[8ec4f9396cd6]

	* PyQt5.msp:
	Initial scan of Qt v5.3.0-rc1.
	[a0143121db58]

2014-05-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixes for building against Qt v5.3.0-rc1.
	[90a1ae3f0434]

	* lib/configure.py:
	Fixed the default configure.py help text related to prot-is-public.
	[6ec1bbe11d50]

2014-05-11  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py, sphinx/installation.rst:
	Added the --no-tools option to configure.py.
	[3afc3d6a0b8c]

	* Makefile, build.py, configurations/rpi_py3.cfg, lib/configure.py,
	sphinx/installation.rst:
	Reimplemented the support for configuration files so that it is
	portable to Python v2. Removed the configurations directory.
	--sysroot now replaces the sys.prefix part of a directory name.
	[2bc27b9bbc8a]

2014-05-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, sphinx/conf.py, sphinx/installation.rst:
	Documented the --target-py-version and --sysroot options. A couple
	of minor configure.py bug fixes.
	[629d4c624ee3]

	* configurations/rpi_py3.cfg, lib/configure.py:
	Added the --target-py-version and --sysroot options to configure.py.
	Configuration files now have the Python version and sysroot pre-
	populated from the command line. sysroot is now automatically
	prepended to the relevent introspected directories. Updated the RPi
	configuration file appropriately.
	[a65adbbac0f5]

2014-05-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, pyuic/uic/widget-plugins/qtdeclarative.py,
	qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_qstringlist.cpp,
	qpy/QtCore/qpycore_sip.h, qpy/QtDBus/qpydbus.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtGui/qpyopengl_add_constants.c, qpy/QtQml/qpyqml.pro,
	qpy/QtQuick/qpyquick.pro:
	Merged the 5.2-maint branch into the trunk.
	[c00d9ae88bd0]

	* configurations/rpi_py3.cfg, lib/configure.py:
	A configuration file is now parsed with configparser with
	ExtraInterpolation. A configuration file must define a section
	covering the version of Qt being used. Updated the Raspberry Pi
	configuration file to meet the revised requirements.
	[38fca2a9702d]

2014-04-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Qt::UniqueConnection is a flag.
	[3b978cee5968] <5.2-maint>

2014-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Implement support for Qt::UniqueConnection when connecting to Python
	slots.
	[33b67d803637] <5.2-maint>

2014-04-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_pyqtslot.h,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp:
	Fixed a bug detecting when the Python receiver object has been
	garbage collected. Delete slot proxies if the slot receiver no
	longer exists.
	[3a4d245409f0] <5.2-maint>

	* PyQt5.msp:
	Removed the /TransferThis/ from the parent argument of the ctor of
	all dialog classes. This is a better approach to the special
	ownership behaviour of dialogs as that taken by PyQt4.
	QWidget.setParent() now handles dialogs properly.
	[4535ef2b7372] <5.2-maint>

2014-04-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Handle top-level widgets in the QApplication dtor as PyQt4 does
	because sip.setdestoyonexit() can't help if the GUI isn't held in
	the main block.
	[f6521c24d6b1] <5.2-maint>

2014-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added a missing /ReleaseGIL/ to the QSqlQuery ctor that can execute
	a query.
	[d11e914518cc] <5.2-maint>

	* sphinx/incompatibilities.rst, sphinx/index.rst,
	sphinx/signals_slots.rst:
	Documented the no_receiver_check issues.
	[3acf8677f5aa] <5.2-maint>

2014-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp,
	qpy/QtCore/qpycore_pyqtslot.h, qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h:
	Implemented the 'no_receiver_check' argument to connect(). By
	default checks for receiver C++ instances are enabled.
	[c29a6eac4aff] <5.2-maint>

2014-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed a bug in the conversion of QStrings with surrogate pairs.
	[16a9c19d08cf] <5.2-maint>

	* Makefile, lib/configure.py:
	Make sure the SIP include directory is searched before the Python
	include directory if they are different.
	[50212db2acde] <5.2-maint>

2014-04-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtDBus/qpydbuspendingreply.cpp,
	qpy/QtDBus/qpydbusreply.cpp,
	qpy/QtQml/qmlattachedpropertiesobject.sip,
	qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqml_register_type.cpp:
	Fixed the remaining symbol name clashes with static builds.
	[e1ef73ca0fbd] <5.2-maint>

	* pyuic/uic/uiparser.py:
	Fixed pyuic handling of non-exclusive button groups.
	[a46790060328] <5.2-maint>

2014-03-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed a regression with Python v2 where a classic class is used as a
	mixin.
	[5fc3bba566c7] <5.2-maint>

2014-03-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the display of the static/shared status by configure.py.
	[39a2d2d3925c] <5.2-maint>

2014-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic's handling of connecting to QButtonGroups.
	[6b06e4c8a5d2] <5.2-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Improved the text of an exception now that signals can be defined in
	mixins.
	[be0c8c6b433b] <5.2-maint>

2014-03-24  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/widget-plugins/qtdeclarative.py:
	Removed the unsupported pyuic widget plgin for QDeclarativeView.
	[d8a05545da5d] <5.2-maint>

2014-03-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added a missing /KeepReference/ to QThreadPool::globalInstance().
	Added /ReleaseGIL/ to start() and tryStart() for documentation
	reasons. Removed /NewThread/ from QRunnable::run().
	[143e8bb4c4b9] <5.2-maint>

	* PyQt5.msp, lib/configure.py, sphinx/deploy_commercial.rst,
	sphinx/installation.rst:
	VendorID is Python v2 specific.
	[1bf09b117cb2] <5.2-maint>

2014-03-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/OpenGL/gen_opengl_constants.py, lib/configure.py,
	qpy/QtGui/qpyopengl_add_constants.cpp:
	Fixed the generated OpenGL constants to be C++11 compatible.
	[5db729002562] <5.2-maint>

2014-03-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp:
	Fixed a symbol clash when built as static modules.
	[b582b195ed9f] <5.2-maint>

2014-03-14  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.2.1 for changeset 8709a1871929
	[e86b25532c02] <5.2-maint>

	* NEWS:
	Released as v5.2.1.
	[8709a1871929] [5.2.1] <5.2-maint>

2014-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_getattr.cpp:
	Fixed a regression parsing introspected signal signatures.
	[b12f051bec16] <5.2-maint>

	* qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.h:
	Fixes for building against the latest XCode.
	[67b67beb6e4b] <5.2-maint>

2014-03-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Fixed Windows build problems.
	[f63c627bece7] <5.2-maint>

2014-03-09  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updates to the commercial license.
	[3a484144e4ff] <5.2-maint>

2014-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[f6528098012c] <5.2-maint>

2014-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp, sphinx/pyqt4_differences.rst,
	sphinx/signals_slots.rst:
	Properties, signals and slots can now be defined in mixins (ie. non-
	QObject) classes.
	[3942032af2de] <5.2-maint>

	* pylupdate/fetchtr.cpp:
	Backed out ab343b486918 (pylupdate support for nested classes)
	because it breaks a common use case.
	[6cf443fbd854] <5.2-maint>

	* pylupdate/fetchtr.cpp, pylupdate/main.cpp, pylupdate/merge.cpp,
	pylupdate/metatranslator.cpp, pylupdate/metatranslator.h,
	pylupdate/numberh.cpp, pylupdate/proparser.cpp,
	pylupdate/proparser.h, pylupdate/sametexth.cpp,
	pylupdate/simtexth.cpp, pylupdate/simtexth.h,
	pylupdate/translator.cpp, pylupdate/translator.h, pyrcc/main.cpp,
	pyrcc/rcc.cpp, pyrcc/rcc.h:
	Updated the pylupdate5 and pyrcc5 copyright and license notices.
	[379869955e02] <5.2-maint>

2014-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The first stride argument of the ArgumentSet ctor is now the
	optional second argument. The stride is computed if not explicitly
	specified.
	[19a0243f60c2] <5.2-maint>

	* dbus/dbus.cpp, dbus/helper.h:
	Fixed the licensing of the dbus module.
	[6e831021c4ef] <5.2-maint>

2014-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updated the commercial license.
	[2685b40cf32d] <5.2-maint>

	* sphinx/pyqt4_differences.rst, sphinx/signals_slots.rst:
	Updated the docs regarding the handling of Qt signals with optional
	arguments.
	[9b1debc115c7] <5.2-maint>

	* PyQt5.msp:
	Added the QSGGeometry.AttributeSet ctor and fixed a couple of
	related bugs.
	[d5adaa40b597] <5.2-maint>

	* lib/configure.py:
	Fixed configure.py when QtCore is not being built.
	[d0b2571b8413] <5.2-maint>

2014-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Release the GIL when using QQmlApplicationEngine to load a QML file.
	[8e4b7e2d80b4] <5.2-maint>

	* qpy/QtCore/qpycore_chimera_storage.cpp:
	Fixed the handling of results of JavaScript functions in QML.
	[548c6b36b376] <5.2-maint>

	* lib/configure.py:
	Fix remaining misleading error messages about qmake on Windows.
	[a527a1cb7ab0] <5.2-maint>

	* lib/configure.py:
	Fixed the pyuic5 wrapper for Python v3.4 on OS/X.
	[82582f4dbc26] <5.2-maint>

2014-02-18  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Use SIP generated signal emitters if they are available.
	[e48c35dc1609] <5.2-maint>

	* Makefile, PyQt5.msp, QAxContainer/qaxbase.sip,
	QAxContainer/qaxobject.sip, QAxContainer/qaxwidget.sip,
	lib/configure.py, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_misc.cpp, qpy/QtCore/qpycore_misc.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Changes needed by the SIP v11.0 internal API.
	[04cb8f12f608] <5.2-maint>

2014-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtGui.versions:
	Fixes when building against OpenGL/ES2.
	[c8f5b569c377] <5.2-maint>

2014-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Removed a workaroud for a bug in the OS/X Python installation that
	no longer seems necessary.
	[42b4bf1a7bbc] <5.2-maint>

	* Makefile, lib/configure.py:
	Fixed the building of the Qt module.
	[cdfe5633ab6b] <5.2-maint>

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi:
	Updated for Qt v5.2.1.
	[8858e7832a48] <5.2-maint>

	* lib/OpenGL/gen_opengl_constants.py, lib/configure.py,
	qpy/QtGui/qpyopengl_add_constants.c,
	qpy/QtGui/qpyopengl_add_constants.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	More fixes for the OpenGL changes.
	[e40a56e2861e] <5.2-maint>

	* PyQt5.msp:
	Don't call qpyopengl_init() if OpenGL is disabled.
	[b3169a87acdd] <5.2-maint>

2014-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtDBus/qpydbus_chimera_helpers.cpp:
	Another fix for the QPy refactoring.
	[db0f04a03742] <5.2-maint>

	* lib/OpenGL/gen_opengl_constants.py,
	qpy/QtGui/qpyopengl_add_constants.c, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp,
	qpy/QtGui/qpyopengl_data_cache.h, qpy/QtGui/qpyopengl_init.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	Fixes for the QPy QtGui library when building with OpenGL disabled.
	[32991310ea1e] <5.2-maint>

	* PyQt5.msp, qpy/QtDBus/qpydbus_api.h,
	qpy/QtDBus/qpydbus_chimera_helpers.cpp,
	qpy/QtDBus/qpydbus_chimera_helpers.h,
	qpy/QtDBus/qpydbus_post_init.cpp,
	qpy/QtDBus/qpydbuspendingreply.cpp, qpy/QtDBus/qpydbusreply.cpp,
	qpy/QtQml/qpyqml_post_init.cpp, qpy/QtQml/qpyqml_qjsvalue.cpp,
	qpy/QtQml/qpyqml_sip.h, qpy/QtQml/qpyqmllistproperty.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.h,
	qpy/QtQuick/qpyquick_post_init.cpp,
	qpy/QtQuick/qpyquick_register_type.cpp,
	qpy/QtQuick/qpyquick_register_type.h:
	Refactored the rest of the QPy libraries with the exception of
	QtGui.
	[9cc5f284b315] <5.2-maint>

	* qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_chimera_storage.cpp,
	qpy/QtCore/qpycore_classinfo.cpp, qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_enums_flags.cpp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_misc.cpp, qpy/QtCore/qpycore_misc.h,
	qpy/QtCore/qpycore_objectified_strings.h,
	qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_pyqtpyobject.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h,
	qpy/QtCore/qpycore_qmessagelogger.cpp,
	qpy/QtCore/qpycore_qmetaobject.cpp,
	qpy/QtCore/qpycore_qmetaobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h,
	qpy/QtCore/qpycore_qstring.cpp, qpy/QtCore/qpycore_qvariant.cpp,
	qpy/QtCore/qpycore_qvariant_value.cpp, qpy/QtCore/qpycore_sip.h,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	Refactored the QPy QtCore header files slightly so that the private
	API to the generated code is qpycore_api.h and the private API from
	the generated code is sipAPIQtCore.h. The public API remains
	qpycore_public_api.h.
	[2194a7a65de6] <5.2-maint>

	* lib/configure.py:
	Generate relative pathnames for the .sip files in the .pro files.
	[501007c40b60] <5.2-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp:
	Suppress warnings about tp_finalize.
	[351f44e52713] <5.2-maint>

	* qpy/QtGui/opengl_types.sip, qpy/QtGui/qpygui_qpair.sip:
	Added PyQt_OpenGL to a couple of extra places (primarily for
	documentation purposes as wouldn't generate code).
	[3c1cefcb0c1d] <5.2-maint>

	* lib/configure.py:
	The extension modules now have the correct install name on OS/X.
	[2b36703b6419] <5.2-maint>

2014-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore.pro, qpy/QtDBus/qpydbus.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtQml/qpyqml.pro, qpy/QtQuick/qpyquick.pro:
	The QPy support code is no longer built as separate libraries.
	[b160ecda2f38] <5.2-maint>

2014-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtQml/qpyqml.pro, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_qjsvalue.cpp, qpy/QtQml/qpyqml_sip.h:
	A special value, bool, int, float or string may be specified
	whenever a QJSValue is expected.
	[4fe146b380cb] <5.2-maint>

	* pylupdate/fetchtr.cpp:
	Fixes for the handling of nested classes in pylupdate from Matteo
	Bertini.
	[ab343b486918] <5.2-maint>

	* examples/widgets/tetrix.py:
	Fixes to the tetrix.py example from Mike Taverne.
	[1ff4b79a485e] <5.2-maint>

2014-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtGui.versions, lib/configure.py:
	PyQt should now build against a Qt installation with no OpenGL
	support.
	[1fc92a957229] <5.2-maint>

	* lib/configure.py:
	qreal is defined as double on all platforms when built against Qt
	v5.2.
	[0c098ca98d24] <5.2-maint>

2014-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the QString to Python conversion for Python v3.3 and later as
	I hadn't realised that the KIND is interpreted very strictly.
	[ef3ac28273c8] <5.2-maint>

2014-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_qstringlist.cpp,
	qpy/QtCore/qpycore_qstringlist.sip:
	The mapping of QStringList is now handled the same as QList.
	[9f2c1e2bc3c9] <5.2-maint>

2014-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* QtX11Extras/qx11info_x11.sip, lib/configure.py:
	Fixes for QX11Info so that it will build against Qt v5.1.
	[7d0f384170fd] <5.2-maint>

2014-01-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the build when SSL support is disabled.
	[cb3debf77d04] <5.2-maint>

2014-01-10  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, sphinx/api_metadata.cfg:
	Updated the docs generation to reflect the changes to the structure
	of the docs on qt-project.org.
	[9301cdf68316] <5.2-maint>

2014-01-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpygui_qpair.sip:
	Fixed a bug building against versions of Qt prior to v5.2.0.
	[5c798e751276] <5.2-maint>

2014-01-07  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.2 for changeset 9352d801a9da
	[0bb3d7b8c32a]

	* Makefile, NEWS:
	Released as v5.2.
	[9352d801a9da] [5.2]

2014-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the PEP 393 conversion from QString to Python unicode objects
	so that it properly handles surrogates. Also made the common case
	where the text is Latin-1 faster and the final object smaller.
	[52e28eb8f54e]

2014-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py, dbus/dbus.cpp, dbus/helper.h,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/LICENSE.internal, pyrcc/rcc.cpp,
	pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/indenter.py,
	pyuic/uic/Compiler/misc.py, pyuic/uic/Compiler/proxy_metaclass.py,
	pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/Loader/loader.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/__init__.py,
	pyuic/uic/exceptions.py, pyuic/uic/objcreator.py,
	pyuic/uic/properties.py, pyuic/uic/uiparser.py, pyuic/uic/widget-
	plugins/qtwebkit.py, sphinx/conf.py:
	Updated the copyright notices.
	[95cd691c347d]

2013-12-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the QJSValue ctors.
	[480c23d29277]

2013-12-25  Phil Thompson  <phil@riverbankcomputing.com>

	* QtWinExtras/qwinjumplist.sip:
	Updated the sub-class convertor code for the QtWinExtras module.
	[31049d3853ae]

	* installers/PyQt5-Qt5-gpl.nsi:
	Fixes for the installer for Qt v5.2.0.
	[421c92fb3c1a]

	* QtWinExtras/qwinthumbnailtoolbar.sip, lib/configure.py:
	More QtWinExtras fixes.
	[35df5513f242]

	* QtWinExtras/qwinfunctions.sip:
	Fixes for the QtWinExtras module.
	[1cb902bbb5c1]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer for Qt v5.2.0.
	[bb68738fcc1b]

2013-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_metadata.cfg:
	Updated the documentation for the QtWinExtras module.
	[c8cbc2483694]

	* QtWinExtras/QtWinExtrasmod.sip, QtWinExtras/qwinjumplist.sip,
	QtWinExtras/qwinjumplistcategory.sip,
	QtWinExtras/qwinjumplistitem.sip, QtWinExtras/qwintaskbarbutton.sip,
	QtWinExtras/qwintaskbarprogress.sip,
	QtWinExtras/qwinthumbnailtoolbar.sip,
	QtWinExtras/qwinthumbnailtoolbutton.sip:
	Completed the initial implementation of the QtWinExtras module.
	[d27e0faa5fe7]

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip:
	Completed the implementation of the QtBluetooth module.
	[cc31f2f83bb0]

2013-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtBluetooth/qpybluetooth_quint128.sip:
	Completed the implementation of QBluetoohUuid.
	[7aa305b853b0]

	* PyQt5.msp:
	Fixed the signature of the QUuid ctor.
	[dbaff74f3365]

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip:
	Implemented QList<quint16>.
	[4ef77ea90719]

	* PyQt5.msp:
	Complete the Qt v5.2.0 support for QtGui.
	[d2c55646d351]

	* PyQt5.msp, qpy/QtGui/qpygui_qpair.sip:
	Implemented the new QtGui specific QPair based mapped types.
	[91180027e254]

2013-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Emitting a signal with default arguments ommitted no longer requires
	the exact signal overload to be specified - the default overload can
	be used.
	[a9cbd3fc6215]

	* examples/multimediawidgets/player.py:
	Removed some old debugging messages from the player.py example.
	[4c6847702264]

2013-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qmap.sip, qpy/QtNetwork/qpynetwork_qmap.sip:
	Refactored QMap and QMultiMap.
	[cfb5008d4436]

	* PyQt5.msp, qpy/QtCore/qpycore_qpair.sip:
	Refactored QPair.
	[49eaf99ce9de]

	* qpy/QtCore/qpycore_collections.sip, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtGui/qlist.sip,
	qpy/QtGui/qpygui_collections.sip, qpy/QtGui/qpygui_qlist.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_collections.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_collections.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_collections.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Split up the mapped type implementations.
	[2e1239c043cd]

	* PyQt5.msp, qpy/QtCore/qpycore_collections.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip:
	Refactored QHash.
	[567d67e5eb6f]

2013-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore_collections.sip:
	Refactored the QSet implementations.
	[0127ff8a7de9]

	* qpy/QtCore/qpycore_collections.sip,
	qpy/QtGui/qpygui_collections.sip,
	qpy/QtMultimedia/qpymultimedia_collections.sip,
	qpy/QtPrintSupport/qpyprintsupport_collections.sip,
	qpy/QtWidgets/qpywidgets_collections.sip:
	QList and QVector implementations now accept iterables rather than
	sequences.
	[fea8a346e95d]

	* test/tests/mapped_types/test_QList.py:
	Fixed the QList unit tests.
	[f7f4b9928694]

2013-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qlist.sip, qpy/QtCore/qpycore_collections.sip,
	qpy/QtGui/qpygui_collections.sip,
	qpy/QtGui/qpyopengl_collections.sip, qpy/QtMultimedia/qlist.sip,
	qpy/QtMultimedia/qpymultimedia_collections.sip,
	qpy/QtPrintSupport/qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_collections.sip,
	qpy/QtWidgets/qlist.sip, qpy/QtWidgets/qpywidgets_collections.sip:
	Refactored QVector along the lines of QList.
	[39671105f383]

	* PyQt5.msp, qpy/QtCore/qlist.sip, qpy/QtGui/qlist.sip,
	qpy/QtMultimedia/qlist.sip, qpy/QtPrintSupport/qlist.sip,
	qpy/QtWidgets/qlist.sip:
	Completed the refactoring and standardisation of the QList
	implementations.
	[511f34c97c88]

	* qpy/QtCore/qlist.sip, test/tests/mapped_types/__init__.py,
	test/tests/mapped_types/test_QList.py:
	Added unit tests for most of the QList mapped types. More fixes for
	QList mapped types.
	[eebdef19090a]

	* PyQt5.msp, qpy/QtCore/qlist.sip:
	Fixes to the QList implementations. Added the QList of enums used by
	the QtCore module.
	[05c4b4c81f62]

2013-12-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qlist.sip:
	QList mapped types now only check for a sequence rather than also
	checking the individual elements. This allows much more useful
	exceptions to be raised. qlist.sip is now maintained separately from
	the project file.
	[5bdef54961f6]

	* QtMacExtras/qmacpasteboardmime.sip, QtWinExtras/qwinfunctions.sip,
	QtX11Extras/qx11info_x11.sip:
	Added version qualifiers to the platform specific modules.
	[6182642eb464]

2013-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* QtWinExtras/QtWinExtrasmod.sip, QtWinExtras/qwinfunctions.sip,
	build.py, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Added the QtWinExtras module with only (for the moment) the QtWin
	namespace implemented.
	[5b7a6055d52e]

	* QAxContainer/qaxbase.sip, QAxContainer/qaxobject.sip,
	QAxContainer/qaxwidget.sip, QtMacExtras/qmacpasteboardmime.sip,
	QtX11Extras/qx11info_x11.sip:
	Removed the (superfluous) platform directives from the platform
	specific modules.
	[719aa5e321e0]

	* lib/configure.py:
	SIP v4.15.4 is now required.
	[be675acbfe2d]

	* QtX11Extras/QtX11Extrasmod.sip, QtX11Extras/qx11info_x11.sip,
	build.py, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Implemented the QtX11Extras module.
	[c8cd08e0db4d]

	* PyQt5.msp:
	Implemented the QOpenGLPixelTransferOptions class.
	[b4919f0a515c]

	* QtMacExtras/QtMacExtrasmod.sip, QtMacExtras/qmacpasteboardmime.sip,
	build.py, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Implemented the QtMacExtras module.
	[3af1359543b4]

	* QAxContainer/QAxContainermod.sip:
	Fixed the module configuration for the QAxContainer module.
	[6cd0e9e81e5a]

	* PyQt5.msp, qpy/QtCore/qsysinfo.sip, sphinx/api_metadata.cfg:
	Updated QSysInfo for Qt v5.2.0. qsysinfo.sip is now maintained
	manually as it has so much platform specific code.
	[039aa7167784]

2013-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, sphinx/api_metadata.cfg:
	Completed the QtPositioning module.
	[94719e40833a]

	* Makefile, PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Removed the QtNfc module. Added the QtPositioning module to the
	build system and docs.
	[34457b8e4c87]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Completed the majority of the QtBluetooth module.
	[7ef992ea2ca8]

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Added the QtBluetooth module to the build system and docs.
	[9075d7437589]

	* Merge.
	[a6a3c89427cd]

	* PyQt5.msp:
	Added the initial implementation of the QtPositioning module.
	[57a1a255ac9d]

	* sphinx/api_metadata.cfg:
	Updated the docs for the new Qt 5.2.0 classes in the existing
	modules.
	[b4c9ed0667e3]

2013-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the initial QtBluetooth and QtNfc modules.
	[7ab9befa4814]

	* PyQt5.msp:
	Updated for Qt v5.2.0.
	[abdbaeefb925]

2013-12-11  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the required SIP version.
	[5e2fa0fdc2d0]

2013-12-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the update of QtWidgets.
	[1b52104b143c]

	* examples/graphicsview/elasticnodes.py:
	Fix an obsolete call in the elasticnodes.py example.
	[db2f88d066a7]

2013-12-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions:
	Partially updated QtWidgets.
	[05868fa42655]

	* PyQt5.msp:
	Updated the vast majority of QtGui.
	[f124efa2590b]

	* PyQt5.msp, lib/SubclassCode/QtQuick.versions:
	Updated QtQuick.
	[bac6eac771a3]

	* PyQt5.msp, lib/SubclassCode/QtQml.versions:
	Updated QtQml.
	[34b8d95c229c]

	* PyQt5.msp:
	Updated QtSensors.
	[ca372e3fdb40]

	* PyQt5.msp:
	Updated QtNetwork.
	[4b28b3eb46e0]

2013-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtWebKitWidgets.
	[17bcdd6819d5]

	* PyQt5.msp:
	Updated QtWebKit for Qt v5.2.0-rc1. Completed the update for QtCore.
	[8b2f27fc1f47]

	* PyQt5.msp:
	Updated QtSerialPort for Qt v5.2.0-rc1.
	[82f4f311dcea]

2013-12-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, lib/SubclassCode/QtCore.versions,
	lib/configure.py:
	Updated QtCore for Qt v5.2.0-rc1 (except for the broken QUrl).
	[0409bc818f8b]

2013-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Fixed the handling of pyqtsignal() keyword arguments with Python2.
	[ceb50aaa7969]

2013-11-19  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/index.rst, sphinx/metaobjects.rst:
	Documented Q_CLASSINFO(), Q_ENUMS() and Q_FLAGS().
	[c773b532165e]

	* qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_qmetaobject.cpp:
	Enums/flags types are now registered as such.
	[fd9f3c1eb07a]

	* qpy/QtCore/qpycore_types.cpp:
	Enums/flags now have a scope corresponding to the class they are
	registered (rather than defined) in.
	[0b2396183bc2]

2013-11-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_enums_flags.h,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_types.cpp:
	Reimplemented Q_ENUMS() and Q_FLAGS() so that they are added to the
	meta-object.
	[e1bd545bd994]

	* Merged the v5.1 maintenance branch.
	[67e9f33f2606]

	* qpy/QtGui/opengl_types.sip, qpy/QtGui/qpyopengl_collections.sip:
	Support for GLuint64 is disabled for ES 2.
	[3f0065d77ee3] <5.1-maint>

2013-11-17  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/widgets/stylesheet/stylesheeteditor.py:
	Fixes for examples.
	[5346065f46ea] <5.1-maint>

2013-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* pyrcc/main.cpp:
	pyrcc5 uses the local encoding for the name of the .qrc file.
	[ae550ef924d3] <5.1-maint>

	* qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h, qpy/QtQml/qpyqmlsingletonobject.cpp,
	qpy/QtQml/qpyqmlsingletonobject.h:
	60 QML types can now be defined. 30 QML singleton types can now be
	defined.
	[faa179cff2c7] <5.1-maint>

	* qpy/QtQuick/qpyquickitem.cpp, qpy/QtQuick/qpyquickitem.h,
	qpy/QtQuick/qpyquickpainteditem.cpp,
	qpy/QtQuick/qpyquickpainteditem.h:
	30 each of Quick items and painted Quick items are now supported.
	[53c7f63b5ad5] <5.1-maint>

2013-11-11  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/designer/plugins/widgets/datetimeedit.py,
	examples/graphicsview/diagramscene/diagramscene.py,
	examples/itemviews/chart/chart.py,
	examples/itemviews/pixelator/pixelator.py,
	examples/multimediawidgets/camera/camera.py,
	examples/multimediawidgets/player.py,
	examples/network/fortuneclient.py, examples/qtdemo/scanitem.py,
	examples/richtext/textedit/textedit.py, examples/widgets/tetrix.py:
	Various fixes to the examples from Dmitry Shachnev.
	[440d468a0ae8] <5.1-maint>

2013-11-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Revised the previous change for really, really old (GCC 4.3)
	compilers.
	[f9d93ebb35b1] <5.1-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Applied a couple of specific casts which might be needed by older
	compilers.
	[8ffa9810eb28] <5.1-maint>

2013-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py:
	Enable the QML debugger when --debug is passed to configure.py.
	[c483162df565] <5.1-maint>

2013-10-20  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Any qmake variables passed on the command line to configure.py are
	also applied the plugins and applications Makefiles.
	[44c92d7c6f19] <5.1-maint>

2013-10-16  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.1.1 for changeset 06a65a43f646
	[2e77fd32377a] <5.1-maint>

	* NEWS:
	Released as v5.1.1.
	[06a65a43f646] [5.1.1] <5.1-maint>

2013-10-15  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/canvas/contents/images/gloss.png,
	examples/quick/canvas/contents/images/lineedit.png,
	examples/quick/canvas/contents/images/quit.png,
	examples/quick/canvas/contents/images/stripes.png,
	examples/quick/canvas/contents/images/titlebar.png,
	examples/quick/canvas/contents/images/toolbutton.png:
	Removed the execute bits on some .png files.
	[ac974835d7fe] <5.1-maint>

2013-10-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed a problem with Python properties that have notify signals
	emitted.
	[ebd36baa56e9] <5.1-maint>

	* Makefile, designer/python.pro-in, lib/configure.py, qmlscene/python
	.pro-in:
	PyQt will now build against a debug only version of Qt.
	[d65e39e3cd7d] <5.1-maint>

2013-10-12  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the handling of VendorID in configure.py.
	[97319b4351e8] <5.1-maint>

2013-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp:
	Minor fixes for building against Qt v5.2.0-alpha.
	[41b8f6ca2ea4] <5.1-maint>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed the support for QObject meta-casting.
	[aaa5588d9982] <5.1-maint>

2013-10-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the project for Qt v5.1.1.
	[fc7b8711dba0] <5.1-maint>

	* qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp, qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	Fixed building against Qt v5.0.
	[6666b6259893] <5.1-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed (hopefully) building with GCC v4.6 and earlier.
	[0aa3e18d07a1] <5.1-maint>

2013-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the QShortcut ctor when passing slot arguments.
	[3c895ca14f00] <5.1-maint>

2013-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qmlscene/pluginloader.cpp, qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtQml/qpyqmllistproperty.cpp,
	qpy/QtQml/qpyqmlobject.cpp:
	Fixed a number of incorrect (for Python2) format characters.
	[b63b9dc3a3fa] <5.1-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed a bad format character when raising an exception.
	[3547edcdd278] <5.1-maint>

	* build.py:
	Updated the internal build script to use the latest hg rather than
	that provided with MacHg.
	[42f3b031a7b9] <5.1-maint>

2013-10-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.1 for changeset e5fd9644dd9c
	[6cb80b7fd2ed]

	* NEWS:
	Released as v5.1.
	[e5fd9644dd9c] [5.1]

2013-09-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Improve the text of the exception raised when the type of a C++
	signal argument couldn't be parsed.
	[fc0039af3b73]

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi:
	Minor updates for the Windows installers.
	[1a103cd1db02]

2013-09-27  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Updated the docs regarding the --configuration flag to configure.py.
	[40038372e538]

2013-09-26  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/RaspberryPi/configuration.txt:
	Added the Raspberry Pi configuration notes to the internal
	documentation.
	[3de62eb92856]

	* configurations/rpi_py3.cfg:
	Updated the Raspberry Pi configuration for a full build.
	[5f21be94b635]

	* qmlscene/pluginloader.cpp:
	Fixed the build when Python3, prior to Python v3.3, has wide
	characters.
	[5b01202be52b]

	* designer/pluginloader.cpp, designer/python.pro-in, lib/configure.py,
	qmlscene/pluginloader.cpp, qmlscene/python.pro-in:
	The plugins no longer try to dynamically load the interpreter
	library (as they are already linked against it). The plugins shoulkd
	now build when cross-compiling.
	[edd0734e2a64]

2013-09-25  Phil Thompson  <phil@riverbankcomputing.com>

	* configurations/rpi_py3.cfg, lib/configure.py:
	More cross-compilation fixes. The openglwindow.py example now runs
	on the Pi.
	[7ed7bf039abe]

2013-09-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The --no-sip-files option to configure.py now works.
	[10dd80985ac7]

	* PyQt5.msp:
	Minor tweaks to handwritten OpenGL code.
	[79a533fc00a1]

	* Makefile, configurations/rpi_py3.cfg, lib/configure.py,
	qpy/QtGui/opengl_types.sip:
	Further fixes for cross-compilation. OpenGL types are now hard-
	coded.
	[3166145ee331]

	* Makefile, configurations/rpi_py3.cfg, lib/configure.py:
	QtCore can now be cross-compiled.
	[f3bbee7cffae]

	* PyQt5.msp:
	Fix QVector<qreal> when qreal is float.
	[b9a9f60ac6f4]

2013-09-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpyopengl_version_functions.cpp:
	_QOpenGLFunctions_ES2 now works.
	[597681874226]

	* Makefile, PyQt5.msp, qpy/QtGui/qpyopengl_value_array.cpp:
	More _QOpenGLFunctions_ES2.
	[6a10b084e6ca]

2013-09-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	More _QOpenGLFunctions_ES2.
	[5f6ec7374914]

	* PyQt5.msp:
	More _QOpenGLFunctions_2_0.
	[ee04c8a2c022]

	* PyQt5.msp, lib/configure.py:
	More _QOpenGLFunctions_ES2.
	[90c93700c52b]

	* PyQt5.msp:
	More on _QOpenGLFunctions_ES2.
	[9685fbc2b622]

	* PyQt5.msp:
	Added the _QOpenGLFunctions_ES2 module.
	[bd8d9c35627f]

2013-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp, sphinx/opengl.rst:
	Completed the initial implementation of _QOpenGLFunctions_2_0.
	[daa2bea192b2]

	* Makefile, PyQt5.msp, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp, qpy/QtGui/qpyopengl_init.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	More _QOpenGLFunctions_2_0.
	[b5534bf36a20]

2013-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	Added support for the different line endings to pylupdate based on a
	patch from Florent Rougon.
	[96069d4e7caa]

	* lib/configure.py:
	Do a better job of detecting when the user is trying to use Qt3. Do
	a better job of detecting when the use doesn't have write
	permissions.
	[1610b9abbf10]

	* Makefile, PyQt5.msp, qpy/QtGui/qpygui.pro,
	qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp:
	More _QOpenGLFunctions_2_0.
	[64cb4aa6f8cf]

2013-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/opengl/textures/textures.py:
	Fixed the textures.py example.
	[7b33930e4c2d]

	* examples/opengl/grabber.py, examples/opengl/hellogl.py,
	examples/opengl/overpainting.py,
	examples/opengl/textures/textures.py:
	Fixed the OpenGL examples for Python3.
	[af3d975869cc]

	* PyQt5.msp, qpy/QtGui/qpyopengl_value_array.cpp:
	OpenGL calls now accept None when a non-cached array is expected.
	OpenGL calls now accept an offset when a cached array is expected.
	[283b44baca06]

2013-09-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	More _QOpenGLFunctions_2_0.
	[cd5cd9bdbcfd]

	* PyQt5.msp, examples/opengl/openglwindow.py:
	More _QOpenGLFunctions_2_0.
	[2b2312a2da64]

	* PyQt5.msp:
	More _QOpenGLFunctions_2_0.
	[24610a59a9dc]

2013-09-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Implemented more of _QOpenGLFunctions_2_0.
	[448e0631c418]

	* Makefile, PyQt5.msp, lib/configure.py, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_data_cache.cpp,
	qpy/QtGui/qpyopengl_data_cache.h, qpy/QtGui/qpyopengl_init.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp:
	Updated the OpenGL array support to optimise the most common case
	where the array doesn't have to be persistent. Implemented a bit
	more of _QOpenGLFunctions_2_0.
	[f7bd5bd22f67]

2013-09-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, examples/opengl/openglwindow.py,
	qpy/QtGui/qpyopengl_value_array.cpp:
	Added support for sequences as the basis of OPenGL arrays.
	[98d2b977e23f]

	* qpy/QtGui/qpyopengl_value_array.cpp:
	Added OpenGL array support for versions of Python that don't support
	the new buffer protocol.
	[844aaa83c62c]

	* Makefile, PyQt5.msp, examples/opengl/openglwindow.py,
	qpy/QtCore/qpycore_pyqtproperty.cpp, qpy/QtGui/qpygui.pro,
	qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_data_cache.cpp,
	qpy/QtGui/qpyopengl_data_cache.h, qpy/QtGui/qpyopengl_init.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp:
	Implemented the buffer support for raw arrays passed to OpenGL.
	[9bfb71b1d0f5]

2013-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Slight tweak on the previous change.
	[ead833d00e02]

2013-09-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Improved the handling of QGraphicsItem when parsing a Python type
	object of a sub-class.
	[527c79f1594f]

	* lib/configure.py:
	Worked around SIP's broken handling of composite modules.
	[6b8496f8cb72]

2013-09-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	pylupdate now handles backslash at the end of a line within a quoted
	string.
	[1e0878bd6a21]

2013-08-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Only check for OpenGL modules according to whether Qt is configured
	for desktop OpenGL or OpenGL ES. Implemented the remaining easy
	parst of _QOpenGLFunctions_2_0.
	[3ba267894012]

2013-08-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Implemented more of the _QOpenGLFunctions_2_0 module.
	[936925a906bb]

	* sphinx/index.rst, sphinx/introduction.rst, sphinx/opengl.rst:
	Documented the OpenGL bindings support.
	[9eca323f87e2]

	* PyQt5.msp, examples/opengl/openglwindow.py,
	lib/OpenGL/gen_opengl_constants.py, lib/configure.py,
	qpy/QtGui/qpygui.pro, qpy/QtGui/qpyopengl_add_constants.c,
	qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	Implemented the framework for the version specific OpenGL bindings.
	Added the skeleton bindings for OpenGL v2.0. Updated the
	openglwindow.py example to use the bindings.
	[3a08e74da74f]

	* PyQt5.msp, lib/SubclassCode/QtGui.versions, lib/configure.py:
	Fixed QAbstractOpenGLFunctions. Fixed things so that it will build
	on an OpenGL ES system.
	[318b82b05b53]

2013-08-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/OpenGL/gen_opengl_constants.py, lib/OpenGL/gl.xml:
	Added the beginnings of the full OpenGL bindings.
	[3dd128404e5c]

2013-08-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Completed the implementation of QtSensors.
	[5ff7407d37c2]

2013-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/introduction.rst:
	Added the stub of the QtSensors module.
	[ffa47c3ca333]

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Implemented the QtSerialPort module.
	[5e397a878471]

	* PyQt5.msp:
	Fixed build errors in third-party modules that use --public-not-
	protected.
	[ca9e6073899a]

2013-08-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtWidgets for Qt v5.1.
	[693a95fde3fa]

	* PyQt5.msp:
	Updated QtWebKit, QtWebKitWidgets and QtXmlPatterns for Qt v5.1.
	[feefcd6865ab]

	* PyQt5.msp:
	Updated QtSql, QtSvg and QtTest for Qt v5.1.
	[b41ab51caad3]

	* PyQt5.msp, lib/SubclassCode/QtQuick.versions,
	sphinx/api_metadata.cfg:
	Updated QtQuick for Qt v5.1.
	[06a106bb3979]

	* PyQt5.msp, lib/SubclassCode/QtQml.versions, sphinx/api_metadata.cfg:
	Updated QtQml for Qt v5.1.
	[b21cddbc7055]

	* PyQt5.msp:
	Updated QtOpenGL and QtPrintSupport for Qt v5.1.
	[d95b6fe223f7]

	* PyQt5.msp:
	Updated QtNetwork for Qt v5.1.
	[542876931098]

	* qpy/QtGui/qpyopengl_collections.sip:
	Added the missing OpenGL mapped type implementations.
	[5734b486da0e]

	* PyQt5.msp:
	Updated QtMultimedia and QtMultimediaWidgets for Qt v5.1.
	[6aa815198cb4]

	* PyQt5.msp:
	Updated QtHelp for Qt v5.1.
	[39e72b951edd]

	* PyQt5.msp:
	Updated the QObject sub-class convertor code fro QtGui.
	[c85fc0a95473]

	* PyQt5.msp, lib/SubclassCode/QtGui.versions, lib/configure.py,
	sphinx/api_metadata.cfg:
	Updated QtGui for Qt v5.1.
	[dc11dcd36ea0]

2013-08-22  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_metadata.cfg:
	Added the new QtCore classes to the docs.
	[74868b1f6fbe]

	* PyQt5.msp:
	Updated QtDBus and QtDesigner for Qt v5.1.
	[ed9b4b48ed21]

	* PyQt5.msp, lib/SubclassCode/QtCore.versions:
	Updated QtCore for Qt v5.1.
	[a231bd34acb3]

	* lib/configure.py:
	Added MULTIARCH support to configure.py.
	[b6e3146e2327]

2013-08-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp, build.py, installers/PyQt5-Qt5-gpl.nsi,
	lib/configure.py:
	Switch to Qt v5.1 in the various places that need it.
	[85f42f774296]

	* sphinx/api_metadata.cfg:
	Added the missing QQmlParserStatus from the documentation.
	[ad31726b792f]

	* contrib/lang/Makefile, contrib/lang/lang.py, contrib/lang/lang.qrc,
	contrib/lang/lang/cs_cs.qm, contrib/lang/lang/cs_cs.ts,
	contrib/lang/lang/da_da.qm, contrib/lang/lang/da_da.ts,
	contrib/lang/lang/de_ch.qm, contrib/lang/lang/de_ch.ts,
	contrib/lang/lang/de_de.qm, contrib/lang/lang/de_de.ts,
	contrib/lang/lang/en_gb.qm, contrib/lang/lang/en_gb.ts,
	contrib/lang/lang/en_us.qm, contrib/lang/lang/en_us.ts,
	contrib/lang/lang/es_es.qm, contrib/lang/lang/es_es.ts,
	contrib/lang/lang/et_et.qm, contrib/lang/lang/et_et.ts,
	contrib/lang/lang/fi_fi.qm, contrib/lang/lang/fi_fi.ts,
	contrib/lang/lang/fr_ca.qm, contrib/lang/lang/fr_ca.ts,
	contrib/lang/lang/fr_fr.qm, contrib/lang/lang/fr_fr.ts,
	contrib/lang/lang/hu_hu.qm, contrib/lang/lang/hu_hu.ts,
	contrib/lang/lang/it_it.qm, contrib/lang/lang/it_it.ts,
	contrib/lang/lang/nl_nl.qm, contrib/lang/lang/nl_nl.ts,
	contrib/lang/lang/no_no.qm, contrib/lang/lang/no_no.ts,
	contrib/lang/lang/pl_pl.qm, contrib/lang/lang/pl_pl.ts,
	contrib/lang/lang/pt_pt.qm, contrib/lang/lang/pt_pt.ts,
	contrib/lang/lang/sv_sv.qm, contrib/lang/lang/sv_sv.ts,
	contrib/lang/lang/tr_tr.qm, contrib/lang/lang/tr_tr.ts,
	contrib/lang/mainwindow.ui, contrib/pymodeltest/LICENSE.GPL,
	contrib/pymodeltest/README, contrib/pymodeltest/modeltest.py,
	contrib/sandbox/README, contrib/sandbox/sandbox.pyw, dbus/dbus.sbf,
	qpy/QtGui/qpytextobject.h, qpy/QtGui/qpytextobject.sip,
	qpy/QtOpenGL/qpyopengl.pro, qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_attribute_array.cpp,
	qpy/QtOpenGL/qpyopengl_uniform_value_array.cpp:
	Merged v5.0.1 into the trunk.
	[82643b45e53c]

	* .hgtags:
	Added tag 5.0.1 for changeset 59b34385ff6d
	[72037931b2a8] <5.0-maint>

	* NEWS:
	Released as v5.0.1.
	[59b34385ff6d] [5.0.1] <5.0-maint>

2013-08-19  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/qt5-config.bat:
	Updated the internal Qt5 build documentation.
	[e131f74b7106] <5.0-maint>

	* lib/configure.py:
	Fixed an error message bug in configure.py.
	[1e1ad89c6da7] <5.0-maint>

2013-08-18  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi,
	qmlscene/python.pro-in:
	Updated the installer for Qt v5.1.0.
	[8463e4cb0371] <5.0-maint>

	* lib/configure.py:
	More fixes for out of tree builds.
	[a188359a1bf2] <5.0-maint>

	* lib/configure.py:
	Fixed configure.py for out of tree builds.
	[435ccc473b5d] <5.0-maint>

2013-08-17  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[7e6f3768c519] <5.0-maint>

	* examples/qml/referenceexamples/binding.py,
	examples/qml/referenceexamples/valuesource.py:
	Added the valuesource.py example.
	[9992e2e174c1] <5.0-maint>

	* qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_types.cpp, sphinx/gotchas.rst,
	sphinx/signals_slots.rst:
	Added the arguments keyword argument to pyqtSignal().
	[0073e2386c2d] <5.0-maint>

	* examples/qml/referenceexamples/binding.py,
	examples/qml/referenceexamples/signal.py:
	Fixed the signal definition in the binding.py and signal.py
	examples.
	[c5345f8bcb87] <5.0-maint>

	* examples/qml/referenceexamples/signal.py:
	Added the signal.py example.
	[5cdcf5b00f52] <5.0-maint>

	* qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	QML proxies now relay signals to QML.
	[2080cdb152cc] <5.0-maint>

2013-08-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Tweak the previous fix.
	[da4e96198c0b] <5.0-maint>

	* PyQt5.msp:
	Fixed the error detection in the QList convertors based on Matt
	Newell's patch.
	[ea5ea9b31075] <5.0-maint>

	* qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h, sphinx/qml.rst:
	Added support for QQmlParserStatus to the QML proxies.
	[d9296d0519e9] <5.0-maint>

	* PyQt5.msp:
	QQmlPropertyValueSource is also a mixin.
	[a55b7bf0af7d] <5.0-maint>

	* examples/qml/referenceexamples/properties.py:
	Added the properties.py example.
	[84f06aab5c9a] <5.0-maint>

	* examples/qml/referenceexamples/methods.py:
	Added the methods.py example.
	[0621954b0ccb] <5.0-maint>

	* examples/qml/referenceexamples/grouped.py:
	Added the grouped.py example.
	[5b4a7349bb9d] <5.0-maint>

	* examples/qml/referenceexamples/coercion.py,
	examples/qml/referenceexamples/default.py:
	Added the default.py example. Cleaned up the coercion.py example.
	[65212f2a631a] <5.0-maint>

	* examples/qml/referenceexamples/coercion.py:
	Added the coercion.py example.
	[36c88aa58b10] <5.0-maint>

	* examples/qml/referenceexamples/binding.py,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h, sphinx/qml.rst:
	Completed the support for property value sources.
	[4db347bfa0fa] <5.0-maint>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Added QQmlPropertyValueSource.
	[39c886b5f3a2] <5.0-maint>

	* examples/qml/referenceexamples/binding.py:
	Added the initial implementation of the binding.py example.
	[24a37fc53116] <5.0-maint>

2013-08-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, examples/qml/referenceexamples/attached.py,
	qpy/QtQml/qmlattachedpropertiesobject.sip, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.h,
	sphinx/qml.rst:
	Completed the implementation of qmlAttachedPropertiesObject().
	Documented the use of attached properties. Added the attach.py
	example.
	[9bb44d8cd582] <5.0-maint>

	* qpy/QtQml/qmlattachedpropertiesobject.sip,
	qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml_api.h:
	Added the initial implementation of qmlAttachedPropertiesObject().
	[7dd0fa517103] <5.0-maint>

	* Makefile, qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h:
	Added support for defining and creating (but not yet retrieving)
	attached properties.
	[e284892a8884] <5.0-maint>

	* Makefile, qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQuick/qpyquickitem.cpp,
	qpy/QtQuick/qpyquickpainteditem.cpp:
	Make sure types get registered with the original meta-object and not
	a copy.
	[37335dddfa48] <5.0-maint>

2013-08-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_types.cpp:
	The Python type name is now returned as a property type name for
	types that derive from QObject (as opposed to any C++ QObject sub-
	class). This means that they have distinct types to QML.
	[c954bec31706] <5.0-maint>

	* qpy/QtQuick/qpyquickitem.cpp:
	Removed more redundant QByteArrays.
	[1ef26c21cb3d] <5.0-maint>

	* Makefile, qpy/QtCore/qpycore_types.cpp,
	qpy/QtQml/qpyqml_register_type.cpp:
	Removed redundant QByteArrays from the registration of QML proxies.
	[d3a3b05f836b] <5.0-maint>

2013-08-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtQml/qpyqml_api.h, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h:
	Improved the handling of QML proxies.
	[7893d27b5297] <5.0-maint>

2013-08-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqml_listdata.cpp, qpy/QtQml/qpyqml_listdata.h,
	qpy/QtQml/qpyqmllistproperty.cpp:
	QQmlListProperty now supports automatic handling of a Python list.
	[60d80fb8b575] <5.0-maint>

	* examples/qml/referenceexamples/adding.py:
	Added the adding.py QML example.
	[b743e47396da] <5.0-maint>

	* sphinx/introduction.rst, sphinx/qml.rst:
	Documented the QML plugin.
	[5540ce69ca6d] <5.0-maint>

	* examples/qtdemo/menumanager.py, examples/qtdemo/qtdemo_rc.py,
	examples/qtdemo/xml/examples.xml:
	qtdemo.py now handles launching qmlscene.
	[23c41bdedce8] <5.0-maint>

	* examples/quick/tutorials/extending/chapter6-plugins/Charts/qmldir,
	lib/configure.py:
	configure.py now fixes the qmldir file of the chapter6-plugins
	example.
	[c83b531d316e] <5.0-maint>

	* qmlscene/pluginloader.cpp:
	Completed the implementation of the qmlscene plugin.
	[55b870798e9c] <5.0-maint>

	* examples/quick/tutorials/extending/chapter6-plugins/Charts/chartsplu
	gin.py, examples/quick/tutorials/extending/chapter6-plugins/Charts/p
	iechart.py, examples/quick/tutorials/extending/chapter6-plugins/Char
	ts/pieslice.py,
	examples/quick/tutorials/extending/chapter6-plugins/Charts/qmldir,
	examples/quick/tutorials/extending/chapter6-plugins/app.qml:
	Added the chapter6-plugins example.
	[bebaac7a0d7d] <5.0-maint>

	* qmlscene/pluginloader.cpp, qmlscene/pluginloader.h:
	The Qml plugin now calls any Python implementation of
	initializeEngine().
	[3c588fa07a63] <5.0-maint>

2013-08-11  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qmlscene/pluginloader.cpp, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed the handling of reading properties via a meta-call.
	[ccdb334aad87] <5.0-maint>

	* Makefile, build.py, lib/configure.py, qmlscene/pluginloader.cpp,
	qmlscene/pluginloader.h, qmlscene/python.pro-in,
	sphinx/installation.rst:
	Added the initial implementation of the qmlscene plugin.
	[1be57f8f651f] <5.0-maint>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Added QQmlExtensionPlugin.
	[e88c65a97583] <5.0-maint>

2013-08-10  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Removed an old reference to elementtree in the internal build
	system.
	[77a8aa22c304] <5.0-maint>

	* lib/configure.py:
	Fixed the handling of the Designer plugin installation directory.
	[0f65c507b625] <5.0-maint>

	* lib/configure.py:
	Made sure the qmake version is checked before any other output.
	[a8b6f4139914] <5.0-maint>

2013-08-09  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_metadata.cfg, sphinx/qml.rst:
	Documented QQmlListProperty.
	[ab75bbfed2d0] <5.0-maint>

	* PyQt5.msp, examples/quick/tutorials/extending/chapter5-listpropertie
	s/chapter5-listproperties.py, qpy/QtQml/qpyqml.pro,
	qpy/QtQml/qpyqml_api.h, qpy/QtQml/qpyqml_listdata.cpp,
	qpy/QtQml/qpyqml_listdata.h, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp, qpy/QtQml/qpyqmllistproperty.h,
	qpy/QtQml/qpyqmllistproperty.sip:
	Implemented QQmlListProperty.
	[44a9f9f1e42c] <5.0-maint>

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Fixed the launching of the Quick tutorial examples.
	[a4d11dd6fb95] <5.0-maint>

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	examples/quick/tutorials/extending/chapter1-basics/app.qml, examples
	/quick/tutorials/extending/chapter1-basics/chapter1-basics.py,
	examples/quick/tutorials/extending/chapter2-methods/app.qml, example
	s/quick/tutorials/extending/chapter2-methods/chapter2-methods.py,
	examples/quick/tutorials/extending/chapter3-bindings/app.qml, exampl
	es/quick/tutorials/extending/chapter3-bindings/chapter3-bindings.py,
	examples/quick/tutorials/extending/chapter4-customPropertyTypes/app.
	qml, examples/quick/tutorials/extending/chapter4-customPropertyTypes
	/chapter4-customPropertyTypes.py,
	examples/quick/tutorials/extending/chapter5-listproperties/app.qml,
	e
	xamples/quick/tutorials/extending/chapter5-listproperties/chapter5-l
	istproperties.py:
	Added the first five extending QtQuick tutorial examples.
	[741a1c2515ab] <5.0-maint>

2013-08-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the QOpenGLFramebufferObject ctors for OpenGL/ES.
	[2d63832f17f9] <5.0-maint>

	* PyQt5.msp:
	Removed the desktop OpenGL specific enum members from QSGGeometry.
	[ae254303ee10] <5.0-maint>

2013-08-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed remaining QList<double>.
	[5353ace04cdf] <5.0-maint>

	* PyQt5.msp:
	Removed unused QSet and QMultiHash mapped types.
	[f9d55d2d3f80] <5.0-maint>

	* PyQt5.msp:
	Fixed the types of setDashPattern() and dashPattern() of QPen.
	[d59baf568cd7] <5.0-maint>

	* PyQt5.msp:
	Fixed the types of setDashPattern() and dashPattern() of
	QPainterPath.
	[65c2c020bd91] <5.0-maint>

	* PyQt5.msp:
	Removed the unused QList mapped types.
	[f931a114fe4e] <5.0-maint>

	* lib/configure.py:
	The configure.py test for qreal is now the same as the one in
	qglobal.h.
	[2a46b7f185aa] <5.0-maint>

2013-08-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the QGradientStops typedef.
	[d1bfba006b28] <5.0-maint>

2013-08-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp,
	examples/quick/scenegraph/customgeometry/customgeometry.py:
	Completed the implementation of QSGGeometry. Ported the
	customgeometry.py example to Qt v5.1.
	[dc70ed4b71f2] <5.0-maint>

	* PyQt5.msp:
	Added the remaining QSGGeometry methods that returned typed arrays.
	[85c6ae5aae0b] <5.0-maint>

	* PyQt5.msp:
	Fixed QSGNode.setFlags(). The customgeometry.py example now works.
	[475543e43c7f] <5.0-maint>

2013-08-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp,
	examples/quick/scenegraph/customgeometry/customgeometry.py:
	Added the GL drawing modes to QSGGeometry. Updated the
	customgeometry.py example. Passed the struct format to the typed
	array calls.
	[da15276a17c7] <5.0-maint>

	* examples/quick/scenegraph/customgeometry/customgeometry.py:
	Fixes to the customgeometry.py example.
	[51419d8bd817] <5.0-maint>

2013-08-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added some annotations to QSGGeometry.
	[9f4a5ec6265a] <5.0-maint>

2013-08-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Implemented QSGGeometry.vertexDataAsPoint2D().
	[5dce48f13136] <5.0-maint>

2013-07-31  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/scenegraph/customgeometry/customgeometry.py,
	qpy/QtQuick/qpyquick.pro, qpy/QtQuick/qpyquick_register_type.cpp,
	qpy/QtQuick/qpyquickitem.cpp, qpy/QtQuick/qpyquickpainteditem.cpp,
	qpy/QtQuick/qpyquickpainteditem.h:
	Added support for QQuickPaintedItem. Fixes to the customgeometry.py
	example.
	[78c6a5e85fef] <5.0-maint>

	* PyQt5.msp:
	Added /ReleaseGIL/ to the QWindow show methods to avoid an apparent
	deadlock.
	[31330f114be8] <5.0-maint>

2013-07-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlsingletonobject.h:
	Fixed a typo affecting case sensitive filesystems.
	[55557cf6c754] <5.0-maint>

	* PyQt5.msp,
	examples/quick/scenegraph/customgeometry/customgeometry.py,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQuick/qpyquick.pro,
	qpy/QtQuick/qpyquick_post_init.cpp,
	qpy/QtQuick/qpyquick_register_type.cpp,
	qpy/QtQuick/qpyquick_register_type.h, qpy/QtQuick/qpyquickitem.cpp,
	qpy/QtQuick/qpyquickitem.h:
	Python QQuickItem implementations now get created and their
	properties updated.
	[70f46d0d1f2f] <5.0-maint>

2013-07-28  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Grid alignments can now be a set of or-ed values.
	[45a3ca3e06db] <5.0-maint>

2013-07-27  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/sql/connection.py:
	Removed the unnecessary #! line from connection.py.
	[26e093f17858] <5.0-maint>

2013-07-26  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/itemviews/puzzle/puzzle.py:
	Fixed the item views version of the puzzle.py example.
	[5cb5b4bdafbd] <5.0-maint>

	* examples/itemviews/stardelegate.py:
	Fixed the stardelegate.py example.
	[0cf81f6fbbe5] <5.0-maint>

	* pyuic/uic/uiparser.py:
	Added support for the alignment of grid items in pyuic.
	[8a7e107cfe07] <5.0-maint>

	* examples/layouts/borderlayout.py, examples/layouts/flowlayout.py,
	examples/mainwindows/menus.py, examples/mainwindows/separations.py,
	examples/widgets/styles.py:
	Fixed the remaining calls to QLayout.setMargin().
	[630b2d432fc4] <5.0-maint>

	* examples/dialogs/extension.py, examples/dialogs/standarddialogs.py,
	examples/dialogs/tabdialog.py, examples/dialogs/trivialwizard.py:
	Fixed the dialog examples so that the close buttons are enabled on
	OS/X when needed.
	[63d2aaff27a8] <5.0-maint>

	* examples/activeqt/webbrowser/ui_mainwindow.py,
	examples/dbus/chat/ui_chatmainwindow.py,
	examples/dbus/chat/ui_chatsetnickname.py,
	examples/designer/calculatorform/ui_calculatorform.py,
	examples/itemviews/editabletreemodel/ui_mainwindow.py,
	examples/webkit/domtraversal/ui_window.py,
	examples/widgets/stylesheet/ui_mainwindow.py,
	examples/widgets/stylesheet/ui_stylesheeteditor.py:
	Re-rean pyuic5 on the examples to get rid of calls to setMargin().
	[cdfc8d862f73] <5.0-maint>

	* examples/quick/scenegraph/customgeometry/customgeometry.py,
	examples/quick/scenegraph/customgeometry/customgeometry_rc.py,
	examples/quick/scenegraph/customgeometry/main.qml:
	Made the QML more readable.
	[6442069f40a5] <5.0-maint>

	* examples/painting/concentriccircles.py:
	Simplifies the concentriccircles.py example.
	[5429c29179eb] <5.0-maint>

2013-07-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	Improvements to the QML object proxy.
	[b78c48ae7358] <5.0-maint>

2013-07-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added /ReleaseGIL/ to QQuickView.setSource(). Removed /TransferThis/
	from QQuickItem.setParentItem().
	[af06eab58162] <5.0-maint>

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	examples/quick/scenegraph/customgeometry/customgeometry.py,
	examples/quick/scenegraph/customgeometry/customgeometry.qrc,
	examples/quick/scenegraph/customgeometry/customgeometry_rc.py,
	examples/quick/scenegraph/customgeometry/main.qml:
	Added the customgeometry.py example.
	[c0cb02e1ed62] <5.0-maint>

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the abstractitemmodel.py example to qtdemo.py.
	[554d667ee318] <5.0-maint>

	* PyQt5.msp,
	examples/quick/models/abstractitemmodel/abstractitemmodel.py,
	examples/quick/models/abstractitemmodel/abstractitemmodel.qrc,
	examples/quick/models/abstractitemmodel/abstractitemmodel_rc.py,
	examples/quick/models/abstractitemmodel/view.qml,
	examples/quick/models/objectlistmodel/objectlistmodel.py:
	Fixed QTextBlock.setUserData() and
	QSyntaxHighlighter.setCurrentBlockUserData() so that an explicit
	reference to the owning document doesn't need to be kept.
	[fcd867e2f9c6] <5.0-maint>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtQuick/qpyquick_chimera_helpers.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.h, sphinx/extension_api.rst:
	Improved the API of pyqt5_register_to_qvariant_convertor().
	[fd3dda9d913b] <5.0-maint>

	* PyQt5.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h, sphinx/extension_api.rst:
	Removed pyqt5_qobject_sender() from the public API.
	[c13032fa3dfd] <5.0-maint>

	* PyQt5.msp, lib/configure.py, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtDBus/qpydbus_chimera_helpers.h, qpy/QtQuick/qpyquick.pro,
	qpy/QtQuick/qpyquick_api.h,
	qpy/QtQuick/qpyquick_chimera_helpers.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.h,
	qpy/QtQuick/qpyquick_post_init.cpp, sphinx/extension_api.rst:
	Added the QtQuick support library to add the necessary QVariant
	convertors.
	[16d58eaa4f93] <5.0-maint>

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	examples/quick/models/objectlistmodel/objectlistmodel.py,
	examples/quick/models/objectlistmodel/objectlistmodel.qrc,
	examples/quick/models/objectlistmodel/objectlistmodel_rc.py,
	examples/quick/models/objectlistmodel/view.qml,
	examples/quick/models/stringlistmodel/stringlistmodel.py,
	examples/quick/models/stringlistmodel/stringlistmodel.qrc,
	examples/quick/models/stringlistmodel/stringlistmodel_rc.py,
	examples/quick/models/stringlistmodel/view.qml:
	Added the objectlistmodel.py and stringlistmodel.py examples.
	[f29e57d95c66] <5.0-maint>

2013-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	examples/quick/animation/animation.py,
	examples/quick/canvas/bezierCurve/bezierCurve.qml,
	examples/quick/canvas/canvas.py, examples/quick/canvas/canvas.qml,
	examples/quick/canvas/canvas.qrc,
	examples/quick/canvas/canvas_rc.py,
	examples/quick/canvas/clip/clip.qml,
	examples/quick/canvas/contents/Button.qml,
	examples/quick/canvas/contents/ScrollBar.qml,
	examples/quick/canvas/contents/Slider.qml,
	examples/quick/canvas/contents/TitleBar.qml,
	examples/quick/canvas/contents/ToolBar.qml,
	examples/quick/canvas/contents/images/button-pressed.png,
	examples/quick/canvas/contents/images/button.png,
	examples/quick/canvas/contents/images/default.svg,
	examples/quick/canvas/contents/images/gloss.png,
	examples/quick/canvas/contents/images/lineedit.png,
	examples/quick/canvas/contents/images/lineedit.sci,
	examples/quick/canvas/contents/images/quit.png,
	examples/quick/canvas/contents/images/stripes.png,
	examples/quick/canvas/contents/images/titlebar.png,
	examples/quick/canvas/contents/images/titlebar.sci,
	examples/quick/canvas/contents/images/toolbutton.png,
	examples/quick/canvas/contents/images/toolbutton.sci,
	examples/quick/canvas/contents/qt-logo.png,
	examples/quick/canvas/quadraticCurveTo/quadraticCurveTo.qml,
	examples/quick/canvas/roundedrect/roundedrect.qml,
	examples/quick/canvas/smile/smile.qml,
	examples/quick/canvas/squircle/squircle.png,
	examples/quick/canvas/squircle/squircle.qml,
	examples/quick/canvas/tiger/tiger.js,
	examples/quick/canvas/tiger/tiger.qml:
	Added the QtQuick canvas.py example.
	[268df5fd8d34] <5.0-maint>

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	examples/quick/README, examples/quick/animation/animation.py,
	examples/quick/animation/animation.qml,
	examples/quick/animation/animation.qrc,
	examples/quick/animation/animation_rc.py,
	examples/quick/animation/basics/color-animation.qml,
	examples/quick/animation/basics/images/face-smile.png,
	examples/quick/animation/basics/images/moon.png,
	examples/quick/animation/basics/images/shadow.png,
	examples/quick/animation/basics/images/star.png,
	examples/quick/animation/basics/images/sun.png,
	examples/quick/animation/basics/property-animation.qml,
	examples/quick/animation/behaviors/SideRect.qml,
	examples/quick/animation/behaviors/behavior-example.qml,
	examples/quick/animation/behaviors/tvtennis.qml,
	examples/quick/animation/behaviors/wigglytext.qml,
	examples/quick/animation/easing/easing.qml,
	examples/quick/animation/pathanimation/pathanimation.qml,
	examples/quick/animation/pathinterpolator/pathinterpolator.qml,
	examples/quick/animation/states/qt-logo.png,
	examples/quick/animation/states/states.qml,
	examples/quick/animation/states/transitions.qml,
	examples/quick/shared/Button.qml,
	examples/quick/shared/LauncherList.qml,
	examples/quick/shared/SimpleLauncherDelegate.qml,
	examples/quick/shared/images/back.png,
	examples/quick/shared/images/next.png,
	examples/quick/shared/shared.qrc,
	examples/quick/shared/shared_rc.py:
	Added the QtQuick animation.py example.
	[837150b71731] <5.0-maint>

2013-07-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QQmlParserStatus is now defined as a Qt interface.
	[f14be28e462e] <5.0-maint>

	* PyQt5.msp, examples/richtext/textobject/textobject.py,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h, qpy/QtGui/qpygui.pro,
	qpy/QtGui/qpytextobject.h, qpy/QtGui/qpytextobject.sip,
	sphinx/api_metadata.cfg, sphinx/index.rst,
	sphinx/pyqt4_differences.rst, sphinx/qt_interfaces.rst:
	QTextObjectInterface is now supported as an interface that is used
	as a mixin. Removed QPyTextObject as it is no longer needed. Updated
	the textobject.py example.
	[57bb15a5475d] <5.0-maint>

2013-07-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Completed the initial implementation of the QtQuick module.
	[2a99e59669ee] <5.0-maint>

	* PyQt5.msp:
	Added the remaining QSG texture classes.
	[334127f294d9] <5.0-maint>

2013-07-19  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp:
	Completed the implementation of QSGMaterialShader.
	[7bcb69ebcfc8] <5.0-maint>

2013-07-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	More work on QSGMaterial and QSGGeometry.
	[9c09c69e011c] <5.0-maint>

2013-07-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the support for QQuickWindow and QQuickItem.
	[770f796c0a61] <5.0-maint>

	* PyQt5.msp, lib/configure.py:
	Added the minimal QtQuick module.
	[1c3b391ebb72] <5.0-maint>

2013-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, sphinx/index.rst, sphinx/introduction.rst,
	sphinx/pyqt4_differences.rst, sphinx/qml.rst:
	Documented the QtQml module.
	[f6f498d697aa] <5.0-maint>

	* qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml.pro,
	qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlsingletonobject.cpp,
	qpy/QtQml/qpyqmlsingletonobject.h:
	Implemented qmlRegisterSingletonType().
	[7a2acb8c9a93] <5.0-maint>

2013-07-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_public_api.h, sphinx/extension_api.rst:
	Documented pyqt5_get_qmetaaobject().
	[5beb97f61993] <5.0-maint>

	* qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_types.cpp, sphinx/signals_slots.rst:
	Added the revision argument to pyqtSlot().
	[be2b6cd9bd25] <5.0-maint>

	* qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_types.cpp, sphinx/signals_slots.rst:
	Added the revision argument to pyqtSignal().
	[c1f360ca39a1] <5.0-maint>

	* qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtproperty.h,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_types.cpp, sphinx/qt_properties.rst:
	Implemented the revision argument to pyqtProperty().
	[c8392c02c9b0] <5.0-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed qmlRegisterUncreatableType().
	[5d1a0f917f11] <5.0-maint>

	* qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_type.cpp:
	Completed the implementation of qmlRegisterType(),
	qmlRegisterRevision() and qmlRegisterUncreatableType().
	[12800b23bc24] <5.0-maint>

	* Makefile, test/tests/classes/test_QQmlComponent.py:
	Added the start of the Qml unit tests.
	[e50b70a97479] <5.0-maint>

	* qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h:
	Tidied up the implementation of qmlRegisterType(). 20 types can now
	be registered.
	[91d2f136b7a5] <5.0-maint>

	* PyQt5.msp, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h:
	The simple test to create a Python object from QML now works.
	[6cdb584a8a51] <5.0-maint>

2013-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtQml/qpyqml_register_type.cpp,
	qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	More work on the implementation of qmlRegisterType().
	[2ed50117bb0e] <5.0-maint>

	* Makefile, lib/configure.py, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp, qpy/QtQml/qmlregistertype.sip,
	qpy/QtQml/qpyqml.pro, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h:
	Added initial support (ie. it compiles) for qmlRegisterType().
	[4221776fc22b] <5.0-maint>

2013-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Added the QQmlExpression, QQmlListReference, QQmlProperty,
	QQmlPropertyMap and QQmlScriptString classes.
	[bfcd01be5691] <5.0-maint>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Added the QQmlComponent, QQmlContext, QQmlEngine, QQmlError,
	QQmlIncubator, QQmlIncubatorControl, QQmlImageProviderBase and
	QQmlNetworkAccessManagerFactory classes.
	[06ff494f83cc] <5.0-maint>

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/api_metadata.cfg:
	Added the start of the QtQml module containing the QJSEngine,
	QJSValue and QJSValueIterator classes.
	[7c4a6b081187] <5.0-maint>

	* PyQt5.msp:
	Removed the stub for QOpenGLFunctions as we still don't have an
	example where we can remove the dependency on PyOpenGL (because of
	glViewport() and glDrawArrays()).
	[6ccb0554b869] <5.0-maint>

	* examples/opengl/openglwindow.py:
	Updated the openglwindow.py example to use QOpenGLShaderProgram.
	[ddd7a0259c4a] <5.0-maint>

	* PyQt5.msp, qpy/QtGui/qpygui.pro, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_attribute_array.cpp, sphinx/api_metadata.cfg:
	Completed the implementation of QOpenGLShaderProgram.
	[665fb10f93e1] <5.0-maint>

2013-07-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, qpy/QtGui/qpygui.pro,
	qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtOpenGL/qpyopengl.pro, qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_attribute_array.cpp,
	qpy/QtOpenGL/qpyopengl_uniform_value_array.cpp:
	Implemented more of QOpenGLShaderProgram.
	[b0afb72fc0ca] <5.0-maint>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Added the QOpenGLBuffer, QOpenGLFramebufferObject,
	QOpenGLFramebufferFormat, QOpenGLPaintDevice and QOpenGLShader
	classes. Added stubs for the QOpenGLFunctions and
	QOpenGLShaderProgram classes.
	[5686e52f7350] <5.0-maint>

2013-07-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Backed out changeset c432a87e3a48, the correct fix is to SIP.
	[de3d55fb4945] <5.0-maint>

	* PyQt5.msp, lib/configure.py:
	Worked around a incompatibility with QProcess in Qt v5.1.
	[c432a87e3a48] <5.0-maint>

2013-07-06  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py:
	Improved the error message when configure.py detects an incorrect Qt
	version. Clean up __pycache__ directories.
	[3513f56e65bf] <5.0-maint>

2013-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/multiinheritance.rst:
	Tweaked the docs.
	[cffb77db7dc1] <5.0-maint>

	* Makefile, PyQt5.msp, sphinx/gotchas.rst, sphinx/index.rst,
	sphinx/multiinheritance.rst, sphinx/pyqt4_differences.rst:
	Enabled call_super_init. Added the cooperative multi-inheritance
	section to the documentation.
	[a0323ed8bc1d] <5.0-maint>

2013-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/xmlpatterns/schema/schema.py:
	Fixed bugs in the schema.py example.
	[0d3ae95c947b] <5.0-maint>

	* PyQt5.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp:
	Moved a const_cast closer to where it is needed.
	[c96b00d73380] <5.0-maint>

	* Makefile, PyQt5.msp, lib/configure.py, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_init.cpp, qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h:
	Changed the handling of QObject ctor keywords arguments so that it
	doesn't break cooperative multi-inheritance and is compatible with
	SIP v5. SIP v4.15 is now required.
	[8c442640f72e] <5.0-maint>

	* dbus/dbus.cpp:
	Fixed the names of the module init functions.
	[950cd70446a1] <5.0-maint>

2013-06-29  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the previous fix so that the framework status is still
	checked.
	[901a31b124a3] <5.0-maint>

2013-06-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Make sure that the --spec value passed to configure.py is always
	used.
	[fe4c612ae259] <5.0-maint>

	* examples/multimediawidgets/camera/camera.py,
	examples/multimediawidgets/camera/camera.ui,
	examples/multimediawidgets/camera/imagesettings.ui,
	examples/multimediawidgets/camera/ui_camera.py,
	examples/multimediawidgets/camera/ui_imagesettings.py,
	examples/multimediawidgets/camera/ui_videosettings.py,
	examples/multimediawidgets/camera/videosettings.ui,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the camera.py example.
	[e74dbc5074d0] <5.0-maint>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Removed QVideoWidgetControl.
	[8c268c606cc4] <5.0-maint>

2013-06-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Completed the implementation of the QtMultimedia module.
	[6a522f87648d] <5.0-maint>

	* PyQt5.msp:
	Added the radio classes.
	[9420fcb1da43] <5.0-maint>

	* PyQt5.msp:
	Removed QMediaControl as it seems pointless without a documented way
	to create a QMediaService.
	[b02de4d09d04] <5.0-maint>

	* PyQt5.msp:
	More QtMultimedia classes.
	[f52207a4280a] <5.0-maint>

2013-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, examples/multimedia/audiooutput.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the audiooutput.py example.
	[23e2468a55f1] <5.0-maint>

	* examples/multimedia/README,
	examples/multimedia/audiodevices/audiodevices.py,
	examples/multimedia/audiodevices/audiodevicesbase.ui,
	examples/multimedia/audiodevices/ui_audiodevicesbase.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the audiodevices.py example.
	[8918a6427814] <5.0-maint>

	* lib/configure.py:
	Make the pyuic5 wrapper executable before running qmake so that the
	permissions don't get stripped when installing on Linux.
	[b5c2fb502885] <5.0-maint>

2013-06-23  Phil Thompson  <phil@riverbankcomputing.com>

	* dbus/dbus.cpp, dbus/dbus.sbf, dbus/helper.h, lib/configure.py,
	sphinx/dbus.rst, sphinx/introduction.rst,
	sphinx/pyqt4_differences.rst:
	The dbus.mainloop.qt module is now called dbus.mainloop.pyqt5 so
	that it can be installed side by side with the PyQt4 equivalent.
	[b72659988feb] <5.0-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	test/tests/metaobject/test_connections.py:
	Fixed the lack of exception when connect() is given a bad slot.
	[a4985399df5e] <5.0-maint>

	* examples/multimediawidgets/player.py,
	examples/multimediawidgets/videographicsitem.py,
	examples/multimediawidgets/videowidget.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the player.py example.
	[67351785a13c] <5.0-maint>

	* PyQt5.msp:
	Implemented some more of the QtMutimedia classes.
	[3e35bd4e468a] <5.0-maint>

2013-06-22  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/graphicsview/elasticnodes.py,
	examples/qtdemo/itemcircleanimation.py,
	examples/threads/mandelbrot.py:
	Removed the calls to the QWheelEvent.delta() method in the examples.
	[562ea33d38e0] <5.0-maint>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Completed the QtMultimediaWidgets module.
	[d9d42fdc6b18] <5.0-maint>

	* build.py, contrib/lang/Makefile, contrib/lang/lang.py,
	contrib/lang/lang.qrc, contrib/lang/lang/cs_cs.qm,
	contrib/lang/lang/cs_cs.ts, contrib/lang/lang/da_da.qm,
	contrib/lang/lang/da_da.ts, contrib/lang/lang/de_ch.qm,
	contrib/lang/lang/de_ch.ts, contrib/lang/lang/de_de.qm,
	contrib/lang/lang/de_de.ts, contrib/lang/lang/en_gb.qm,
	contrib/lang/lang/en_gb.ts, contrib/lang/lang/en_us.qm,
	contrib/lang/lang/en_us.ts, contrib/lang/lang/es_es.qm,
	contrib/lang/lang/es_es.ts, contrib/lang/lang/et_et.qm,
	contrib/lang/lang/et_et.ts, contrib/lang/lang/fi_fi.qm,
	contrib/lang/lang/fi_fi.ts, contrib/lang/lang/fr_ca.qm,
	contrib/lang/lang/fr_ca.ts, contrib/lang/lang/fr_fr.qm,
	contrib/lang/lang/fr_fr.ts, contrib/lang/lang/hu_hu.qm,
	contrib/lang/lang/hu_hu.ts, contrib/lang/lang/it_it.qm,
	contrib/lang/lang/it_it.ts, contrib/lang/lang/nl_nl.qm,
	contrib/lang/lang/nl_nl.ts, contrib/lang/lang/no_no.qm,
	contrib/lang/lang/no_no.ts, contrib/lang/lang/pl_pl.qm,
	contrib/lang/lang/pl_pl.ts, contrib/lang/lang/pt_pt.qm,
	contrib/lang/lang/pt_pt.ts, contrib/lang/lang/sv_sv.qm,
	contrib/lang/lang/sv_sv.ts, contrib/lang/lang/tr_tr.qm,
	contrib/lang/lang/tr_tr.ts, contrib/lang/mainwindow.ui,
	contrib/pymodeltest/LICENSE.GPL, contrib/pymodeltest/README,
	contrib/pymodeltest/modeltest.py, contrib/sandbox/README,
	contrib/sandbox/sandbox.pyw:
	Removed the contrib directory.
	[591c9a622a71] <5.0-maint>

	* PyQt5.msp:
	Added %ConvertToSubClassCode for QGraphicsVideoItem.
	[de85f62e8967] <5.0-maint>

	* examples/multimediawidgets/videowidget.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the videowidget.py example.
	[9acd16b2bdce] <5.0-maint>

	* examples/multimedia/README,
	examples/multimedia/videographicsitem.py,
	examples/multimediawidgets/README,
	examples/multimediawidgets/videographicsitem.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	The QtMultimediaWidgets examples now go in their own directory.
	[891bb8122a11] <5.0-maint>

	* examples/multimedia/videographicsitem.py:
	Debugged the videographicsitem.py example.
	[d1e778504aab] <5.0-maint>

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/introduction.rst:
	Added the QtMultimediaWidgets module (with a subset of the classes).
	Added some of the new Qt5 QtMultimedia classes.
	[6bfb31f31b0d] <5.0-maint>

	* examples/multimedia/README,
	examples/multimedia/videographicsitem.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the (untested) videographicsitem.py example.
	[1eea557f6cad] <5.0-maint>

	* lib/configure.py:
	configure.py now checks the Qt version as soon as possible.
	[e1cf0c849548] <5.0-maint>

2013-06-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Manually fixed the project file for the parse state of all ignored
	QtMultimedia header files.
	[f02eb87af35c] <5.0-maint>

2013-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.0 for changeset 785762fc2868
	[5d5021bfff4c]

	* NEWS, Qt5-TODO.txt:
	Released as v5.0.
	[785762fc2868] [5.0]

	* Makefile, examples/designer/plugins/plugins.py:
	Fixed the plugins.py example so that it doesn't have to be run from
	the directory containing it.
	[2c51ab7a3c68]

	* examples/qtdemo/menumanager.py:
	Removed the Help support from qtdemo.py because of bugs in QtSql in
	Qt5 causing crashes on exit.
	[f5b9ce401532]

2013-06-15  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Fix to the build system when creating source packages.
	[d700a2283637]

	* sphinx/pyqt4_differences.rst:
	Fixed a short label in the docs.
	[ca941a71d917]

	* PyQt5.msp, Qt5-TODO.txt, sphinx/api_metadata.cfg,
	sphinx/pyqt4_differences.rst:
	Removed the obsolete QtOpenGL classes.
	[1a15fc8788a9]

	* build.py, sphinx/api_metadata.cfg, sphinx/introduction.rst,
	sphinx/pyqt4_differences.rst:
	Added the API metadata for all but the QtOpenGL module.
	[478d7f271b71]

	* Makefile, build.py, sphinx/api_metadata.cfg,
	sphinx/class_reference.rst:
	Updated build.py to read the API meta-data from a file.
	[4379f27de31d]

	* sphinx/class_reference.rst, sphinx/conf.py, sphinx/designer.rst,
	sphinx/index.rst, sphinx/introduction.rst,
	sphinx/pyqt4_differences.rst:
	Documentation updates including the skeleton structure of the class
	reference.
	[aa1ba2118845]

2013-06-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Qt5-TODO.txt, sphinx/introduction.rst:
	Updated the reference guide relating to QtOpenGL.
	[7b37d453ec88]

	* PyQt5.msp, Qt5-TODO.txt, sphinx/buffer_interface.rst,
	sphinx/build_system.rst, sphinx/dbus.rst,
	sphinx/deploy_commercial.rst, sphinx/designer.rst,
	sphinx/extension_api.rst, sphinx/gotchas.rst, sphinx/i18n.rst,
	sphinx/incompatibilities.rst, sphinx/incompatible_apis.rst,
	sphinx/index.rst, sphinx/installation.rst, sphinx/introduction.rst,
	sphinx/keyword_arguments.rst, sphinx/new_style_signals_slots.rst,
	sphinx/old_style_signals_slots.rst, sphinx/pickle.rst,
	sphinx/pyqt4_differences.rst, sphinx/pyqt_qsettings.rst,
	sphinx/pyqt_qvariant.rst, sphinx/python_shell.rst,
	sphinx/python_v3.rst, sphinx/qml.rst, sphinx/qt_properties.rst,
	sphinx/qt_v5.rst, sphinx/resources.rst, sphinx/signals_slots.rst,
	sphinx/webkit.rst:
	Updated the reference guide.
	[f3e4f0cf5959]

2013-06-13  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py:
	Added build support for creating standalone documentation.
	[8322dc67c499]

2013-06-12  Phil Thompson  <phil@riverbankcomputing.com>

	* Qt5-TODO.txt, examples/designer/plugins/plugins.py,
	examples/qtdemo/menumanager.py:
	Fixed another use of QProcess.setEnvironment() in the examples.
	[18f7592450f7]

	* Qt5-TODO.txt, installers/PyQt5-Qt5-gpl.nsi:
	More installer fixes.
	[08445543af31]

	* examples/qtdemo/examplecontent.py, examples/qtdemo/menumanager.py:
	Windows and Python3 fixes for qtdemo.py.
	[94ea20102c8f]

	* lib/configure.py:
	Another fix for installing opengl_types.sip in the right place.
	[f87b6b02fd2c]

	* installers/PyQt5-Qt5-gpl.nsi, installers/qsci-pyqt5-config.bat,
	lib/configure.py:
	pylupdate5 and pyrcc5 now get built again. More out-of-tree build
	fixes. Installer fixes.
	[519d3934205d]

	* lib/configure.py, qpy/QtOpenGL/opengl_types.sip:
	Fixed the handling of OpenGL types with out-of-tree builds.
	[116f5369e841]

	* installers/BuildGPL.txt, lib/configure.py:
	Minor tweek to configure.py.
	[d71d7716da87]

	* Qt5-TODO.txt, lib/configure.py:
	Fixes for configure.py to handle debug builds on Windows.
	[86a3338117e0]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updates to the installer to handle conflicts with PyQt4.
	[a4ae753bd3e3]

2013-06-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_pyqtslot.h,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h:
	Proxied slots are now handled properly by the garbage collector.
	[67de01d44e88]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Clear a benign exception that was tripping up the garbage collector.
	[8c527c6f681b]

	* Makefile, test/dbus/test_multibus.py, test/runtests.py,
	test/tests/classes/test_QObject.py,
	test/tests/classes/test_QSettings.py,
	test/tests/classes/test_QSignalSpy.py,
	test/tests/classes/test_QStringList.py,
	test/tests/classes/test_QVariant.py,
	test/tests/metaobject/test_connections.py,
	test/tests/metaobject/test_connections_old_style.py,
	test/tests/metaobject/test_connectslotsbyname.py,
	test/tests/metaobject/test_destroyed.py,
	test/tests/metaobject/test_gc_slots.py,
	test/tests/metaobject/test_invoke.py,
	test/tests/metaobject/test_pyqtproperty.py,
	test/tests/metaobject/test_pyqtsignal.py,
	test/tests/metaobject/test_pyqtsignature.py,
	test/tests/metaobject/test_pyqtslot.py,
	test/tests/metaobject/test_qvariantmap.py,
	test/tests/metaobject/test_sender.py,
	test/tests/metaobject/test_signal.py,
	test/tests/misc/test_pickle.py, test/tests/misc/test_repr.py,
	test/tests/pyuic/test_pyuic.py, test/v2_unicode.py,
	test/v3_unicode.py:
	Ported the unit tests.
	[17137bd344c2]

2013-06-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qmetaobject_helpers.cpp:
	Fixed QMetaObject.connectSlotsByName().
	[ef6ebf8e9f8d]

	* PyQt5.msp:
	Fixed the QVariant ctors.
	[3350bac153b0]

	* PyQt5.msp, Qt5-TODO.txt:
	Updated to Qt v5.0.2.
	[a9f027d06f8b]

2013-06-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QSyntaxHighlighter.setCurrentBlockUserData() now keeps a reference
	to the document.
	[0debe193744d]

	* PyQt5.msp, Qt5-TODO.txt:
	Removed all qSwap() implementations. All QDataStream << and >>
	operators now release the GIL.
	[23e3a9f5433c]

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_qpynullvariant.cpp,
	qpy/QtCore/qpycore_qpynullvariant.h, qpy/QtCore/qpynullvariant.sip:
	Implemented the new QVariant support.
	[c84a17f0d329]

2013-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the project format to v4.
	[b0c3cafe79e0]

2013-06-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt:
	Added support for QSignalSpy.
	[3a69020f1620]

2013-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h:
	Removed the unused argument from pyqt5_qobject_sender().
	[cdc78cf84e0d]

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_post_init.cpp.in, qpy/QtCore/qpycore_types.cpp:
	Removed the remaining support for pyqtSignature and __pyqtSignals__.
	[9d544b4c475d]

	* qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtproxy.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp:
	Removed the old PyQtProxy implementation.
	[d1543cb6f559]

2013-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp,
	qpy/QtCore/qpycore_sip_helpers.h:
	Removed the legacy SIP helpers.
	[036f09c3b943]

	* Makefile, examples/designer/plugins/widgets/bubbleswidget.py,
	examples/designer/plugins/widgets/helloglwidget.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/elasticnodes.py,
	examples/graphicsview/padnavigator/padnavigator.py,
	examples/itemviews/spreadsheet/spreadsheet.py,
	examples/opengl/hellogl.py, examples/opengl/overpainting.py,
	examples/widgets/tetrix.py, examples/xmlpatterns/schema/schema.py:
	Fixed some use of deprecated calls in the examples.
	[f860e211c790]

	* Makefile, Qt5-TODO.txt, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_pyqtslot.h,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	Refactored the slot support so that doesn't used the support from
	SIP and only supports what can happen with new-style connections.
	[1579721f5e05]

2013-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_init.cpp:
	Temporarily disabled parts of the API that were used by the
	QtDeclarative module.
	[7af4bfe5aa42]

	* PyQt5.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_misc.cpp, qpy/QtCore/qpycore_misc.h,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_shared.h:
	Added pyqt5_from_argv_list() and pyqt5_update_argv_list() to the
	public API.
	[da24f909db1a]

	* PyQt5.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_qvariant_value.cpp, qpy/QtCore/qpycore_shared.h,
	qpy/QtDBus/qpydbuspendingreply.cpp, qpy/QtDBus/qpydbusreply.cpp:
	Added pyqt5_from_qvariant_by_type() to the public API.
	[2dd262e0cd5c]

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h,
	qpy/QtDBus/qpydbus_chimera_helpers.cpp,
	qpy/QtDBus/qpydbus_chimera_helpers.h,
	qpy/QtDBus/qpydbus_post_init.cpp:
	Added pyqt5_qobject_sender() and
	pyqt5_register_from_qvariant_convertor() to the public API.
	[66f421a3b6e7]

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h:
	Changed the prefix of public API functions from qtcore_api_ to
	pyqt5_.
	[e32d69b5cc32]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed a bug in the handling of bound signals.
	[3cc1a7558a51]

	* qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h:
	Added the missing slot proxy implementation to the repo.
	[820b5f9d9b47]

	* PyQt5.msp, Qt5-TODO.txt:
	Deprecated SIP features are no longer used anywhere.
	[7aa4515516a4]

	* PyQt5.msp, Qt5-TODO.txt:
	Removed the use of deprecated SIP feature from all QtWidgets
	dialogs.
	[cf1c268f04cc]

2013-05-31  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The QtPrintSupport module no longer uses deprecated SIP features.
	[200f23469b4e]

	* Makefile, PyQt5.msp,
	examples/dbus/remotecontrolledcar/controller/ui_controller.py,
	qpy/QtCore/qpycore_init.cpp, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_shared.h:
	The QtDBus module no longer uses deprecated SIP features.
	[d8fb2e91a60b]

	* pyuic/uic/properties.py:
	Fixed pyuic5's handling of margins.
	[dd808c1bcced]

	* Makefile, PyQt5.msp:
	The QtNetwork module no longer uses deprecated SIP features.
	[8b15f81ccc85]

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp, qpy/QtCore/qpycore_shared.h:
	The QtCore modules no longer uses the deprecated SIP features.
	[631505f300c6]

	* Makefile, PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp, qpy/QtCore/qpycore_shared.h:
	qtimer.sip no longer uses the deprecated SIP support. Added
	QObject.disconnect().
	[bab5304e0ff1]

2013-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_init.cpp, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h:
	Removed connect(), disconnect() and emit() from QObject. Removed
	SIGNAL() and SLOT(). QObject.receivers() now takes a signal argument
	rather than the output of SIGNAL(). Added the infrastructure for the
	public API.
	[12dc206d7ff6]

2013-05-28  Phil Thompson  <phil@riverbankcomputing.com>

	* Qt5-TODO.txt, examples/qtdemo/colors.py,
	examples/qtdemo/mainwindow.py:
	qtdemo.py now only uses software rendering.
	[29ad9b391d27]

	* examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Added the openglwindow.py example to qtdemo.py.
	[b5dd1edaeef4]

	* examples/opengl/openglwindow.py:
	Added the openglwindow.py example.
	[c40a6f2ed560]

	* PyQt5.msp:
	Added the missing %PostInitialisationCode to the QtGui module.
	[61727b76007a]

	* PyQt5.msp, lib/configure.py:
	Added QOpenGLContext and QOpenGLContextGroup to QtGui.
	[50c926bd4d3f]

2013-05-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt:
	Added QTemporaryDir to QtCore.
	[b5eed4b461b8]

	* PyQt5.msp:
	Updated QMutex.
	[7af8195ab193]

	* PyQt5.msp:
	Added QMimeDatabase and QMimeType to QtCore.
	[32a91aa8c689]

	* PyQt5.msp, lib/SubclassCode/QtCore.versions,
	qpy/QtCore/qwineventnotifier.sip:
	Fixed the sub-class convertor code for QWinEventNotifier.
	[1d9649254821]

	* lib/SubclassCode/mksccode.py:
	Fixed mksccode.py to handle optional classes whose super-class is
	QObject.
	[fc5f5053c426]

	* PyQt5.msp:
	Updated findChild() and findChildren().
	[af265098377b]

2013-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added QRegularExpression, QRegularExpressionMatch and
	QRegularExpressionMatchIterator to QtCore.
	[744a790e2c26]

	* PyQt5.msp:
	Added QEventLoopLocker to QtCore.
	[fade28309590]

	* PyQt5.msp, Qt5-TODO.txt:
	Added QBackingStore, QInputMethod, QPdfWriter and QStyleHints to
	QtGui.
	[408493dfd7db]

	* PyQt5.msp:
	Added QScroller and QScrollerProperties to QtWidgets.
	[fa49e60c4e92]

	* PyQt5.msp, Qt5-TODO.txt, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_qmessagelogger.cpp:
	qDebug() etc. now use the correct Python context.
	[00bf19f063d2]

	* PyQt5.msp:
	Split qlogging.sip out from qglobal.sip. Implemented
	qInstalleMessageHandler, QMessageLogContext and QMessageLogger.
	[29629f01a51f]

2013-05-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Broke the qsysinfo.h contents out from qglobal.h.
	[daa956d2a33d]

2013-05-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt:
	The QDataStream methods that handle qint8 and quint8 types now
	interpret them as numeric values rather than single character
	strings.
	[c9b76fc250ce]

	* PyQt5.msp, Qt5-TODO.txt:
	Added support for QTouchSequence.
	[cbe60f53ab07]

	* PyQt5.msp:
	Updated QtTest to support testing QWindows.
	[5383cc77757c]

	* PyQt5.msp, Qt5-TODO.txt:
	Updated QtGui for all API elements that use QWindow.
	[d9a9af037a33]

2013-05-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt:
	Added support for the QSurface, QSurfaceFormat and QWindow classes.
	[4c23a9d62c5a]

	* PyQt5.msp, Qt5-TODO.txt, examples/qtdemo/examplecontent.py,
	examples/qtdemo/menucontent.py, examples/qtdemo/menumanager.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	examples/xml/README, examples/xml/dombookmarks/dombookmarks.py,
	examples/xml/dombookmarks/frank.xbel,
	examples/xml/dombookmarks/jennifer.xbel,
	examples/xml/saxbookmarks/frank.xbel,
	examples/xml/saxbookmarks/jennifer.xbel,
	examples/xml/saxbookmarks/saxbookmarks.py, lib/configure.py:
	Removed the QtXml module.
	[b83926ccd7cb]

	* PyQt5.msp, Qt5-TODO.txt,
	examples/declarative/minehunt/MinehuntCore/Explosion.qml,
	examples/declarative/minehunt/MinehuntCore/Tile.qml,
	examples/declarative/minehunt/MinehuntCore/pics/No-Ones-
	Laughing-3.jpg,
	examples/declarative/minehunt/MinehuntCore/pics/back.png,
	examples/declarative/minehunt/MinehuntCore/pics/bomb-color.png,
	examples/declarative/minehunt/MinehuntCore/pics/bomb.png,
	examples/declarative/minehunt/MinehuntCore/pics/face-sad.png,
	examples/declarative/minehunt/MinehuntCore/pics/face-smile-big.png,
	examples/declarative/minehunt/MinehuntCore/pics/face-smile.png,
	examples/declarative/minehunt/MinehuntCore/pics/flag-color.png,
	examples/declarative/minehunt/MinehuntCore/pics/flag.png,
	examples/declarative/minehunt/MinehuntCore/pics/front.png,
	examples/declarative/minehunt/MinehuntCore/pics/quit.png,
	examples/declarative/minehunt/MinehuntCore/pics/star.png,
	examples/declarative/minehunt/MinehuntCore/qmldir,
	examples/declarative/minehunt/minehunt.py,
	examples/declarative/minehunt/minehunt.qml,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel.py,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel.qrc,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel_rc.p
	y, examples/declarative/modelviews/objectlistmodel/view.qml,
	examples/declarative/samegame/SamegameCore/BoomBlock.qml,
	examples/declarative/samegame/SamegameCore/Button.qml,
	examples/declarative/samegame/SamegameCore/Dialog.qml,
	examples/declarative/samegame/SamegameCore/pics/background.png,
	examples/declarative/samegame/SamegameCore/pics/blueStar.png,
	examples/declarative/samegame/SamegameCore/pics/blueStone.png,
	examples/declarative/samegame/SamegameCore/pics/greenStar.png,
	examples/declarative/samegame/SamegameCore/pics/greenStone.png,
	examples/declarative/samegame/SamegameCore/pics/redStar.png,
	examples/declarative/samegame/SamegameCore/pics/redStone.png,
	examples/declarative/samegame/SamegameCore/pics/star.png,
	examples/declarative/samegame/SamegameCore/pics/yellowStone.png,
	examples/declarative/samegame/SamegameCore/qmldir,
	examples/declarative/samegame/SamegameCore/samegame.js,
	examples/declarative/samegame/highscores/README,
	examples/declarative/samegame/highscores/score_data.xml,
	examples/declarative/samegame/highscores/score_style.xsl,
	examples/declarative/samegame/highscores/scores.php,
	examples/declarative/samegame/samegame.qml,
	examples/declarative/toys/README,
	examples/declarative/toys/clocks/clocks.qml,
	examples/declarative/toys/clocks/content/Clock.qml,
	examples/declarative/toys/clocks/content/QuitButton.qml,
	examples/declarative/toys/clocks/content/background.png,
	examples/declarative/toys/clocks/content/center.png,
	examples/declarative/toys/clocks/content/clock-night.png,
	examples/declarative/toys/clocks/content/clock.png,
	examples/declarative/toys/clocks/content/hour.png,
	examples/declarative/toys/clocks/content/minute.png,
	examples/declarative/toys/clocks/content/quit.png,
	examples/declarative/toys/clocks/content/second.png,
	examples/declarative/toys/corkboards/Day.qml,
	examples/declarative/toys/corkboards/cork.jpg,
	examples/declarative/toys/corkboards/corkboards.qml,
	examples/declarative/toys/corkboards/note-yellow.png,
	examples/declarative/toys/corkboards/tack.png,
	examples/declarative/toys/dynamicscene/Button.qml,
	examples/declarative/toys/dynamicscene/GenericSceneItem.qml,
	examples/declarative/toys/dynamicscene/PaletteItem.qml,
	examples/declarative/toys/dynamicscene/PerspectiveItem.qml,
	examples/declarative/toys/dynamicscene/Sun.qml,
	examples/declarative/toys/dynamicscene/dynamicscene.qml,
	examples/declarative/toys/dynamicscene/images/face-smile.png,
	examples/declarative/toys/dynamicscene/images/moon.png,
	examples/declarative/toys/dynamicscene/images/rabbit_brown.png,
	examples/declarative/toys/dynamicscene/images/rabbit_bw.png,
	examples/declarative/toys/dynamicscene/images/star.png,
	examples/declarative/toys/dynamicscene/images/sun.png,
	examples/declarative/toys/dynamicscene/images/tree_s.png,
	examples/declarative/toys/dynamicscene/itemCreation.js,
	examples/declarative/toys/tic-tac-toe/content/Button.qml,
	examples/declarative/toys/tic-tac-toe/content/TicTac.qml,
	examples/declarative/toys/tic-tac-toe/content/pics/board.png,
	examples/declarative/toys/tic-tac-toe/content/pics/o.png,
	examples/declarative/toys/tic-tac-toe/content/pics/x.png,
	examples/declarative/toys/tic-tac-toe/content/tic-tac-toe.js,
	examples/declarative/toys/tic-tac-toe/tic-tac-toe.qml,
	examples/declarative/toys/tvtennis/tvtennis.qml,
	examples/declarative/ui-components/README, examples/declarative/ui-
	components/dialcontrol/content/Dial.qml, examples/declarative/ui-
	components/dialcontrol/content/QuitButton.qml, examples/declarative
	/ui-components/dialcontrol/content/background.png,
	examples/declarative/ui-components/dialcontrol/content/needle.png,
	examples/declarative/ui-
	components/dialcontrol/content/needle_shadow.png,
	examples/declarative/ui-components/dialcontrol/content/overlay.png,
	examples/declarative/ui-components/dialcontrol/content/quit.png,
	examples/declarative/ui-components/dialcontrol/dialcontrol.qml,
	examples/declarative/ui-components/flipable/content/5_heart.png,
	examples/declarative/ui-components/flipable/content/9_club.png,
	examples/declarative/ui-components/flipable/content/Card.qml,
	examples/declarative/ui-components/flipable/content/back.png,
	examples/declarative/ui-components/flipable/flipable.qml,
	examples/declarative/ui-
	components/progressbar/content/ProgressBar.qml, examples/declarative
	/ui-components/progressbar/content/background.png,
	examples/declarative/ui-components/progressbar/main.qml,
	examples/declarative/ui-components/scrollbar/ScrollBar.qml,
	examples/declarative/ui-components/scrollbar/main.qml,
	examples/declarative/ui-components/scrollbar/niagara_falls.jpg,
	examples/declarative/ui-components/searchbox/SearchBox.qml,
	examples/declarative/ui-components/searchbox/images/clear.png,
	examples/declarative/ui-components/searchbox/images/lineedit-bg-
	focus.png, examples/declarative/ui-components/searchbox/images
	/lineedit-bg.png, examples/declarative/ui-
	components/searchbox/main.qml, examples/declarative/ui-
	components/slideswitch/content/Switch.qml, examples/declarative/ui-
	components/slideswitch/content/background.svg, examples/declarative
	/ui-components/slideswitch/content/knob.svg, examples/declarative
	/ui-components/slideswitch/slideswitch.qml, examples/declarative/ui-
	components/spinner/content/Spinner.qml, examples/declarative/ui-
	components/spinner/content/spinner-bg.png, examples/declarative/ui-
	components/spinner/content/spinner-select.png, examples/declarative
	/ui-components/spinner/main.qml, examples/declarative/ui-
	components/tabwidget/TabWidget.qml, examples/declarative/ui-
	components/tabwidget/main.qml, examples/declarative/ui-
	components/tabwidget/tab.png, examples/qtdemo/menumanager.py,
	examples/qtdemo/qmlShell.qml, examples/qtdemo/qtdemo.qrc,
	examples/qtdemo/qtdemo_rc.py, lib/configure.py,
	qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDeclarative/qpydeclarative_api.h,
	qpy/QtDeclarative/qpydeclarative_chimera_helpers.cpp,
	qpy/QtDeclarative/qpydeclarative_chimera_helpers.h,
	qpy/QtDeclarative/qpydeclarative_listwrapper.cpp,
	qpy/QtDeclarative/qpydeclarative_listwrapper.h,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.sip,
	qpy/QtDeclarative/qpydeclarativepropertyvaluesource.h,
	qpy/QtDeclarative/qpydeclarativepropertyvaluesource.sip:
	Removed QtDeclarative.
	[fa3ac0a64e09]

	* PyQt5.msp, Qt5-TODO.txt, examples/script/README,
	examples/script/helloscript.py, lib/configure.py:
	Removed the QtScript and QtScriptTools modules.
	[8e5764df83df]

	* pylupdate/translator.h:
	Fixed the compiler warning messages from pylupdate.
	[ee49c8ae893f]

	* PyQt5.msp, Qt5-TODO.txt:
	Removed support for QMatrix.
	[29512282f3c3]

2013-05-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt:
	Removed remaining parts of the API that are part of the
	compatibility layer.
	[82a5ee70a4f3]

	* PyQt5.msp, Qt5-TODO.txt:
	Removed support for deprecated (as opposed to obsolete) parts of the
	API.
	[4e8c4499a9ee]

	* PyQt5.msp, Qt5-TODO.txt:
	Fixed QPixmapCache.find().
	[a320fdbc45b9]

	* PyQt5.msp, Qt5-TODO.txt,
	examples/mainwindows/application/application.py,
	examples/mainwindows/dockwidgets/dockwidgets.py,
	examples/mainwindows/mdi/mdi.py, examples/qtdemo/demoitem.py,
	examples/qtdemo/demoscene.py, examples/qtdemo/demotextitem.py,
	examples/qtdemo/headingitem.py, examples/qtdemo/imageitem.py,
	examples/qtdemo/letteritem.py, examples/qtdemo/mainwindow.py,
	examples/qtdemo/scanitem.py, examples/qtdemo/textbutton.py,
	examples/webkit/fancybrowser/fancybrowser.py,
	examples/webkit/formextractor/formextractor.py:
	Removed all parts of the API marked as obsolete. Updated qtdemo.py
	not to use any obsolete calls.
	[2d237a7da2f4]

2013-05-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed the deprecated QGraphicsItemAnimation.
	[84eb34c80f46]

	* examples/qtdemo/colors.py, examples/qtdemo/demoitemanimation.py,
	examples/qtdemo/menumanager.py, examples/qtdemo/score.py,
	examples/qtdemo/textbutton.py:
	qtdemo.py no longer uses the deprecated QGraphicsItemAnimation.
	[7149eefd1fe8]

	* examples/qtdemo/demoitem.py, examples/qtdemo/textbutton.py:
	DemoItem is now a QGraphicsObject.
	[f5a12cb364ad]

	* examples/qtdemo/demoitem.py, examples/qtdemo/demoitemanimation.py,
	examples/qtdemo/examplecontent.py,
	examples/qtdemo/itemcircleanimation.py,
	examples/qtdemo/menucontent.py, examples/qtdemo/score.py,
	examples/qtdemo/textbutton.py:
	Refactored DemoItem in preparation for subclassing from
	QGraphicsObject.
	[12ef1f22debf]

	* examples/qtdemo/demoitem.py, examples/qtdemo/demoitemanimation.py,
	examples/qtdemo/itemcircleanimation.py,
	examples/qtdemo/menumanager.py, examples/qtdemo/score.py,
	examples/qtdemo/textbutton.py:
	Refactored DemoItemAnimation in preparation for removing the
	dependency on QGraphicsItemAnimation.
	[857a57eb41a0]

2013-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/qtdemo/colors.py, examples/qtdemo/demoitem.py,
	examples/qtdemo/demotextitem.py, examples/qtdemo/dockitem.py,
	examples/qtdemo/examplecontent.py, examples/qtdemo/headingitem.py,
	examples/qtdemo/imageitem.py,
	examples/qtdemo/itemcircleanimation.py,
	examples/qtdemo/letteritem.py, examples/qtdemo/mainwindow.py,
	examples/qtdemo/menucontent.py, examples/qtdemo/menumanager.py,
	examples/qtdemo/scanitem.py, examples/qtdemo/textbutton.py:
	Removed the obsolete passing around of the scene.
	[49dc741ba538]

	* examples/embedded/lightmaps.py, examples/network/lightmaps.py,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	Moved the lightmaps.py example to the network category.
	[997d9560dea5]

	* examples/qtdemo/mainwindow.py, examples/qtdemo/menumanager.py:
	Removed some PyQt4 specific hacks from qtdemo.py.
	[05abb8647b3b]

	* Makefile, PyQt5.msp, Qt5-TODO.txt:
	Removed the code that tracked certain widgets in an attempt to
	delete things in the right order when the QApplication instance was
	being destroyed.
	[9e3abbcd7b7e]

	* examples/qtdemo/colors.py, examples/qtdemo/itemcircleanimation.py,
	examples/qtdemo/mainwindow.py, examples/qtdemo/menumanager.py:
	qtdemo.py basically works.
	[9333a816276f]

	* Qt5-TODO.txt:
	Updated the TODO list.
	[c1673e305a89]

	* examples/declarative/toys/README, examples/declarative/ui-
	components/README,
	examples/designer/plugins/python/multipagewidgetplugin.py,
	examples/tutorials/addressbook/README:
	Removed the last remaining references to PyQt4 in the examples.
	[5ffe74c1d33b]

	* examples/qtdemo/colors.py, examples/qtdemo/demoitem.py,
	examples/qtdemo/demoitemanimation.py, examples/qtdemo/demoscene.py,
	examples/qtdemo/demotextitem.py, examples/qtdemo/dockitem.py,
	examples/qtdemo/examplecontent.py, examples/qtdemo/guide.py,
	examples/qtdemo/guidecircle.py, examples/qtdemo/guideline.py,
	examples/qtdemo/headingitem.py, examples/qtdemo/imageitem.py,
	examples/qtdemo/itemcircleanimation.py,
	examples/qtdemo/letteritem.py, examples/qtdemo/mainwindow.py,
	examples/qtdemo/menucontent.py, examples/qtdemo/menumanager.py,
	examples/qtdemo/qtdemo.py, examples/qtdemo/qtdemo_rc.py,
	examples/qtdemo/qtdemo_rc2.py, examples/qtdemo/qtdemo_rc3.py,
	examples/qtdemo/scanitem.py, examples/qtdemo/score.py,
	examples/qtdemo/textbutton.py:
	Initial update of qtdemo.py.
	[4d70ea6fed11]

2013-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/demos/README, examples/demos/qtdemo/colors.py,
	examples/demos/qtdemo/demoitem.py,
	examples/demos/qtdemo/demoitemanimation.py,
	examples/demos/qtdemo/demoscene.py,
	examples/demos/qtdemo/demotextitem.py,
	examples/demos/qtdemo/dockitem.py,
	examples/demos/qtdemo/examplecontent.py,
	examples/demos/qtdemo/guide.py,
	examples/demos/qtdemo/guidecircle.py,
	examples/demos/qtdemo/guideline.py,
	examples/demos/qtdemo/headingitem.py,
	examples/demos/qtdemo/imageitem.py,
	examples/demos/qtdemo/images/demobg.png,
	examples/demos/qtdemo/images/qtlogo_small.png,
	examples/demos/qtdemo/images/trolltech-logo.png,
	examples/demos/qtdemo/itemcircleanimation.py,
	examples/demos/qtdemo/letteritem.py,
	examples/demos/qtdemo/mainwindow.py,
	examples/demos/qtdemo/menucontent.py,
	examples/demos/qtdemo/menumanager.py,
	examples/demos/qtdemo/qmlShell.qml, examples/demos/qtdemo/qtdemo.py,
	examples/demos/qtdemo/qtdemo.qrc,
	examples/demos/qtdemo/qtdemo_rc2.py,
	examples/demos/qtdemo/qtdemo_rc3.py,
	examples/demos/qtdemo/scanitem.py, examples/demos/qtdemo/score.py,
	examples/demos/qtdemo/textbutton.py,
	examples/demos/qtdemo/xml/examples.xml, examples/qtdemo/colors.py,
	examples/qtdemo/demoitem.py, examples/qtdemo/demoitemanimation.py,
	examples/qtdemo/demoscene.py, examples/qtdemo/demotextitem.py,
	examples/qtdemo/dockitem.py, examples/qtdemo/examplecontent.py,
	examples/qtdemo/guide.py, examples/qtdemo/guidecircle.py,
	examples/qtdemo/guideline.py, examples/qtdemo/headingitem.py,
	examples/qtdemo/imageitem.py, examples/qtdemo/images/demobg.png,
	examples/qtdemo/images/qtlogo_small.png, examples/qtdemo/images
	/trolltech-logo.png, examples/qtdemo/itemcircleanimation.py,
	examples/qtdemo/letteritem.py, examples/qtdemo/mainwindow.py,
	examples/qtdemo/menucontent.py, examples/qtdemo/menumanager.py,
	examples/qtdemo/qmlShell.qml, examples/qtdemo/qtdemo.py,
	examples/qtdemo/qtdemo.qrc, examples/qtdemo/qtdemo_rc2.py,
	examples/qtdemo/qtdemo_rc3.py, examples/qtdemo/scanitem.py,
	examples/qtdemo/score.py, examples/qtdemo/textbutton.py,
	examples/qtdemo/xml/examples.xml, installers/PyQt5-Qt5-gpl.nsi:
	Moved the qtdemo demo so there is no longer a demos directory.
	[03b9dced2481]

	* examples/demos/qtdemo/xml/examples.xml,
	examples/demos/textedit/example.html,
	examples/demos/textedit/images/logo.png,
	examples/demos/textedit/images/logo32.png,
	examples/demos/textedit/images/mac/editcopy.png,
	examples/demos/textedit/images/mac/editcut.png,
	examples/demos/textedit/images/mac/editpaste.png,
	examples/demos/textedit/images/mac/editredo.png,
	examples/demos/textedit/images/mac/editundo.png,
	examples/demos/textedit/images/mac/exportpdf.png,
	examples/demos/textedit/images/mac/filenew.png,
	examples/demos/textedit/images/mac/fileopen.png,
	examples/demos/textedit/images/mac/fileprint.png,
	examples/demos/textedit/images/mac/filesave.png,
	examples/demos/textedit/images/mac/textbold.png,
	examples/demos/textedit/images/mac/textcenter.png,
	examples/demos/textedit/images/mac/textitalic.png,
	examples/demos/textedit/images/mac/textjustify.png,
	examples/demos/textedit/images/mac/textleft.png,
	examples/demos/textedit/images/mac/textright.png,
	examples/demos/textedit/images/mac/textunder.png,
	examples/demos/textedit/images/mac/zoomin.png,
	examples/demos/textedit/images/mac/zoomout.png,
	examples/demos/textedit/images/win/editcopy.png,
	examples/demos/textedit/images/win/editcut.png,
	examples/demos/textedit/images/win/editpaste.png,
	examples/demos/textedit/images/win/editredo.png,
	examples/demos/textedit/images/win/editundo.png,
	examples/demos/textedit/images/win/exportpdf.png,
	examples/demos/textedit/images/win/filenew.png,
	examples/demos/textedit/images/win/fileopen.png,
	examples/demos/textedit/images/win/fileprint.png,
	examples/demos/textedit/images/win/filesave.png,
	examples/demos/textedit/images/win/textbold.png,
	examples/demos/textedit/images/win/textcenter.png,
	examples/demos/textedit/images/win/textitalic.png,
	examples/demos/textedit/images/win/textjustify.png,
	examples/demos/textedit/images/win/textleft.png,
	examples/demos/textedit/images/win/textright.png,
	examples/demos/textedit/images/win/textunder.png,
	examples/demos/textedit/images/win/zoomin.png,
	examples/demos/textedit/images/win/zoomout.png,
	examples/demos/textedit/textedit.py,
	examples/demos/textedit/textedit.qrc,
	examples/demos/textedit/textedit_rc2.py,
	examples/demos/textedit/textedit_rc3.py,
	examples/richtext/textedit/example.html,
	examples/richtext/textedit/images/logo.png,
	examples/richtext/textedit/images/logo32.png,
	examples/richtext/textedit/images/mac/editcopy.png,
	examples/richtext/textedit/images/mac/editcut.png,
	examples/richtext/textedit/images/mac/editpaste.png,
	examples/richtext/textedit/images/mac/editredo.png,
	examples/richtext/textedit/images/mac/editundo.png,
	examples/richtext/textedit/images/mac/exportpdf.png,
	examples/richtext/textedit/images/mac/filenew.png,
	examples/richtext/textedit/images/mac/fileopen.png,
	examples/richtext/textedit/images/mac/fileprint.png,
	examples/richtext/textedit/images/mac/filesave.png,
	examples/richtext/textedit/images/mac/textbold.png,
	examples/richtext/textedit/images/mac/textcenter.png,
	examples/richtext/textedit/images/mac/textitalic.png,
	examples/richtext/textedit/images/mac/textjustify.png,
	examples/richtext/textedit/images/mac/textleft.png,
	examples/richtext/textedit/images/mac/textright.png,
	examples/richtext/textedit/images/mac/textunder.png,
	examples/richtext/textedit/images/mac/zoomin.png,
	examples/richtext/textedit/images/mac/zoomout.png,
	examples/richtext/textedit/images/win/editcopy.png,
	examples/richtext/textedit/images/win/editcut.png,
	examples/richtext/textedit/images/win/editpaste.png,
	examples/richtext/textedit/images/win/editredo.png,
	examples/richtext/textedit/images/win/editundo.png,
	examples/richtext/textedit/images/win/exportpdf.png,
	examples/richtext/textedit/images/win/filenew.png,
	examples/richtext/textedit/images/win/fileopen.png,
	examples/richtext/textedit/images/win/fileprint.png,
	examples/richtext/textedit/images/win/filesave.png,
	examples/richtext/textedit/images/win/textbold.png,
	examples/richtext/textedit/images/win/textcenter.png,
	examples/richtext/textedit/images/win/textitalic.png,
	examples/richtext/textedit/images/win/textjustify.png,
	examples/richtext/textedit/images/win/textleft.png,
	examples/richtext/textedit/images/win/textright.png,
	examples/richtext/textedit/images/win/textunder.png,
	examples/richtext/textedit/images/win/zoomin.png,
	examples/richtext/textedit/images/win/zoomout.png,
	examples/richtext/textedit/textedit.py,
	examples/richtext/textedit/textedit.qrc,
	examples/richtext/textedit/textedit_rc.py:
	Updated the richtext.py demo.
	[ec5054cef278]

	* examples/demos/qtdemo/xml/examples.xml,
	examples/demos/spreadsheet/images/interview.png,
	examples/demos/spreadsheet/printview.py,
	examples/demos/spreadsheet/spreadsheet.py,
	examples/demos/spreadsheet/spreadsheet.qrc,
	examples/demos/spreadsheet/spreadsheet_rc2.py,
	examples/demos/spreadsheet/spreadsheet_rc3.py,
	examples/demos/spreadsheet/spreadsheetdelegate.py,
	examples/demos/spreadsheet/spreadsheetitem.py,
	examples/demos/spreadsheet/util.py,
	examples/itemviews/spreadsheet/images/interview.png,
	examples/itemviews/spreadsheet/printview.py,
	examples/itemviews/spreadsheet/spreadsheet.py,
	examples/itemviews/spreadsheet/spreadsheet.qrc,
	examples/itemviews/spreadsheet/spreadsheet_rc.py,
	examples/itemviews/spreadsheet/spreadsheetdelegate.py,
	examples/itemviews/spreadsheet/spreadsheetitem.py,
	examples/itemviews/spreadsheet/util.py:
	Updated the spreadsheet.py example.
	[c2f9d4c351ba]

	* examples/demos/embedded/lightmaps.py,
	examples/embedded/lightmaps.py:
	Moved the lightmaps.py demo.
	[9e961be64807]

	* examples/declarative/minehunt/MinehuntCore/Explosion.qml,
	examples/declarative/minehunt/MinehuntCore/Tile.qml,
	examples/declarative/minehunt/MinehuntCore/pics/No-Ones-
	Laughing-3.jpg,
	examples/declarative/minehunt/MinehuntCore/pics/back.png,
	examples/declarative/minehunt/MinehuntCore/pics/bomb-color.png,
	examples/declarative/minehunt/MinehuntCore/pics/bomb.png,
	examples/declarative/minehunt/MinehuntCore/pics/face-sad.png,
	examples/declarative/minehunt/MinehuntCore/pics/face-smile-big.png,
	examples/declarative/minehunt/MinehuntCore/pics/face-smile.png,
	examples/declarative/minehunt/MinehuntCore/pics/flag-color.png,
	examples/declarative/minehunt/MinehuntCore/pics/flag.png,
	examples/declarative/minehunt/MinehuntCore/pics/front.png,
	examples/declarative/minehunt/MinehuntCore/pics/quit.png,
	examples/declarative/minehunt/MinehuntCore/pics/star.png,
	examples/declarative/minehunt/MinehuntCore/qmldir,
	examples/declarative/minehunt/minehunt.py,
	examples/declarative/minehunt/minehunt.qml,
	examples/declarative/samegame/SamegameCore/BoomBlock.qml,
	examples/declarative/samegame/SamegameCore/Button.qml,
	examples/declarative/samegame/SamegameCore/Dialog.qml,
	examples/declarative/samegame/SamegameCore/pics/background.png,
	examples/declarative/samegame/SamegameCore/pics/blueStar.png,
	examples/declarative/samegame/SamegameCore/pics/blueStone.png,
	examples/declarative/samegame/SamegameCore/pics/greenStar.png,
	examples/declarative/samegame/SamegameCore/pics/greenStone.png,
	examples/declarative/samegame/SamegameCore/pics/redStar.png,
	examples/declarative/samegame/SamegameCore/pics/redStone.png,
	examples/declarative/samegame/SamegameCore/pics/star.png,
	examples/declarative/samegame/SamegameCore/pics/yellowStone.png,
	examples/declarative/samegame/SamegameCore/qmldir,
	examples/declarative/samegame/SamegameCore/samegame.js,
	examples/declarative/samegame/highscores/README,
	examples/declarative/samegame/highscores/score_data.xml,
	examples/declarative/samegame/highscores/score_style.xsl,
	examples/declarative/samegame/highscores/scores.php,
	examples/declarative/samegame/samegame.qml,
	examples/demos/declarative/minehunt/MinehuntCore/Explosion.qml,
	examples/demos/declarative/minehunt/MinehuntCore/Tile.qml,
	examples/demos/declarative/minehunt/MinehuntCore/pics/No-Ones-
	Laughing-3.jpg,
	examples/demos/declarative/minehunt/MinehuntCore/pics/back.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/bomb-
	color.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/bomb.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/face-sad.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/face-smile-
	big.png, examples/demos/declarative/minehunt/MinehuntCore/pics/face-
	smile.png, examples/demos/declarative/minehunt/MinehuntCore/pics
	/flag-color.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/flag.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/front.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/quit.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/star.png,
	examples/demos/declarative/minehunt/MinehuntCore/qmldir,
	examples/demos/declarative/minehunt/minehunt.py,
	examples/demos/declarative/minehunt/minehunt.qml,
	examples/demos/declarative/samegame/SamegameCore/BoomBlock.qml,
	examples/demos/declarative/samegame/SamegameCore/Button.qml,
	examples/demos/declarative/samegame/SamegameCore/Dialog.qml, example
	s/demos/declarative/samegame/SamegameCore/pics/background.png,
	examples/demos/declarative/samegame/SamegameCore/pics/blueStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/blueStone.png,
	examples/demos/declarative/samegame/SamegameCore/pics/greenStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/greenStone.png
	, examples/demos/declarative/samegame/SamegameCore/pics/redStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/redStone.png,
	examples/demos/declarative/samegame/SamegameCore/pics/star.png, exam
	ples/demos/declarative/samegame/SamegameCore/pics/yellowStone.png,
	examples/demos/declarative/samegame/SamegameCore/qmldir,
	examples/demos/declarative/samegame/SamegameCore/samegame.js,
	examples/demos/declarative/samegame/highscores/README,
	examples/demos/declarative/samegame/highscores/score_data.xml,
	examples/demos/declarative/samegame/highscores/score_style.xsl,
	examples/demos/declarative/samegame/highscores/scores.php,
	examples/demos/declarative/samegame/samegame.qml,
	examples/demos/qtdemo/xml/examples.xml:
	Moved the declarative demos to the declarative examples.
	[de4d2ee69036]

	* examples/demos/embeddeddialogs/No-Ones-Laughing-3.jpg,
	examples/demos/embeddeddialogs/embeddeddialog.py,
	examples/demos/embeddeddialogs/embeddeddialog.ui,
	examples/demos/embeddeddialogs/embeddeddialogs.py,
	examples/demos/embeddeddialogs/embeddeddialogs.qrc,
	examples/demos/embeddeddialogs/embeddeddialogs_rc.py,
	examples/demos/qtdemo/xml/examples.xml,
	examples/graphicsview/embeddeddialogs/No-Ones-Laughing-3.jpg,
	examples/graphicsview/embeddeddialogs/embeddeddialog.py,
	examples/graphicsview/embeddeddialogs/embeddeddialog.ui,
	examples/graphicsview/embeddeddialogs/embeddeddialogs.py,
	examples/graphicsview/embeddeddialogs/embeddeddialogs.qrc,
	examples/graphicsview/embeddeddialogs/embeddeddialogs_rc.py:
	Moved the embeddeddialogs demo to the graphicsview examples.
	[f4df98190d50]

	* examples/demos/embeddeddialogs/embeddeddialog.py,
	examples/demos/embeddeddialogs/embeddeddialogs.py,
	examples/demos/embeddeddialogs/embeddeddialogs_rc.py,
	examples/demos/embeddeddialogs/embeddeddialogs_rc2.py,
	examples/demos/embeddeddialogs/embeddeddialogs_rc3.py:
	Updated the embeddeddialogs.py demo.
	[30580c7f89b8]

	* examples/demos/embedded/lightmaps.py:
	Updated the lightmaps.py example.
	[0369ce3c4e98]

	* PyQt5.msp:
	Added support for QStandardPaths.
	[aaef91f631de]

	* examples/demos/declarative/minehunt/minehunt.py:
	Updated the minehunt.py example.
	[8d430da208a7]

	* examples/xmlpatterns/schema/schema.py,
	examples/xmlpatterns/schema/schema_rc.py,
	examples/xmlpatterns/schema/schema_rc2.py,
	examples/xmlpatterns/schema/schema_rc3.py,
	examples/xmlpatterns/schema/ui_schema.py:
	Updated the xmlpatterns example.
	[609c81ebfc0c]

	* examples/xml/dombookmarks/dombookmarks.py,
	examples/xml/saxbookmarks/saxbookmarks.py:
	Updated the xml examples.
	[d81ecf65893f]

	* examples/widgets/analogclock.py, examples/widgets/calculator.py,
	examples/widgets/calendarwidget.py,
	examples/widgets/charactermap.py, examples/widgets/digitalclock.py,
	examples/widgets/groupbox.py, examples/widgets/icons/icons.py,
	examples/widgets/imageviewer.py, examples/widgets/lineedits.py,
	examples/widgets/movie/movie.py, examples/widgets/scribble.py,
	examples/widgets/shapedclock.py, examples/widgets/sliders.py,
	examples/widgets/spinboxes.py, examples/widgets/styles.py,
	examples/widgets/stylesheet/stylesheet.py,
	examples/widgets/stylesheet/stylesheet_rc.py,
	examples/widgets/stylesheet/stylesheet_rc2.py,
	examples/widgets/stylesheet/stylesheet_rc3.py,
	examples/widgets/stylesheet/stylesheeteditor.py,
	examples/widgets/stylesheet/ui_mainwindow.py,
	examples/widgets/stylesheet/ui_stylesheeteditor.py,
	examples/widgets/tetrix.py, examples/widgets/tooltips/tooltips.py,
	examples/widgets/tooltips/tooltips_rc.py,
	examples/widgets/tooltips/tooltips_rc2.py,
	examples/widgets/tooltips/tooltips_rc3.py,
	examples/widgets/wiggly.py, examples/widgets/windowflags.py:
	Updated the widgets examples.
	[d2f301ac201a]

	* examples/tools/regexp.py:
	Fixed the regexp.py example so that the close button works.
	[8fede383c772]

2013-05-14  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/webkit/README,
	examples/webkit/domtraversal/domtraversal.py,
	examples/webkit/domtraversal/ui_window.py,
	examples/webkit/fancybrowser/fancybrowser.py,
	examples/webkit/fancybrowser/jquery_rc.py,
	examples/webkit/fancybrowser/jquery_rc2.py,
	examples/webkit/fancybrowser/jquery_rc3.py,
	examples/webkit/formextractor/formextractor.py,
	examples/webkit/formextractor/formextractor_rc.py,
	examples/webkit/formextractor/formextractor_rc2.py,
	examples/webkit/formextractor/formextractor_rc3.py,
	examples/webkit/formextractor/ui_formextractor.py,
	examples/webkit/framecapture.py, examples/webkit/googlechat/form.ui,
	examples/webkit/googlechat/googlechat.py,
	examples/webkit/googlechat/ui_form.py,
	examples/webkit/previewer/previewer.py,
	examples/webkit/previewer/ui_previewer.py,
	examples/webkit/simpleselector/simpleselector.py,
	examples/webkit/simpleselector/ui_window.py:
	Updated the webkit examples. However formextractor.py and
	simpleselector.py crash but this maybe due to Qt bugs (although the
	C++ versions seem to be Ok).
	[70aa9e5575f0]

	* PyQt5.msp:
	Removed a wrong /Transfer/ annotation from
	QWebFrame.addToJavaScriptWindowObject().
	[595fc25030b6]

	* examples/tutorials/addressbook/part1.py,
	examples/tutorials/addressbook/part2.py,
	examples/tutorials/addressbook/part3.py,
	examples/tutorials/addressbook/part4.py,
	examples/tutorials/addressbook/part5.py,
	examples/tutorials/addressbook/part6.py,
	examples/tutorials/addressbook/part7.py:
	Updated the tutorials example.
	[3507ed3a4178]

	* examples/tools/codecs/codecs.py,
	examples/tools/customcompleter/customcompleter.py,
	examples/tools/customcompleter/customcompleter_rc.py,
	examples/tools/customcompleter/customcompleter_rc2.py,
	examples/tools/customcompleter/customcompleter_rc3.py,
	examples/tools/i18n/i18n.py, examples/tools/i18n/i18n_rc.py,
	examples/tools/i18n/i18n_rc2.py, examples/tools/i18n/i18n_rc3.py,
	examples/tools/regexp.py,
	examples/tools/settingseditor/settingseditor.py:
	Updated the tools examples.
	[67da45febe99]

	* examples/threads/mandelbrot.py, examples/threads/semaphores.py,
	examples/threads/waitconditions.py:
	Updated the threads examples.
	[9d668a2d5f1e]

	* examples/sql/cachedtable.py, examples/sql/connection.py,
	examples/sql/querymodel.py, examples/sql/relationaltablemodel.py,
	examples/sql/tablemodel.py:
	Updated the sql examples.
	[cfee8e97f2b0]

	* examples/script/helloscript.py:
	Updated the script example.
	[edc67efd321e]

	* examples/richtext/calendar.py, examples/richtext/orderform.py,
	examples/richtext/syntaxhighlighter.py,
	examples/richtext/textobject/textobject.py:
	Updated the richtext examples.
	[68202805ef7d]

	* examples/pyuic/compile-on-the-fly.py, examples/pyuic/demo.ui,
	examples/pyuic/load_ui1.py, examples/pyuic/load_ui2.py:
	Updated the pyuic examples.
	[37fa592b6de2]

	* examples/painting/basicdrawing/basicdrawing.py,
	examples/painting/basicdrawing/basicdrawing_rc.py,
	examples/painting/basicdrawing/basicdrawing_rc2.py,
	examples/painting/basicdrawing/basicdrawing_rc3.py,
	examples/painting/concentriccircles.py,
	examples/painting/painterpaths.py,
	examples/painting/svgviewer/svgviewer.py,
	examples/painting/svgviewer/svgviewer_rc.py,
	examples/painting/svgviewer/svgviewer_rc2.py,
	examples/painting/svgviewer/svgviewer_rc3.py,
	examples/painting/transformations.py:
	Updated the painting examples.
	[1dc59a60cc5a]

2013-05-13  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/phonon/README, examples/phonon/capabilities.py,
	examples/phonon/musicplayer.py:
	Removed the phonon examples.
	[66e123471275]

	* examples/opengl/2dpainting.py, examples/opengl/grabber.py,
	examples/opengl/hellogl.py, examples/opengl/overpainting.py,
	examples/opengl/samplebuffers.py,
	examples/opengl/textures/textures.py,
	examples/opengl/textures/textures_rc.py,
	examples/opengl/textures/textures_rc2.py,
	examples/opengl/textures/textures_rc3.py:
	Updated the opengl examples.
	[56994aef7046]

	* examples/README, examples/activeqt/README,
	examples/animation/README, examples/demos/README,
	examples/designer/README, examples/desktop/README,
	examples/dialogs/README, examples/draganddrop/README,
	examples/effects/README, examples/graphicsview/README,
	examples/ipc/README, examples/itemviews/README,
	examples/layouts/README, examples/mainwindows/README,
	examples/network/README, examples/network/blockingfortuneclient.py,
	examples/network/broadcastreceiver.py,
	examples/network/broadcastsender.py,
	examples/network/fortuneclient.py,
	examples/network/fortuneserver.py, examples/network/ftp/ftp.py,
	examples/network/ftp/ftp.qrc, examples/network/ftp/ftp_rc2.py,
	examples/network/ftp/ftp_rc3.py,
	examples/network/ftp/images/cdtoparent.png,
	examples/network/ftp/images/dir.png,
	examples/network/ftp/images/file.png, examples/network/http/http.py,
	examples/network/loopback.py,
	examples/network/threadedfortuneserver.py, examples/opengl/README,
	examples/painting/README, examples/phonon/README,
	examples/richtext/README, examples/script/README,
	examples/sql/README, examples/threads/README, examples/tools/README,
	examples/widgets/README, examples/xml/README,
	examples/xmlpatterns/README:
	Updated the network examples.
	[17ed9232524b]

2013-05-12  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/mainwindows/application/application.py,
	examples/mainwindows/application/application_rc.py,
	examples/mainwindows/application/application_rc2.py,
	examples/mainwindows/application/application_rc3.py,
	examples/mainwindows/dockwidgets/dockwidgets.py,
	examples/mainwindows/dockwidgets/dockwidgets_rc.py,
	examples/mainwindows/dockwidgets/dockwidgets_rc2.py,
	examples/mainwindows/dockwidgets/dockwidgets_rc3.py,
	examples/mainwindows/mdi/mdi.py, examples/mainwindows/mdi/mdi_rc.py,
	examples/mainwindows/mdi/mdi_rc2.py,
	examples/mainwindows/mdi/mdi_rc3.py, examples/mainwindows/menus.py,
	examples/mainwindows/recentfiles.py,
	examples/mainwindows/sdi/sdi.py, examples/mainwindows/sdi/sdi_rc.py,
	examples/mainwindows/sdi/sdi_rc2.py,
	examples/mainwindows/sdi/sdi_rc3.py,
	examples/mainwindows/separations.py:
	Updated the mainwindows examples.
	[4fa26f6310ae]

	* examples/layouts/basiclayouts.py, examples/layouts/borderlayout.py,
	examples/layouts/flowlayout.py:
	Updated the layouts examples.
	[b710b235f26d]

	* examples/itemviews/basicsortfiltermodel.py,
	examples/itemviews/chart/chart.py,
	examples/itemviews/chart/chart_rc.py,
	examples/itemviews/chart/chart_rc2.py,
	examples/itemviews/chart/chart_rc3.py,
	examples/itemviews/coloreditorfactory.py,
	examples/itemviews/combowidgetmapper.py,
	examples/itemviews/customsortfiltermodel.py,
	examples/itemviews/dirview.py,
	examples/itemviews/editabletreemodel/editabletreemodel.py,
	examples/itemviews/editabletreemodel/editabletreemodel_rc.py,
	examples/itemviews/editabletreemodel/editabletreemodel_rc2.py,
	examples/itemviews/editabletreemodel/editabletreemodel_rc3.py,
	examples/itemviews/editabletreemodel/ui_mainwindow.py,
	examples/itemviews/fetchmore.py,
	examples/itemviews/pixelator/pixelator.py,
	examples/itemviews/pixelator/pixelator_rc.py,
	examples/itemviews/pixelator/pixelator_rc2.py,
	examples/itemviews/pixelator/pixelator_rc3.py,
	examples/itemviews/puzzle/puzzle.py,
	examples/itemviews/puzzle/puzzle_rc.py,
	examples/itemviews/puzzle/puzzle_rc2.py,
	examples/itemviews/puzzle/puzzle_rc3.py,
	examples/itemviews/simpledommodel.py,
	examples/itemviews/simpletreemodel/simpletreemodel.py,
	examples/itemviews/simpletreemodel/simpletreemodel_rc.py,
	examples/itemviews/simpletreemodel/simpletreemodel_rc2.py,
	examples/itemviews/simpletreemodel/simpletreemodel_rc3.py,
	examples/itemviews/simplewidgetmapper.py,
	examples/itemviews/spinboxdelegate.py,
	examples/itemviews/stardelegate.py:
	Updated the itemviews examples.
	[9a82c6b6c206]

	* examples/ipc/localfortuneclient.py,
	examples/ipc/localfortuneserver.py,
	examples/ipc/sharedmemory/dialog.py,
	examples/ipc/sharedmemory/sharedmemory.py:
	Updated the ipc examples.
	[51e1605974ae]

2013-05-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/graphicsview/padnavigator/backside.ui,
	examples/graphicsview/padnavigator/form.ui,
	examples/graphicsview/padnavigator/padnavigator.py,
	examples/graphicsview/padnavigator/padnavigator_rc.py,
	examples/graphicsview/padnavigator/padnavigator_rc2.py,
	examples/graphicsview/padnavigator/padnavigator_rc3.py,
	examples/graphicsview/padnavigator/ui_backside.py,
	examples/graphicsview/padnavigator/ui_form.py:
	Updated the padnavigator.py example.
	[dd29bc79def2]

	* PyQt5.msp:
	Several fixes for properly tracking QPropertyAnimation instances.
	Several fixes for properly handling the parent relationships of
	transitions.
	[f0b3dedbb506]

	* examples/graphicsview/elasticnodes.py:
	Updated the elasticnodes.py example.
	[b0831183bf83]

	* PyQt5.msp:
	Added the missing Type and UserType to QGraphicsItem.
	[57a15a6a1562]

	* QAxContainer/QAxContainermod.sip, QAxContainer/qaxwidget.sip:
	QAxContainer fixes for PyQt5.
	[74eb89bd4fb2]

	* installers/pyqt5-config.bat:
	Fixed pyqt5-config.bat.
	[2f55460b7aba]

	* examples/graphicsview/diagramscene/diagramscene.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc.py,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc2.py,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc3.py:
	Updated the dragdroprobot.py example.
	[8870ed27b984]

	* installers/BuildGPL.txt, installers/qsci-config.bat, installers
	/qsci-pyqt5-config.bat:
	More installer updates.
	[2eaf68f6a2e8]

	* installers/BuildGPL.txt, installers/pyqt-check.py, installers/pyqt-
	config.bat, installers/pyqt5-check.py, installers/pyqt5-config.bat,
	installers/sip-config.bat, installers/sip-pyqt5-config.bat:
	Updated the installer docs configuration scripts for PyQt5.
	[6b2d127117e5]

	* build.py:
	Fixed the previous change.
	[f4c1ed30ad7d]

	* build.py:
	Changed the format of the name of a snapshot to match other
	packages.
	[735211c341dd]

	* examples/graphicsview/diagramscene/diagramscene.py,
	examples/graphicsview/diagramscene/diagramscene_rc.py,
	examples/graphicsview/diagramscene/diagramscene_rc2.py,
	examples/graphicsview/diagramscene/diagramscene_rc3.py:
	Updated the diagramscene.py example.
	[94f191b56126]

	* examples/graphicsview/collidingmice/collidingmice.py,
	examples/graphicsview/collidingmice/mice_rc.py,
	examples/graphicsview/collidingmice/mice_rc2.py,
	examples/graphicsview/collidingmice/mice_rc3.py:
	Updated the collidingmouse.py example.
	[dcf139d2a4f2]

	* examples/graphicsview/anchorlayout.py:
	Updated the anchorlayout.py example.
	[951da62e51cd]

2013-05-04  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/effects/lighting.py:
	Updated the lighting.py example.
	[36e50731bdd0]

	* examples/draganddrop/puzzle/puzzle.py,
	examples/draganddrop/puzzle/puzzle_rc.py,
	examples/draganddrop/puzzle/puzzle_rc2.py,
	examples/draganddrop/puzzle/puzzle_rc3.py:
	Updated the puzzle.py example.
	[2eb7204b878d]

	* examples/draganddrop/dropsite.py,
	examples/draganddrop/fridgemagnets/fridgemagnets.py,
	examples/draganddrop/fridgemagnets/fridgemagnets_rc.py,
	examples/draganddrop/fridgemagnets/fridgemagnets_rc2.py,
	examples/draganddrop/fridgemagnets/fridgemagnets_rc3.py:
	Updated the fridgemagnets.py example.
	[45b96eb4dfe5]

	* examples/draganddrop/draggabletext/draggabletext.py,
	examples/draganddrop/draggabletext/draggabletext_rc.py,
	examples/draganddrop/draggabletext/draggabletext_rc2.py,
	examples/draganddrop/draggabletext/draggabletext_rc3.py:
	Updated the draggabletext.py example.
	[4e560c89eb82]

	* examples/draganddrop/draggableicons/draggableicons.py,
	examples/draganddrop/draggableicons/draggableicons_rc.py,
	examples/draganddrop/draggableicons/draggableicons_rc2.py,
	examples/draganddrop/draggableicons/draggableicons_rc3.py:
	Updated the draggableicons.py example.
	[9483b75a05c6]

	* examples/draganddrop/delayedencoding/delayedencoding.py,
	examples/draganddrop/delayedencoding/delayedencoding_rc.py,
	examples/draganddrop/delayedencoding/delayedencoding_rc2.py,
	examples/draganddrop/delayedencoding/delayedencoding_rc3.py:
	Updated the delayedencoding.py example.
	[b588fe1a4afd]

	* examples/dialogs/trivialwizard.py:
	Updated the trivialwizard.py example.
	[5a07f1e46607]

	* examples/dialogs/tabdialog.py:
	Updated the tabdialog.py example.
	[833ac17ac8fa]

	* examples/dialogs/standarddialogs.py:
	Updated the standarddialogs.py example.
	[05f085d04ad0]

	* examples/dialogs/findfiles.py:
	Updated the findfiles.py example.
	[6ef07cd09834]

	* examples/dialogs/extension.py:
	Updated the extension.py example.
	[76898b56b744]

	* examples/dialogs/configdialog/configdialog.py,
	examples/dialogs/configdialog/configdialog_rc.py,
	examples/dialogs/configdialog/configdialog_rc2.py,
	examples/dialogs/configdialog/configdialog_rc3.py:
	Updated the configdialog.py example.
	[90003346d304]

	* examples/dialogs/classwizard/classwizard.py,
	examples/dialogs/classwizard/classwizard_rc.py,
	examples/dialogs/classwizard/classwizard_rc2.py,
	examples/dialogs/classwizard/classwizard_rc3.py:
	Updated the classwizard.py example.
	[b4f1babe9513]

	* examples/desktop/systray/images/bad.png,
	examples/desktop/systray/images/bad.svg,
	examples/desktop/systray/images/heart.png,
	examples/desktop/systray/images/heart.svg,
	examples/desktop/systray/images/trash.png,
	examples/desktop/systray/images/trash.svg,
	examples/desktop/systray/systray.py,
	examples/desktop/systray/systray.qrc,
	examples/desktop/systray/systray_rc.py,
	examples/desktop/systray/systray_rc2.py,
	examples/desktop/systray/systray_rc3.py:
	Updated the systray.py example.
	[63266a59e774]

	* Qt5-TODO.txt, examples/desktop/screenshot.py:
	Updated the screenshot.py example.
	[f0d706faeaf8]

	* designer/pluginloader.cpp, designer/pluginloader.h, designer/python
	.pro-in, installers/PyQt5-Qt5-gpl.nsi:
	Updated the Qt Designer Python plugin for PyQt5.
	[13fc7007e2e1]

	* examples/designer/plugins/plugins.py,
	examples/designer/plugins/python/analogclockplugin.py,
	examples/designer/plugins/python/bubbleswidgetplugin.py,
	examples/designer/plugins/python/counterlabelplugin.py,
	examples/designer/plugins/python/datetimeeditplugin.py,
	examples/designer/plugins/python/helloglwidgetplugin.py,
	examples/designer/plugins/python/highlightedtexteditplugin.py,
	examples/designer/plugins/python/multipagewidgetplugin.py,
	examples/designer/plugins/python/polygonwidgetplugin.py,
	examples/designer/plugins/python/pydemoplugin.py,
	examples/designer/plugins/python/pythonconsoleplugin.py,
	examples/designer/plugins/widgets/analogclock.py,
	examples/designer/plugins/widgets/bubbleswidget.py,
	examples/designer/plugins/widgets/counterlabel.py,
	examples/designer/plugins/widgets/datetimeedit.py,
	examples/designer/plugins/widgets/helloglwidget.py,
	examples/designer/plugins/widgets/highlightedtextedit.py,
	examples/designer/plugins/widgets/multipagewidget.py,
	examples/designer/plugins/widgets/polygonwidget.py,
	examples/designer/plugins/widgets/pydemo.py,
	examples/designer/plugins/widgets/pythonconsolewidget.py:
	Updated the plugins.py example.
	[0621efd149fc]

	* examples/designer/calculatorform/calculatorform.py,
	examples/designer/calculatorform/ui_calculatorform.py:
	Updated the calculatorform.py example.
	[950978fbdba4]

	* examples/declarative/modelviews/objectlistmodel/objectlistmodel.py,
	e
	xamples/declarative/modelviews/objectlistmodel/objectlistmodel_rc.py
	, examples/declarative/modelviews/objectlistmodel/objectlistmodel_rc
	2.py, examples/declarative/modelviews/objectlistmodel/objectlistmode
	l_rc3.py:
	Updated the objectlistmodel.py example.
	[ea57e6a3e242]

2013-05-03  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/dbus/remotecontrolledcar/car/car.py,
	examples/dbus/remotecontrolledcar/controller/controller.py,
	examples/dbus/remotecontrolledcar/controller/ui_controller.py:
	Updated the remotecontrolledcar example.
	[808da6e6f117]

	* examples/dbus/pingpong/ping.py, examples/dbus/pingpong/pong.py:
	Updated the pingpong example.
	[12131d11ac01]

	* examples/dbus/listnames.py:
	Updated the listname.py example.
	[e64adc3c51d6]

	* examples/dbus/chat/chat.py, examples/dbus/chat/chatmainwindow.ui,
	examples/dbus/chat/ui_chatmainwindow.py,
	examples/dbus/chat/ui_chatsetnickname.py:
	Updated the chat.py example.
	[fd1e12a91493]

	* installers/BuildGPL.txt:
	Updated the installer notes regarding Qt 5.0.2 installation bugs.
	[f686f54765aa]

	* pyuic/uic/properties.py:
	Fix to the previous fix which was PyQt4 specific.
	[0b7f4feca737]

2013-05-02  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py:
	Backed out a pyuic5 change so that .ui files created by Qt Designer
	prior to v4.3 can still be handled.
	[e79c0c532f3e]

	* Qt5-TODO.txt, examples/animation/stickman/stickman.py,
	examples/animation/stickman/stickman_rc.py,
	examples/animation/stickman/stickman_rc2.py,
	examples/animation/stickman/stickman_rc3.py:
	Updated the stickman.py example.
	[3976f1aa9e2f]

	* examples/animation/states/states.py,
	examples/animation/states/states_rc.py,
	examples/animation/states/states_rc2.py,
	examples/animation/states/states_rc3.py:
	Updated the states.py example.
	[ec420e524416]

	* examples/animation/moveblocks.py:
	Updated the moveblocks.py example.
	[dae4e83bc570]

	* examples/animation/animatedtiles/animatedtiles.py,
	examples/animation/appchooser/appchooser.py,
	examples/animation/easing/easing.py,
	examples/animation/easing/easing_rc.py,
	examples/animation/easing/easing_rc2.py,
	examples/animation/easing/easing_rc3.py,
	examples/animation/easing/form.ui,
	examples/animation/easing/ui_form.py:
	Updated the easing.py example.
	[3ed6c3313bfa]

	* examples/animation/appchooser/appchooser.py,
	examples/animation/appchooser/appchooser_rc.py,
	examples/animation/appchooser/appchooser_rc2.py,
	examples/animation/appchooser/appchooser_rc3.py:
	Updated the appchooser.py example.
	[39bfe5aa8be1]

	* examples/activeqt/webbrowser/webbrowser.py,
	examples/animation/animatedtiles/animatedtiles.py,
	examples/animation/animatedtiles/animatedtiles_rc.py,
	examples/animation/animatedtiles/animatedtiles_rc2.py,
	examples/animation/animatedtiles/animatedtiles_rc3.py:
	Updated the animatedtiles.py example.
	[59c8a26a0b41]

	* Qt5-TODO.txt, examples/activeqt/webbrowser/mainwindow_rc.py,
	examples/activeqt/webbrowser/mainwindow_rc2.py,
	examples/activeqt/webbrowser/mainwindow_rc3.py,
	examples/activeqt/webbrowser/ui_mainwindow.py,
	examples/activeqt/webbrowser/webbrowser.py:
	Updated the activeqt examples.
	[9578fffd0970]

	* Makefile, Qt5-TODO.txt, lib/configure.py,
	pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/misc.py,
	pyuic/uic/Compiler/proxy_metaclass.py,
	pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/Loader/loader.py,
	pyuic/uic/__init__.py, pyuic/uic/driver.py, pyuic/uic/exceptions.py,
	pyuic/uic/icon_cache.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/invoke.py, pyuic/uic/port_v2/load_plugin.py,
	pyuic/uic/port_v2/proxy_base.py, pyuic/uic/port_v3/invoke.py,
	pyuic/uic/port_v3/load_plugin.py, pyuic/uic/port_v3/proxy_base.py,
	pyuic/uic/properties.py, pyuic/uic/pyuic.py, pyuic/uic/uiparser.py:
	pyuic5 now uses relative imports throughout.
	[4a1fcf0692c1]

	* Qt5-TODO.txt, pyuic/uic/Compiler/qtproxies.py,
	pyuic/uic/uiparser.py:
	pyuic5 now uses new-style signal connections.
	[e46cc7cf20da]

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/widget-
	plugins/qtprintsupport.py:
	Moved the pyuic support for QtPrintSupport classes to a separate
	plugin.
	[8c7f068d41fc]

2013-05-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Qt5-TODO.txt, pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/Loader/loader.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/__init__.py,
	pyuic/uic/driver.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/as_string.py, pyuic/uic/port_v3/as_string.py,
	pyuic/uic/properties.py, pyuic/uic/pyuic.py, pyuic/uic/uiparser.py,
	pyuic/uic/widget-plugins/phonon.py, pyuic/uic/widget-
	plugins/qtwebkit.py:
	Updated pyuic for PyQt5.
	[f2a13577dc76]

	* PyQt5.msp, qpy/QtCore/qpycore_init.cpp, qpy/QtCore/qpycore_misc.cpp,
	qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp:
	Updated type objects to refer to PyQt5. Removed remaining references
	to PyQt4 in strings.
	[ae097f4e7c86]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the Windows installer.
	[4b2182d32457]

	* Makefile, Qt5-TODO.txt, qpy/QtCore/qpycore_post_init.cpp.in:
	Call sipSetDestroyOnExit(0) on initialisation.
	[6e6dc5602337]

	* Makefile, PyQt5.msp, Qt5-TODO.txt:
	Removed the implementation of QSet<Qt::DayOfWeek> (as it was there
	for QtMobility). QSet implementations now always use Python set
	objects.
	[ed773507d3a4]

	* PyQt5.msp, Qt5-TODO.txt:
	Updated the docstrings to reflect the updated API version support.
	[d56eb3f2e743]

	* PyQt5.msp, Qt5-TODO.txt, pyrcc/main.cpp, pyrcc/rcc.cpp, pyrcc/rcc.h,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpynullvariant.sip:
	Stripped out the support for the various v1 APIs.
	[fc729edff1c6]

2013-04-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt:
	Updated the remaining %ConvertToSubClassCode.
	[122e8bd052e2]

	* PyQt5.msp:
	Updated the %ConvertToSubClassCode for all QObject derived classes.
	[95ab26300286]

	* PyQt5.msp, Qt5-TODO.txt, lib/SubclassCode/QtGui.versions,
	lib/SubclassCode/QtGuiQt4.versions,
	lib/SubclassCode/QtNetwork.versions,
	lib/SubclassCode/QtPrintSupport.versions, lib/configure.py:
	Updated the supported features and made sure the remaining ones are
	applied where needed.
	[bf764c6fabc2]

2013-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, Qt5-TODO.txt:
	Added a missing /Transfer/ from
	QStandardItemModel.invisibleRootItem().
	[d1df8f38fcfb]

	* PyQt5.msp, Qt5-TODO.txt:
	Removed all code specific to Python earlier than v2.6.
	[911d7106cb25]

	* PyQt5.msp, Qt5-TODO.txt, designer/python.pro-in, lib/configure.py,
	qpy/QtDesigner/qpydesigner.pro:
	Completed the project restructure. Added the new modules to the
	build system.
	[f17ee2a44642]

	* PyQt5.msp, lib/configure.py:
	Removed the phonon and QtAssistant modules. Added the
	QtPrintSupport, QtWebKitWidgets and QtWidgets modules. Reassigned
	the header files to the new modules. Removed (unimplemented) support
	for static plugins.
	[a5cd5130a3ef]

	* PyQt5.msp, Qt5-TODO.txt:
	Removed all the unused header files.
	[9c872bd80a39]

2013-04-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, QAxContainer/qaxobject.sip, QAxContainer/qaxwidget.sip,
	Qt5-TODO.txt, qpy/QtDBus/qpydbuspendingreply.sip,
	qpy/QtDBus/qpydbusreply.sip:
	Stripped out all remaining Qt4 specific code and API items.
	[4001b637e5e3]

	* PyQt5.msp:
	qabstractnativeeventfilter.h doesn't need parsing.
	[f3fca0f11bf5]

2013-04-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the historical Qt_4_1_0 version tag.
	[84436fb6ca22]

2013-04-25  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer to include the qminimal.dll platform plugin.
	[553a88d5d8dd]

	* Qt5-TODO.txt, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_pyqtslot.cpp,
	qpy/QtCore/qpycore_qabstracteventdispatcher.cpp,
	qpy/QtCore/qpycore_qmetaobject_helpers.cpp,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qstring.cpp,
	qpy/QtCore/qpycore_qvariant_value.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtCore/qpycore_types.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp,
	qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_attribute_array.cpp,
	qpy/QtOpenGL/qpyopengl_uniform_value_array.cpp:
	Removed all Qt4 and earlier than Python v2.6 specific code from the
	qpy support libraries.
	[834b61dd5472]

	* PyQt5.msp, lib/configure.py:
	Removed support for Qt4 features deprecated in Qt5. The SIP
	requirement is now for v4.14.7 to avoid a bug triggered by PyQt5.
	[fdbfb94b63ec]

2013-04-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Connections to partial slots of objects in a different thread are
	now handled correctly.
	[632d7398e654]

	* lib/configure.py:
	Directories are now ignored when searching for qmake and sip.
	[9329bbaaeb65]

	* lib/configure.py:
	Checking for modules is now tolerant of qmake failing to create a
	makefile which can happen with an unsupported Qt5 module.
	[9e54734d1e24]

2013-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Qt5-TODO.txt, build.py:
	Source packages are no longer platform specific.
	[2ab4a5ae1714]

	* build.py:
	Fix the initial version number.
	[4a88db09cdc1]

	* Makefile, build.py:
	Fixes to build.py so that a source package gets created.
	[ec8a0d7d131a]

	* .hgignore, Makefile, NEWS, PyQt5.msp,
	QAxContainer/QAxContainermod.sip, QAxContainer/qaxbase.sip,
	QAxContainer/qaxobject.sip, QAxContainer/qaxwidget.sip,
	Qt5-TODO.txt, build.py, configurations/rpi_py3.cfg,
	contrib/lang/Makefile, contrib/lang/lang.py, contrib/lang/lang.qrc,
	contrib/lang/lang/cs_cs.qm, contrib/lang/lang/cs_cs.ts,
	contrib/lang/lang/da_da.qm, contrib/lang/lang/da_da.ts,
	contrib/lang/lang/de_ch.qm, contrib/lang/lang/de_ch.ts,
	contrib/lang/lang/de_de.qm, contrib/lang/lang/de_de.ts,
	contrib/lang/lang/en_gb.qm, contrib/lang/lang/en_gb.ts,
	contrib/lang/lang/en_us.qm, contrib/lang/lang/en_us.ts,
	contrib/lang/lang/es_es.qm, contrib/lang/lang/es_es.ts,
	contrib/lang/lang/et_et.qm, contrib/lang/lang/et_et.ts,
	contrib/lang/lang/fi_fi.qm, contrib/lang/lang/fi_fi.ts,
	contrib/lang/lang/fr_ca.qm, contrib/lang/lang/fr_ca.ts,
	contrib/lang/lang/fr_fr.qm, contrib/lang/lang/fr_fr.ts,
	contrib/lang/lang/hu_hu.qm, contrib/lang/lang/hu_hu.ts,
	contrib/lang/lang/it_it.qm, contrib/lang/lang/it_it.ts,
	contrib/lang/lang/nl_nl.qm, contrib/lang/lang/nl_nl.ts,
	contrib/lang/lang/no_no.qm, contrib/lang/lang/no_no.ts,
	contrib/lang/lang/pl_pl.qm, contrib/lang/lang/pl_pl.ts,
	contrib/lang/lang/pt_pt.qm, contrib/lang/lang/pt_pt.ts,
	contrib/lang/lang/sv_sv.qm, contrib/lang/lang/sv_sv.ts,
	contrib/lang/lang/tr_tr.qm, contrib/lang/lang/tr_tr.ts,
	contrib/lang/mainwindow.ui, contrib/pymodeltest/LICENSE.GPL,
	contrib/pymodeltest/README, contrib/pymodeltest/modeltest.py,
	contrib/sandbox/README, contrib/sandbox/sandbox.pyw, dbus/dbus.cpp,
	dbus/dbus.sbf, dbus/helper.h, designer/pluginloader.cpp,
	designer/pluginloader.h, designer/python.pro-in, examples/README,
	examples/activeqt/README,
	examples/activeqt/webbrowser/icons/image0.xpm,
	examples/activeqt/webbrowser/icons/image1.xpm,
	examples/activeqt/webbrowser/icons/image2.xpm,
	examples/activeqt/webbrowser/icons/image3.xpm,
	examples/activeqt/webbrowser/icons/image4.xpm,
	examples/activeqt/webbrowser/icons/image5.xpm,
	examples/activeqt/webbrowser/icons/image6.xpm,
	examples/activeqt/webbrowser/mainwindow.qrc,
	examples/activeqt/webbrowser/mainwindow.ui,
	examples/activeqt/webbrowser/mainwindow_rc2.py,
	examples/activeqt/webbrowser/mainwindow_rc3.py,
	examples/activeqt/webbrowser/ui_mainwindow.py,
	examples/activeqt/webbrowser/webbrowser.py,
	examples/animation/README,
	examples/animation/animatedtiles/animatedtiles.py,
	examples/animation/animatedtiles/animatedtiles.qrc,
	examples/animation/animatedtiles/animatedtiles_rc2.py,
	examples/animation/animatedtiles/animatedtiles_rc3.py,
	examples/animation/animatedtiles/images/Time-For-Lunch-2.jpg,
	examples/animation/animatedtiles/images/centered.png,
	examples/animation/animatedtiles/images/ellipse.png,
	examples/animation/animatedtiles/images/figure8.png,
	examples/animation/animatedtiles/images/kinetic.png,
	examples/animation/animatedtiles/images/random.png,
	examples/animation/animatedtiles/images/tile.png,
	examples/animation/appchooser/accessories-dictionary.png,
	examples/animation/appchooser/akregator.png,
	examples/animation/appchooser/appchooser.py,
	examples/animation/appchooser/appchooser.qrc,
	examples/animation/appchooser/appchooser_rc2.py,
	examples/animation/appchooser/appchooser_rc3.py,
	examples/animation/appchooser/digikam.png,
	examples/animation/appchooser/k3b.png,
	examples/animation/easing/easing.py,
	examples/animation/easing/easing.qrc,
	examples/animation/easing/easing_rc2.py,
	examples/animation/easing/easing_rc3.py,
	examples/animation/easing/form.ui, examples/animation/easing/images
	/qt-logo.png, examples/animation/easing/ui_form.py,
	examples/animation/moveblocks.py, examples/animation/states
	/accessories-dictionary.png,
	examples/animation/states/akregator.png,
	examples/animation/states/digikam.png, examples/animation/states
	/help-browser.png, examples/animation/states/k3b.png,
	examples/animation/states/kchart.png,
	examples/animation/states/states.py,
	examples/animation/states/states.qrc,
	examples/animation/states/states_rc2.py,
	examples/animation/states/states_rc3.py,
	examples/animation/stickman/animations/chilling,
	examples/animation/stickman/animations/dancing,
	examples/animation/stickman/animations/dead,
	examples/animation/stickman/animations/jumping,
	examples/animation/stickman/stickman.py,
	examples/animation/stickman/stickman.qrc,
	examples/animation/stickman/stickman_rc2.py,
	examples/animation/stickman/stickman_rc3.py,
	examples/dbus/chat/chat.py, examples/dbus/chat/chatmainwindow.ui,
	examples/dbus/chat/chatsetnickname.ui,
	examples/dbus/chat/ui_chatmainwindow.py,
	examples/dbus/chat/ui_chatsetnickname.py,
	examples/dbus/listnames.py, examples/dbus/pingpong/ping.py,
	examples/dbus/pingpong/pong.py,
	examples/dbus/remotecontrolledcar/car/car.py,
	examples/dbus/remotecontrolledcar/controller/controller.py,
	examples/dbus/remotecontrolledcar/controller/controller.ui,
	examples/dbus/remotecontrolledcar/controller/ui_controller.py,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel.py,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel.qrc,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel_rc2.
	py, examples/declarative/modelviews/objectlistmodel/objectlistmodel_
	rc3.py, examples/declarative/modelviews/objectlistmodel/view.qml,
	examples/declarative/toys/README,
	examples/declarative/toys/clocks/clocks.qml,
	examples/declarative/toys/clocks/content/Clock.qml,
	examples/declarative/toys/clocks/content/QuitButton.qml,
	examples/declarative/toys/clocks/content/background.png,
	examples/declarative/toys/clocks/content/center.png,
	examples/declarative/toys/clocks/content/clock-night.png,
	examples/declarative/toys/clocks/content/clock.png,
	examples/declarative/toys/clocks/content/hour.png,
	examples/declarative/toys/clocks/content/minute.png,
	examples/declarative/toys/clocks/content/quit.png,
	examples/declarative/toys/clocks/content/second.png,
	examples/declarative/toys/corkboards/Day.qml,
	examples/declarative/toys/corkboards/cork.jpg,
	examples/declarative/toys/corkboards/corkboards.qml,
	examples/declarative/toys/corkboards/note-yellow.png,
	examples/declarative/toys/corkboards/tack.png,
	examples/declarative/toys/dynamicscene/Button.qml,
	examples/declarative/toys/dynamicscene/GenericSceneItem.qml,
	examples/declarative/toys/dynamicscene/PaletteItem.qml,
	examples/declarative/toys/dynamicscene/PerspectiveItem.qml,
	examples/declarative/toys/dynamicscene/Sun.qml,
	examples/declarative/toys/dynamicscene/dynamicscene.qml,
	examples/declarative/toys/dynamicscene/images/face-smile.png,
	examples/declarative/toys/dynamicscene/images/moon.png,
	examples/declarative/toys/dynamicscene/images/rabbit_brown.png,
	examples/declarative/toys/dynamicscene/images/rabbit_bw.png,
	examples/declarative/toys/dynamicscene/images/star.png,
	examples/declarative/toys/dynamicscene/images/sun.png,
	examples/declarative/toys/dynamicscene/images/tree_s.png,
	examples/declarative/toys/dynamicscene/itemCreation.js,
	examples/declarative/toys/tic-tac-toe/content/Button.qml,
	examples/declarative/toys/tic-tac-toe/content/TicTac.qml,
	examples/declarative/toys/tic-tac-toe/content/pics/board.png,
	examples/declarative/toys/tic-tac-toe/content/pics/o.png,
	examples/declarative/toys/tic-tac-toe/content/pics/x.png,
	examples/declarative/toys/tic-tac-toe/content/tic-tac-toe.js,
	examples/declarative/toys/tic-tac-toe/tic-tac-toe.qml,
	examples/declarative/toys/tvtennis/tvtennis.qml,
	examples/declarative/ui-components/README, examples/declarative/ui-
	components/dialcontrol/content/Dial.qml, examples/declarative/ui-
	components/dialcontrol/content/QuitButton.qml, examples/declarative
	/ui-components/dialcontrol/content/background.png,
	examples/declarative/ui-components/dialcontrol/content/needle.png,
	examples/declarative/ui-
	components/dialcontrol/content/needle_shadow.png,
	examples/declarative/ui-components/dialcontrol/content/overlay.png,
	examples/declarative/ui-components/dialcontrol/content/quit.png,
	examples/declarative/ui-components/dialcontrol/dialcontrol.qml,
	examples/declarative/ui-components/flipable/content/5_heart.png,
	examples/declarative/ui-components/flipable/content/9_club.png,
	examples/declarative/ui-components/flipable/content/Card.qml,
	examples/declarative/ui-components/flipable/content/back.png,
	examples/declarative/ui-components/flipable/flipable.qml,
	examples/declarative/ui-
	components/progressbar/content/ProgressBar.qml, examples/declarative
	/ui-components/progressbar/content/background.png,
	examples/declarative/ui-components/progressbar/main.qml,
	examples/declarative/ui-components/scrollbar/ScrollBar.qml,
	examples/declarative/ui-components/scrollbar/main.qml,
	examples/declarative/ui-components/scrollbar/niagara_falls.jpg,
	examples/declarative/ui-components/searchbox/SearchBox.qml,
	examples/declarative/ui-components/searchbox/images/clear.png,
	examples/declarative/ui-components/searchbox/images/lineedit-bg-
	focus.png, examples/declarative/ui-components/searchbox/images
	/lineedit-bg.png, examples/declarative/ui-
	components/searchbox/main.qml, examples/declarative/ui-
	components/slideswitch/content/Switch.qml, examples/declarative/ui-
	components/slideswitch/content/background.svg, examples/declarative
	/ui-components/slideswitch/content/knob.svg, examples/declarative
	/ui-components/slideswitch/slideswitch.qml, examples/declarative/ui-
	components/spinner/content/Spinner.qml, examples/declarative/ui-
	components/spinner/content/spinner-bg.png, examples/declarative/ui-
	components/spinner/content/spinner-select.png, examples/declarative
	/ui-components/spinner/main.qml, examples/declarative/ui-
	components/tabwidget/TabWidget.qml, examples/declarative/ui-
	components/tabwidget/main.qml, examples/declarative/ui-
	components/tabwidget/tab.png, examples/demos/README,
	examples/demos/declarative/minehunt/MinehuntCore/Explosion.qml,
	examples/demos/declarative/minehunt/MinehuntCore/Tile.qml,
	examples/demos/declarative/minehunt/MinehuntCore/pics/No-Ones-
	Laughing-3.jpg,
	examples/demos/declarative/minehunt/MinehuntCore/pics/back.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/bomb-
	color.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/bomb.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/face-sad.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/face-smile-
	big.png, examples/demos/declarative/minehunt/MinehuntCore/pics/face-
	smile.png, examples/demos/declarative/minehunt/MinehuntCore/pics
	/flag-color.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/flag.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/front.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/quit.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/star.png,
	examples/demos/declarative/minehunt/MinehuntCore/qmldir,
	examples/demos/declarative/minehunt/minehunt.py,
	examples/demos/declarative/minehunt/minehunt.qml,
	examples/demos/declarative/samegame/SamegameCore/BoomBlock.qml,
	examples/demos/declarative/samegame/SamegameCore/Button.qml,
	examples/demos/declarative/samegame/SamegameCore/Dialog.qml, example
	s/demos/declarative/samegame/SamegameCore/pics/background.png,
	examples/demos/declarative/samegame/SamegameCore/pics/blueStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/blueStone.png,
	examples/demos/declarative/samegame/SamegameCore/pics/greenStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/greenStone.png
	, examples/demos/declarative/samegame/SamegameCore/pics/redStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/redStone.png,
